Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 276338 - media-gfx/blender-2.5 SVN
Summary: media-gfx/blender-2.5 SVN
Status: RESOLVED OBSOLETE
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High enhancement with 3 votes (vote)
Assignee: Luca Barbato
URL:
Whiteboard:
Keywords:
: 133566 (view as bug list)
Depends on: 373519
Blocks:
  Show dependency tree
 
Reported: 2009-07-03 08:45 UTC by biohazrd
Modified: 2012-11-09 04:04 UTC (History)
18 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
SVN overlay for media-gfx/blender-2.5 (blender-2.50-r07032009.tar.gz,11.41 KB, application/x-tar-gz)
2009-07-03 08:47 UTC, biohazrd
Details
ebuild for blender-2.5 SVN (blender-2.50-r07032009.ebuild,4.61 KB, text/plain)
2009-07-03 09:10 UTC, biohazrd
Details
media-gfx/blender-9999.ebuild (blender-9999.ebuild,4.73 KB, text/plain)
2009-07-29 11:52 UTC, Toffanin
Details
media-gfx/blender-9999.ebuild (cmake build system) (blender-9999-r1.ebuild,3.24 KB, text/plain)
2009-08-14 09:02 UTC, Toffanin
Details
media-gfx/blender-9999.ebuild (cmake build system + python 3) (blender-9999-r1.ebuild,3.18 KB, text/plain)
2009-08-14 11:15 UTC, Toffanin
Details
blender-desktop.patch (blender-desktop.patch,362 bytes, patch)
2009-08-14 11:16 UTC, Toffanin
Details | Diff
metadata.xml (metadata.xml,1022 bytes, text/plain)
2009-08-14 11:19 UTC, Toffanin
Details
blender-headers.patch (blender-headers.patch,828 bytes, patch)
2009-08-15 11:13 UTC, Toffanin
Details | Diff
blender-9999.ebuild (blender-9999.ebuild,6.40 KB, text/plain)
2009-08-19 07:58 UTC, Toffanin
Details
blender-2.5-CVE-2008-4863.patch (blender-2.5-CVE-2008-4863.patch,566 bytes, patch)
2009-08-19 08:00 UTC, Toffanin
Details | Diff
blender-2.5-CVE-2008-1103.patch (blender-2.5-CVE-2008-1103.patch,517 bytes, patch)
2009-08-19 08:01 UTC, Toffanin
Details | Diff
metadata.xml (metadata.xml,1.16 KB, text/plain)
2009-08-19 08:03 UTC, Toffanin
Details
blender-9999.ebuild (blender-9999.ebuild,7.59 KB, text/plain)
2009-08-28 10:34 UTC, Toffanin
Details
blender-2.5-doxygen.patch (blender-2.5-doxygen.patch,1.30 KB, patch)
2009-09-14 10:13 UTC, Toffanin
Details | Diff
blender-2.5-cmake.patch (blender-2.5-cmake.patch,3.25 KB, patch)
2009-09-14 10:14 UTC, Toffanin
Details | Diff
blender-2.5-cmake-without-extern.patch (blender-2.5-cmake-without-extern.patch,373 bytes, patch)
2009-09-14 10:15 UTC, Toffanin
Details | Diff
blender-2.5-FindOpenJPEG.cmake.patch (blender-2.5-FindOpenJPEG.cmake.patch,1.41 KB, patch)
2009-09-14 10:16 UTC, Toffanin
Details | Diff
blender-2.5-cmake-imbuf-openjpeg.patch (blender-2.5-cmake-imbuf-openjpeg.patch,418 bytes, patch)
2009-09-14 10:16 UTC, Toffanin
Details | Diff
files/blender (binary wrapper) (blender,1.73 KB, patch)
2009-09-14 10:19 UTC, Toffanin
Details | Diff
blender-9999.ebuild (blender-9999.ebuild,10.91 KB, text/plain)
2009-09-14 12:01 UTC, Toffanin
Details
files/blender (binary wrapper) (blender,2.46 KB, patch)
2009-09-15 16:15 UTC, Toffanin
Details | Diff
files/blender (binary wrapper) (blender,2.54 KB, text/plain)
2009-09-19 16:18 UTC, Toffanin
Details
blender-2.5-glew.patch (blender-2.5-glew.patch,856 bytes, patch)
2009-09-19 16:43 UTC, Toffanin
Details | Diff
media-gfx/blender-9999 (scons build system) (blender-9999.ebuild,10.55 KB, text/plain)
2009-09-19 17:21 UTC, Toffanin
Details
metadata.xml (metadata.xml,1.65 KB, text/plain)
2009-09-19 17:22 UTC, Toffanin
Details
media-gfx/blender-9999 (scons build system) (blender-9999.ebuild,12.26 KB, text/plain)
2009-09-24 09:45 UTC, Toffanin
Details
blender-2.5-eigen.patch (blender-2.5-eigen.patch,940 bytes, patch)
2009-09-30 14:13 UTC, Toffanin
Details | Diff
media-gfx/blender-9999 (scons build system) (blender-9999.ebuild,12.38 KB, text/plain)
2009-09-30 14:19 UTC, Toffanin
Details
media-gfx/blender-9999 (scons build system) (blender-9999.ebuild,11.99 KB, text/plain)
2009-10-05 09:55 UTC, Toffanin
Details
media-gfx/blender-9999 (scons build system) (blender-9999.ebuild,12.20 KB, text/plain)
2009-10-12 13:49 UTC, Toffanin
Details
small fixes (blender-desktop.patch,431 bytes, patch)
2009-12-23 01:58 UTC, Reuben Martin
Details | Diff
media-gfx/blender-9999 (scons build system) (blender-9999.ebuild,12.37 KB, text/plain)
2010-01-09 19:14 UTC, Toffanin
Details
blender-2.5-glew.patch (blender-2.5-glew.patch,1.19 KB, patch)
2010-03-18 12:06 UTC, Toffanin
Details | Diff
new ebuild (no problem with shading) (blender-9999.ebuild,12.37 KB, text/plain)
2010-03-20 21:39 UTC, Martin Vala
Details
Compilation fix for gl includes. (fix-gl-includes.patch,360 bytes, patch)
2010-04-11 10:10 UTC, Philipp
Details | Diff
media-gfx/blender-9999 (scons build system) (blender-9999.ebuild,13.24 KB, text/plain)
2010-04-12 10:52 UTC, Toffanin
Details
metadata.xml (metadata.xml,1.78 KB, text/plain)
2010-04-12 10:53 UTC, Toffanin
Details
blender-2.5-bmake.patch (blender-2.5-bmake.patch,438 bytes, patch)
2010-04-12 10:55 UTC, Toffanin
Details | Diff
log of patch application (blender-2.5-glew.patch.out,4.86 KB, text/plain)
2010-04-19 17:48 UTC, Luca Wehrstedt
Details
media-gfx/blender SVN overlay (blender.tgz,16.14 KB, application/x-tar-gz)
2010-04-20 01:10 UTC, biohazrd
Details
media-gfx/blender-9999 (scons build system) (blender-9999.ebuild,13.85 KB, text/plain)
2010-04-20 16:06 UTC, Toffanin
Details
blender-2.5-glew.patch (blender-2.5-glew.patch,475 bytes, patch)
2010-07-13 10:12 UTC, Toffanin
Details | Diff
media-gfx/blender-9999.ebuild (scons build system) (blender-9999.ebuild,14.54 KB, text/plain)
2010-07-13 10:44 UTC, Toffanin
Details
new ebuild (blender-9999.ebuild,12.87 KB, text/plain)
2010-08-03 19:44 UTC, Martin Vala
Details
new desktop patch (blender-desktop.patch,435 bytes, text/plain)
2010-08-03 19:45 UTC, Martin Vala
Details
2.54 desktop patch (blender-desktop.patch,643 bytes, patch)
2010-09-12 08:12 UTC, AaronD
Details | Diff
will emerge 2.54 (blender-9999.ebuild,12.78 KB, text/plain)
2010-09-12 08:15 UTC, AaronD
Details
blender-9999.ebuild for blender 2.55 (blender-9999.ebuild,12.81 KB, text/plain)
2010-11-02 10:20 UTC, Janick Martinez Esturo
Details
latest revision for blender 2.55 using a common SLOT for the 2.5x series. (blender-9999.ebuild,12.81 KB, text/plain)
2010-11-14 16:42 UTC, Simone Scanzoni
Details
Ebuild patch for fixing menu in KDE (blender-9999.ebuild_KDE.patch,555 bytes, patch)
2010-11-30 09:14 UTC, biohazrd
Details | Diff
Version bump to 2.56 (blender-9999.ebuild,12.81 KB, text/plain)
2010-12-31 00:17 UTC, AaronD
Details
arguments are passed to blender-bin-2.5 (blender-9999.ebuild,12.81 KB, text/plain)
2011-01-02 15:52 UTC, Martin Vala
Details
USE flag fixes (blender-9999.ebuild,12.81 KB, text/plain)
2011-01-15 08:45 UTC, AaronD
Details
blender-2.5-doxygen.patch (blender-2.5-doxygen.patch,1.27 KB, patch)
2011-02-19 18:51 UTC, zolar czakl
Details | Diff
contrib flag for the contrib addons (blender-9999.ebuild,13.02 KB, text/plain)
2011-02-25 20:26 UTC, Shannon
Details
Upstream moved Doxygen (blender-2.5-doxygen.patch,1.29 KB, patch)
2011-02-28 09:01 UTC, AaronD
Details | Diff
fixed apidoc USE flag (blender-9999.ebuild,12.98 KB, text/plain)
2011-03-04 08:59 UTC, AaronD
Details
Updated ebuild to use python 3.2 (blender-9999.ebuild,13.01 KB, text/plain)
2011-03-08 17:18 UTC, Shannon
Details
blender-desktop.patch - small fix (blender-desktop.patch,639 bytes, patch)
2011-03-10 20:07 UTC, zolar czakl
Details | Diff
Ebuild that fixes the python3.2 include path. (blender-9999.ebuild,13.04 KB, text/plain)
2011-03-16 14:00 UTC, Shannon
Details
Updated blender-2.5-glew.patch (blender-2.5-glew.patch,187 bytes, text/plain)
2011-04-06 18:19 UTC, Shannon
Details
Updated blender-2.5-glew.patch (blender-2.5-glew.patch,182 bytes, patch)
2011-04-12 10:56 UTC, Shannon
Details | Diff
Updated blender-2.5-glew.patch (blender-2.5-glew.patch,187 bytes, patch)
2011-04-12 13:54 UTC, Shannon
Details | Diff
fixed paths (changed version string 2.56 to 2.57) (blender-9999.ebuild,13.04 KB, text/plain)
2011-04-12 22:05 UTC, Miroslav Šulc
Details
blender-2.57 local overlay working on ~amd64 @ 2011-04-17 (blender-2.57.gentoo.tar.bz2,7.41 KB, application/octet-stream)
2011-04-17 20:55 UTC, Stoian Ivanov
Details
Updated blender-2.5-glew.patch (blender-2.5-glew.patch,182 bytes, patch)
2011-05-03 16:31 UTC, zolar czakl
Details | Diff
Updated ebuild (blender-9999.ebuild,13.06 KB, text/plain)
2011-05-07 18:16 UTC, zolar czakl
Details
Updated desktop patch (blender-desktop.patch,642 bytes, patch)
2011-05-24 20:13 UTC, zolar czakl
Details | Diff
Updated desktop patch (blender-desktop.patch,642 bytes, patch)
2011-05-24 20:13 UTC, zolar czakl
Details | Diff
blender-9999.ebuild (blender-9999.ebuild,13.06 KB, text/plain)
2011-06-21 19:35 UTC, tman
Details
blender-9999.ebuild with OpenCOLLADA support (blender-9999.ebuild,13.26 KB, text/plain)
2011-06-29 20:25 UTC, Shannon
Details
ebuil diff to use linux3 patch (blender-9999.ebuild.diff,557 bytes, patch)
2011-07-02 00:58 UTC, Shannon
Details | Diff
blender-2.5-linux3.patch (blender-2.5-linux3.patch,304 bytes, patch)
2011-07-02 01:00 UTC, Shannon
Details | Diff
ebuild diff to use linux3 patch (blender-9999.ebuild.diff,556 bytes, patch)
2011-07-03 03:00 UTC, Shannon
Details | Diff
blender-2.5-linux3.patch (blender-2.5-linux3.patch,305 bytes, patch)
2011-07-03 03:01 UTC, Shannon
Details | Diff
blender-9999.ebuild fix for linux3 patch (blender-9999.ebuild,13.52 KB, text/plain)
2011-07-23 00:03 UTC, tman
Details
blender-9999.ebuild (blender-9999.ebuild,12.58 KB, text/plain)
2011-07-23 01:51 UTC, tman
Details
blender-9999.ebuild (blender-9999.ebuild,12.97 KB, text/plain)
2011-08-04 16:45 UTC, Shannon
Details
blender-9999.ebuild (blender-9999.ebuild,12.90 KB, text/plain)
2011-08-05 08:07 UTC, Shannon
Details
blender-2.5-eigen.patch (blender-2.5-eigen.patch,1.30 KB, patch)
2011-08-31 02:11 UTC, Shannon
Details | Diff
blender-2.5-eigen.patch (blender-2.5-eigen.patch,1.31 KB, patch)
2011-09-10 15:58 UTC, Shannon
Details | Diff
blender-2.5-glew.patch (blender-2.5-glew.patch,442 bytes, patch)
2011-09-10 15:59 UTC, Shannon
Details | Diff
Fixed some minor changes that happended in the scons files (blender-2.5-eigen.patch,1.24 KB, patch)
2011-09-11 21:38 UTC, Sebastian Parborg
Details | Diff
updated glew patch (blender-2.5-glew.patch,446 bytes, patch)
2011-09-11 21:39 UTC, Sebastian Parborg
Details | Diff
blender-9999.ebuild (blender-9999.ebuild,12.96 KB, text/plain)
2011-11-09 23:04 UTC, Shannon
Details
blender-2.6-bmake.patch (blender-2.6-bmake.patch,422 bytes, patch)
2011-11-09 23:05 UTC, Shannon
Details | Diff
blender-2.6-doxygen.patch (blender-2.6-doxygen.patch,1.29 KB, patch)
2011-11-09 23:06 UTC, Shannon
Details | Diff
blender-2.6-eigen.patch (blender-2.6-eigen.patch,1.24 KB, patch)
2011-11-09 23:08 UTC, Shannon
Details | Diff
blender-2.6-glew.patch (blender-2.6-glew.patch,483 bytes, patch)
2011-11-09 23:09 UTC, Shannon
Details | Diff
blender-2.6-linux3.patch (blender-2.6-linux3.patch,305 bytes, patch)
2011-11-09 23:10 UTC, Shannon
Details | Diff
blender-2.6-opencollada_includes.patch (blender-2.6-opencollada_includes.patch,1.37 KB, patch)
2011-11-09 23:11 UTC, Shannon
Details | Diff
blender-9999.ebuild (blender-9999.ebuild,12.98 KB, text/plain)
2011-11-11 00:37 UTC, Shannon
Details
Blender with Cycles using cmake (blender-9999.ebuild,6.71 KB, text/plain)
2011-12-26 07:16 UTC, AaronD
Details
blender-9999.ebuild with Cycles using cmake (blender-9999.ebuild,7.01 KB, text/plain)
2011-12-27 08:04 UTC, AaronD
Details
blender-9999.ebuild (blender-9999.ebuild,7.03 KB, text/plain)
2012-02-10 03:50 UTC, AaronD
Details
blender-libav.patch (blender-libav.patch,1.93 KB, patch)
2012-02-10 03:55 UTC, AaronD
Details | Diff
Fixes redcode use flag dependencies (blender-9999.ebuild,7.10 KB, text/plain)
2012-03-01 07:03 UTC, AaronD
Details
blender-9999.ebuild with ffmpeg is back (blender-9999.ebuild,7.42 KB, text/plain)
2012-04-05 23:53 UTC, AaronD
Details
blender-9999.ebuild added libav/ffmpeg selection logic (blender-9999.ebuild,7.58 KB, text/plain)
2012-04-08 21:09 UTC, AaronD
Details
blender-desktop.patch (blender-desktop.patch,606 bytes, patch)
2012-04-18 09:41 UTC, AaronD
Details | Diff
blender-9999 updated ebuild (blender-9999.ebuild,7.57 KB, text/plain)
2012-05-14 18:33 UTC, AaronD
Details
blender-libav.patch update (blender-libav.patch,1.94 KB, patch)
2012-07-01 22:09 UTC, AaronD
Details | Diff
blender-9999 added sm_30 flag (blender-9999.ebuild,7.34 KB, text/plain)
2012-07-01 22:13 UTC, AaronD
Details
workaround the pythonlibs dep check (blender-pythonlib.patch,496 bytes, text/plain)
2012-11-08 17:56 UTC, Sebastian Parborg
Details

Note You need to log in before you can comment on or make changes to this bug.
Description biohazrd 2009-07-03 08:45:50 UTC
I will warn you that blender-2.5 SVN is a work in progress.  The coding on it changes daily.  However I thought it would be cool to stay on top of the process and check out the new UI.  Not sure if it was the right thing to do, but I named the ebuild blender-2.50 instead of blender-2.5.  When it was named 2.5 it wanted to always downgrade to 2.49a. I suppose it now works since 50 is higher than 49.  If there is another naming convention that can be used let me know.

You will have to disable blender-game USE flag for now. I didn't rewrite the ebuild to test and remove the flag as eventually it will be working.  The scripts dirs and tmp dirs are changing from what I hear, so all the epatches have been commented out, except for some relevant items.  It won't matter much  as of now because even the menus are not functional.

Reproducible: Always
Comment 1 biohazrd 2009-07-03 08:47:35 UTC
Created attachment 196474 [details]
SVN overlay for media-gfx/blender-2.5

Any issues let me know.  May be hard to pinpoint due to it changing daily.
Comment 2 Luca Barbato gentoo-dev 2009-07-03 08:59:15 UTC
could you try to attach just the ebuild as separate file?
btw using r${isodate} could be nice since it get incremented and gives you an idea about when it got crafted, us date doesn't have that property so should be avoided. Usually counting from 1 and increasing works well (so we use this way in portage if the date isn't important)
Comment 3 biohazrd 2009-07-03 09:10:13 UTC
Created attachment 196477 [details]
ebuild for blender-2.5 SVN

Sure no problem.  I can certainly use incremental revisions for future changes instead of the date, but my first thought was that there would be a lot of revisions prior to making it's way to a finished product. 

Thanks for your help.
Comment 4 Toffanin 2009-07-29 11:52:10 UTC
Created attachment 199549 [details]
media-gfx/blender-9999.ebuild

a few notes for the reporter:
- your ebuild is a live ebuild instead of a snapshot ebuild, so you must use -9999 or -live postfix without revisions;
- upstream misuses svn branches so using revisions for the ebuild is quite useless as the -r2009XXXX ebuild will never reflects a specific snapshot of the repository but it's always the last svn head;

some enhancements done to the ebuild:
- added missing ebuild headers;
- made the ebuild happy with repoman;
- fixed misuse of EAPI2 and removed useless ebuild phases (EAPI2 just call them);
- fixed misuse of "rm";
Comment 5 Toffanin 2009-08-14 09:02:29 UTC
Created attachment 201208 [details]
media-gfx/blender-9999.ebuild (cmake build system)

attached there is a variant of the live ebuild which use CMake as a build system instead of Scons; why CMake? because using CMake we gain:
1- a shorter ebuild, as there is not need to have extra ebuild functions to manage Scons options;
2- more USE flags, as the CMake files of blender let have more optional components than Scons/GNU-Make files, which leads to more end-user flexibility;
3- the ebuild requires less maintenance thanks to the cmake.eclass, leaving more time for other "devel-tasks";

enhancements done to the ebuild:
1- used python.eclass to declare the python dep;
2- removed freealut and libogg from the deps as they are not required neither to compile blender neither to run it (probably these deps are a reminiscence of the old 2.41 serie and can be removed too from the portage ebuilds of the 2.49 serie);

Final notes:
A- the USE 'web' enable the Blender Web Plugin [1] but the compilation fails due to the fact that the component is in active development and it's not complete at the moment;
B- Blender's textures and plugins are missing from the SVN repository, so for now their installation is commented until upstream will fill the gap;
C- Blender's CMake files provides the option WITH_OPENJPEG to let end-user optionally compile openjpeg support but it's never used internally so the ebuild USE 'jpeg' is useless for the moment;

[1] http://wiki.blender.org/index.php/Dev:Source/GameEngine/WebPlugin
Comment 6 Christian Strahl 2009-08-14 09:36:17 UTC
missing blender-desktop.patch produce the following error:


 * Cannot find $EPATCH_SOURCE!  Value for $EPATCH_SOURCE is:
 * 
 *   /usr/local/portage/media-gfx/blender/files/blender-desktop.patch
 *   ( blender-desktop.patch )
 * 
 * ERROR: media-gfx/blender-9999 failed.
 * Call stack:
 *               ebuild.sh, line   49:  Called src_prepare
 *             environment, line 3580:  Called epatch '/usr/local/portage/media-gfx/blender/files/blender-desktop.patch'
 *             environment, line 1680:  Called die
 * The specific snippet of code:
 *                   die "Cannot find \$EPATCH_SOURCE!";
 *  The die message:
 *   Cannot find $EPATCH_SOURCE!
Comment 7 Toffanin 2009-08-14 11:15:12 UTC
Created attachment 201222 [details]
media-gfx/blender-9999.ebuild (cmake build system + python 3)

in the meantime of the file 'blender-desktop.patch' upload, I have noticed that upstream have commited source code that requires python 3.1 to compile, otherwise ebuild throws errors like:

error: ‘PyModuleDef_HEAD_INIT’ undeclared here (not in a function)

Keep in mind that upstream have began the python 3.1 migration [1] as for Blender v2.5 they want to deprecate python 2.x modules; actually both Windows and MACOSX client have just been migrated to python 3.1, Linux is in the progress.

Additional notes:
A- Now the repository head have a proper support for the CMake option: WITH_OPENJPEG, so my previous warning about USE 'jpeg' can be ignored;
B- libogg is a dependency of libtheora/ffmpeg and not blender (which do not link to libogg but to ffmpeg) so I can confirm that it's a redundant dep and can be safely removed also from the blender ebuilds into the portage tree (later i'll open a separated bugzilla report for this particular issue with some ebuild patch); the USE 'ogg' can be removed too as it's not necessary anymore;
C- Watching inside the CMake files I have noticed that upstream have began to add also an inititial CMake install target (actually blender lacks it) so probably when the stable release will be ready, we'll be able to remove the actual src_install() ebuild function and use the one from cmake.eclass, greatly reducing ebuild size and mainteinance;

Hope to be useful;

[1] http://wiki.blender.org/index.php/BlenderDev/Blender2.5/PythonAPI_31
Comment 8 Toffanin 2009-08-14 11:16:42 UTC
Created attachment 201223 [details, diff]
blender-desktop.patch

fix  a wrong icon name inside blender.desktop
Comment 9 Toffanin 2009-08-14 11:19:11 UTC
Created attachment 201225 [details]
metadata.xml

a metadata.xml with updated USE description.
(just to semplify the ebuild maintainer's life)
Comment 10 Christian Strahl 2009-08-14 11:37:22 UTC
if i try to install blender-9999 i got this error:

[  5%] Building CXX object intern/ghost/CMakeFiles/bf_ghost.dir/intern/GHOST_CallbackEventConsumer.o
[  6%] Building CXX object intern/moto/CMakeFiles/bf_moto.dir/intern/MT_Matrix3x3.o
[  6%] Building CXX object intern/audaspace/CMakeFiles/bf_audaspace.dir/SRC/AUD_SRCResampleReader.o
In file included from /var/tmp/portage/media-gfx/blender-9999/work/blender/intern/audaspace/SRC/AUD_SRCResampleReader.cpp:26:
/var/tmp/portage/media-gfx/blender-9999/work/blender/intern/audaspace/SRC/AUD_SRCResampleReader.h:32:24: error: samplerate.h: No such file or directory

# emerge --info
Portage 2.2_rc38 (default/linux/amd64/2008.0, gcc-4.3.2, glibc-2.9_p20081201-r2, 2.6.30-gentoo-r4 x86_64)
=================================================================
System uname: Linux-2.6.30-gentoo-r4-x86_64-AMD_Athlon-tm-_64_X2_Dual_Core_Processor_6000+-with-gentoo-2.0.1
Timestamp of tree: Fri, 14 Aug 2009 09:00:01 +0000
app-shells/bash:     3.2_p39
dev-java/java-config: 2.1.8-r1
dev-lang/python:     2.5.4-r3, 2.6.2-r1, 3.1
dev-python/pycrypto: 2.0.1-r8
dev-util/cmake:      2.6.4-r2
sys-apps/baselayout: 2.0.1
sys-apps/openrc:     0.4.3-r3
sys-apps/sandbox:    1.6-r2
sys-devel/autoconf:  2.13, 2.63-r1
sys-devel/automake:  1.5, 1.9.6-r2, 1.10.2
sys-devel/binutils:  2.18-r3
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.2.4
virtual/os-headers:  2.6.27-r2
ACCEPT_KEYWORDS="amd64"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=athlon64 -O2 -pipe -fomit-frame-pointer -fweb -ftracer"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/splash /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c /etc/udev/rules.d"
CXXFLAGS="-march=athlon64 -O2 -pipe -fomit-frame-pointer -fweb -ftracer"
DISTDIR="/usr/portage/distfiles"
FEATURES="assume-digests distlocks fixpackages metadata-transfer parallel-fetch preserve-libs protect-owned sandbox sfperms strict unmerge-logs unmerge-orphans userfetch"
GENTOO_MIRRORS="http://mirrors.sec.informatik.tu-darmstadt.de/gentoo/ http://gentoo.intergenia.de ftp://ftp.gentoo.mesh-solutions.com/gentoo/"
LANG="de_DE@euro"
LC_ALL="de_DE.utf8"
LDFLAGS="-Wl,-O1"
LINGUAS="de"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="3dnow 3dnowext 7zip X a52 aac acl acpi alsa amazon amd amd64 apache2 apm applet aqua_theme asf async automount avahi berkdb bonobo bzip2 c++ cairo calendar cdda cddb cdio cdr cdrom cgi cli cpudetection cracklib crypt css ctype cups custom-optimization cvs cvsgraph dbus de_tvtoday dhcp directfb divx divx4linux dpms dri dts dvb dvbplayer dvd dvdr emerald emul-linux-x86 encode exif ext-png fat fbcon fbcondecor fbsplash ffmpeg flac flash fortran fpx ftp gaim gdbm gecko gedit gif gimp gimpprint ginac glade glitz gnome gnome-keyring gnome-print gnomecanvas gnomedb gpm gps graphviz grub gs gsl gstreamer gtk gtkhtml gzip h323 hal hddtemp hfs icons iconv icq id3 ieee1394 imap inkjar ipod ipsec ipv6 isdnlog java jfs jpeg jpeg2k lame libnotify libvisual live lm_sensors logitech-mouse mad math matroska ming mmx mmxext mng mod moonlight mouse mozbranding mozilla moznopango mp2 mp3 mp4 mp4live mpd-mad mpe mpeg mpeg2 mpeg4 mplayer mplayer-bin mudflap multilib musepack mysql nautilus ncurses net nls no-seamonkey nptl nptlonly nsplugin ntfs nvidia ogg opengl openmp pam pcap pcapnav pcre pdf perl php plotutils png postscript pppd print ps pulseaudio python rar readline realmedia reflection reiser4 reiserfs samba sblive scanner sensord session sftp simplexml skins slang smp spell spl sql sse sse-filters sse2 ssl stream svg svgz sysfs tcpd themes theora thesaurus threads thunderbird tidy tiff totem transcode truetype tv_check type1 unicode usb userlocales utf8 vcd vdr vfat vim vim-syntax vorbis wav webdav wifi winbind wireshark wma wmf x264 xfs xine xinerama xml xmldoclet xmlreader xmlwriter xorg xpm xprint xscreensaver xsettings xsl xslt xulrunner xvid zip zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" DVB_CARDS="usb-dib0700" ELIBC="glibc" INPUT_DEVICES="evdev wacom" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="de" USERLAND="GNU" VIDEO_CARDS="nvidia nv"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 11 Toffanin 2009-08-14 13:21:45 UTC
> error: samplerate.h: No such file or directory

samplerate.h come from 'media-libs/libsamplerate', can you paste your blender's USE? thank you
Comment 12 Christian Strahl 2009-08-14 13:25:33 UTC
(In reply to comment #11)
> ... can you paste your blender's USE? ...

# emerge -av blender

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild     U ] media-gfx/blender-9999-r1 [2.49a] USE="blender-game dds%* ffmpeg jpeg%* nls openal openexr%* openmp -debug% -doc% -elbeem% -physic% -verse -web% (-ogg%*)" 0 kB [0=>1]
Comment 13 Christian Strahl 2009-08-14 14:33:03 UTC
after manual installation of 'media-libs/libsamplerate' i can install blender with the following useflags:

media-gfx/blender-9999-r1  USE="dds ffmpeg jpeg nls openal openexr openmp -blender-game -debug -doc -elbeem -physic -verse -web

But build fails if i set 'blender-game' !
Comment 14 Toffanin 2009-08-14 17:09:45 UTC
(In reply to comment #13)
> media-gfx/blender-9999-r1  USE="dds ffmpeg jpeg nls openal openexr openmp
> -blender-game -debug -doc -elbeem -physic -verse -web
> 
> But build fails if i set 'blender-game' !

I'm not sure if it's the same issue, but here USE="dds ffmpeg jpeg nls openal openexr openmp blender-game -debug -doc -elbeem -physic -verse -web" compiles fine, but failes during the installation process because it's not able to links blender binary to the Physic Engine (indeed USE 'physic' is disabled); for now you can solve enabling USE 'physic' untill i'll rewrite the ebuild to better handle USE flags that depends on other USE (to do it I need to dig inside the CMake files to better understand the various components relations).

If your issue is different, please provide full logs of the error. thank you for the reports.

Comment 15 Toffanin 2009-08-15 11:13:48 UTC
Created attachment 201312 [details, diff]
blender-headers.patch

Fix for deprecated 'strstream' STL class.
I have just reported the patch upstream: http://projects.blender.org/tracker/index.php?func=detail&aid=19226&group_id=9&atid=127
Comment 16 Toffanin 2009-08-15 15:11:56 UTC
*** Bug 133566 has been marked as a duplicate of this bug. ***
Comment 17 Toffanin 2009-08-19 07:58:52 UTC
Created attachment 201684 [details]
blender-9999.ebuild

An improved and updated ebuild for blender 2.5 live.

Enhancements done to the ebuild:
1- removed 'multilib' eclass because it's not used;
2- added USE 'fftw' which enables the use of Discrete Fourier Transform library (sci-libs/fftw v3.x);
3- added USE ' jack' which enables the use of Jack Audio server;
4- added USE 'guardedalloc' which enables internal blender functions for the dynamic memory allocation;
5- added USE 'apidoc" which generates the API documentation with doxygen utility;
6- added LINGUAS support;
7- the ebuild forces the correct USE flag for ffmpeg: '+x264', '+xvid' and '+mp3';
8- reverted RedHat's patch for CVE-2008-4863;
9- reverted RedHat's patch for CVE-2008-1103 (but disabled for the moment untill upstream finish the python 3 migration as it interferes with autosave undo features);
10- fixed problems reported by Christian Strahl (see comment #10 and #13);
11- refactoring of the src_install() phase to use the ebuild's facilities ins*/do* instead of commands mv/cp;
12- improved src_postinst() output that includes more info about external rendering engines;
13- first implementation of a wrapper for the blender binary to definitively solve the problem of the scripts/plugins path not automatically detected by blender [1];

Additional notes:
A- the Blender Game Engine do not compiles any more due to a refactoring of the engine itselct made upstream, so do not bother me about compilation problems, just notify them to the blender bug tracker;

[1] Fedora/Ubuntu uses a quick-and-dirty hack with a wrapper script which just calls the blender's binary, but before the binary invokation it checks for ~/.blender existence and then push/move stuff from /usr/share/blender/* into the user home and back again; I do not like this solution as the wrapper script writes and moves files installed by portage which is something to avoid. A better solution is to create the missing scripts/plugins paths in /usr/share/blender by the ebuild itself and then let the wrapper script creates the missing paths in the ~/.blender only if necessary, so the files installed by portage remains untouched and the wrapper script acts as a simple helper for the blender's binary. This solution can solve also some of the pending reports about media-gfx/blender like #131139, #121316 and #135574.
Comment 18 Toffanin 2009-08-19 08:00:23 UTC
Created attachment 201685 [details, diff]
blender-2.5-CVE-2008-4863.patch
Comment 19 Toffanin 2009-08-19 08:01:37 UTC
Created attachment 201687 [details, diff]
blender-2.5-CVE-2008-1103.patch
Comment 20 Toffanin 2009-08-19 08:03:48 UTC
Created attachment 201688 [details]
metadata.xml

a metadata.xml with updated USE description.
(just to semplify the ebuild maintainer's life)
Comment 21 Christian Strahl 2009-08-27 09:34:21 UTC
if i try to build blender-9999 i got the following error:

 * Applying blender-headers.patch ...

 * Failed Patch: blender-headers.patch !
 *  ( /usr/local/portage/media-gfx/blender/files/blender-headers.patch )
 * 
 * Include in your bugreport the contents of:
 * 
 *   /var/tmp/portage/media-gfx/blender-9999/temp/blender-headers.patch-11452.out



# cat /var/tmp/portage/media-gfx/blender-9999/temp/blender-headers.patch-11452.out
***** blender-headers.patch *****

=================================

PATCH COMMAND:	 patch -p0 -g0 -E --no-backup-if-mismatch < /usr/local/portage/media-gfx/blender/files/blender-headers.patch

=================================
can't find file to patch at input line 3
Perhaps you used the wrong -p or --strip option?
The text leading up to this was:
--------------------------
|--- blender/source/gameengine/VideoTexture/Exception.cpp.orig	2009-08-15 11:00:39.039228646 +0200
|+++ blender/source/gameengine/VideoTexture/Exception.cpp	2009-08-15 11:03:34.332226898 +0200
--------------------------
No file to patch.  Skipping patch.
2 out of 2 hunks ignored
=================================

PATCH COMMAND:	 patch -p1 -g0 -E --no-backup-if-mismatch < /usr/local/portage/media-gfx/blender/files/blender-headers.patch

=================================
patching file source/gameengine/VideoTexture/Exception.cpp
Hunk #1 FAILED at 21.
Hunk #2 FAILED at 170.
2 out of 2 hunks FAILED -- saving rejects to file source/gameengine/VideoTexture/Exception.cpp.rej
=================================

PATCH COMMAND:	 patch -p2 -g0 -E --no-backup-if-mismatch < /usr/local/portage/media-gfx/blender/files/blender-headers.patch

=================================
can't find file to patch at input line 3
Perhaps you used the wrong -p or --strip option?
The text leading up to this was:
--------------------------
|--- blender/source/gameengine/VideoTexture/Exception.cpp.orig	2009-08-15 11:00:39.039228646 +0200
|+++ blender/source/gameengine/VideoTexture/Exception.cpp	2009-08-15 11:03:34.332226898 +0200
--------------------------
No file to patch.  Skipping patch.
2 out of 2 hunks ignored
=================================

PATCH COMMAND:	 patch -p3 -g0 -E --no-backup-if-mismatch < /usr/local/portage/media-gfx/blender/files/blender-headers.patch

=================================
can't find file to patch at input line 3
Perhaps you used the wrong -p or --strip option?
The text leading up to this was:
--------------------------
|--- blender/source/gameengine/VideoTexture/Exception.cpp.orig	2009-08-15 11:00:39.039228646 +0200
|+++ blender/source/gameengine/VideoTexture/Exception.cpp	2009-08-15 11:03:34.332226898 +0200
--------------------------
No file to patch.  Skipping patch.
2 out of 2 hunks ignored
=================================

PATCH COMMAND:	 patch -p4 -g0 -E --no-backup-if-mismatch < /usr/local/portage/media-gfx/blender/files/blender-headers.patch

=================================
can't find file to patch at input line 3
Perhaps you used the wrong -p or --strip option?
The text leading up to this was:
--------------------------
|--- blender/source/gameengine/VideoTexture/Exception.cpp.orig	2009-08-15 11:00:39.039228646 +0200
|+++ blender/source/gameengine/VideoTexture/Exception.cpp	2009-08-15 11:03:34.332226898 +0200
--------------------------
No file to patch.  Skipping patch.
2 out of 2 hunks ignored
Comment 22 Toffanin 2009-08-28 10:34:25 UTC
Created attachment 202454 [details]
blender-9999.ebuild

An improved and updated ebuild for blender 2.5 live.

Enhancements done to the ebuild:
- renamed USE 'blender-game' into 'game-engine', as the prefix 'blender' it's redundant and 'game-engine' is less confusing for the end-user;
- re-added USE 'player', as upstream have finished the refactoring of the Player and now the Game Engine can be compiled as a standalone component for who just want the Game Engine without the Player (however, the Player requires Game Engine component to build properly, so the ebuild forces it in case the final user wants to use: USE="-game-engine player");
- removed USE 'nls' as upstream have dropped media-libs/ftgl and now gettext and freetype are main dependencies; the blender internationalization is automatically handled by LINGUAS, so if the end user enable more I18N then 'en', the blender internationalization is enabled at compile time too;
- added missing depedency: virtual/libiconv;
- media-libs/libsndfile is now an optional dependency through the USE 'sndfile';
- added Blender Python API docs creation with epydoc, but the 2.5 branch is not complete and if the USE 'apidoc' is enabled, the epydoc can segmentation fault (so do not bother me about 'apidoc' problems,
just notify them to the blender bug tracker);
- patch 'blender-headers.patch' is no more necessary as has been included upstream (that is the reason of the problem reported by Christian Strahl with comment #21), together with other mine patches that fix various CMake problems;

Additional notes:
A- Blender now bundles a copy of LZMA and LZO libs as the compilation process uses them instead of the one from the system; i'm working with upstream to make these libs optional and let blender compile/link to the system's libraries;
Comment 23 Christian Strahl 2009-08-30 13:52:05 UTC
can't build the package because of this error:

>>> Source configured.
>>> Compiling source in /var/tmp/portage/media-gfx/blender-9999/work/blender ...
>>> Working in BUILD_DIR: "/var/tmp/portage/media-gfx/blender-9999/work/blender_build"
make -j3 
Scanning dependencies of target bf_audaspace
Scanning dependencies of target bf_ghost
Scanning dependencies of target bf_string
[  0%] Building CXX object intern/ghost/CMakeFiles/bf_ghost.dir/intern/GHOST_WindowX11.o
[  0%] Building CXX object intern/string/CMakeFiles/bf_string.dir/intern/STR_String.o
In file included from /var/tmp/portage/media-gfx/blender-9999/work/blender/intern/string/intern/STR_String.cpp:42:
/var/tmp/portage/media-gfx/blender-9999/work/blender/intern/string/./STR_String.h:201: error: 'operator new' takes type 'size_t' ('long unsigned int') as first parameter
make[2]: *** [intern/string/CMakeFiles/bf_string.dir/intern/STR_String.o] Error 1
make[1]: *** [intern/string/CMakeFiles/bf_string.dir/all] Error 2
make[1]: *** Waiting for unfinished jobs....
[  0%] Building CXX object intern/ghost/CMakeFiles/bf_ghost.dir/intern/GHOST_WindowManager.o
In file included from /var/tmp/portage/media-gfx/blender-9999/work/blender/intern/ghost/./GHOST_IWindow.h:36,
                 from /var/tmp/portage/media-gfx/blender-9999/work/blender/intern/ghost/intern/GHOST_Window.h:36,
                 from /var/tmp/portage/media-gfx/blender-9999/work/blender/intern/ghost/intern/GHOST_WindowX11.h:36,
                 from /var/tmp/portage/media-gfx/blender-9999/work/blender/intern/ghost/intern/GHOST_WindowX11.cpp:29:
/var/tmp/portage/media-gfx/blender-9999/work/blender/intern/ghost/../string/STR_String.h:201: error: 'operator new' takes type 'size_t' ('long unsigned int') as first parameter
[  0%] In file included from /var/tmp/portage/media-gfx/blender-9999/work/blender/intern/ghost/./GHOST_IWindow.h:36,
                 from /var/tmp/portage/media-gfx/blender-9999/work/blender/intern/ghost/intern/GHOST_WindowManager.h:39,
                 from /var/tmp/portage/media-gfx/blender-9999/work/blender/intern/ghost/intern/GHOST_WindowManager.cpp:41:
/var/tmp/portage/media-gfx/blender-9999/work/blender/intern/ghost/../string/STR_String.h:201: error: 'operator new' takes type 'size_t' ('long unsigned int') as first parameter
Building CXX object intern/audaspace/CMakeFiles/bf_audaspace.dir/intern/AUD_StreamBufferFactory.o
make[2]: *** [intern/ghost/CMakeFiles/bf_ghost.dir/intern/GHOST_WindowManager.o] Error 1
make[2]: *** Waiting for unfinished jobs....
[  0%] Building CXX object intern/audaspace/CMakeFiles/bf_audaspace.dir/intern/AUD_SoftwareDevice.o
make[2]: *** [intern/ghost/CMakeFiles/bf_ghost.dir/intern/GHOST_WindowX11.o] Error 1
make[1]: *** [intern/ghost/CMakeFiles/bf_ghost.dir/all] Error 2
[  0%] [  0%] Building CXX object intern/audaspace/CMakeFiles/bf_audaspace.dir/intern/AUD_SinusReader.o
Building CXX object intern/audaspace/CMakeFiles/bf_audaspace.dir/intern/AUD_SinusFactory.o
[  0%] Building CXX object intern/audaspace/CMakeFiles/bf_audaspace.dir/intern/AUD_ReadDevice.o
[  0%] [  0%] Building CXX object intern/audaspace/CMakeFiles/bf_audaspace.dir/intern/AUD_NULLDevice.o
Building CXX object intern/audaspace/CMakeFiles/bf_audaspace.dir/intern/AUD_MixerFactory.o
[  0%] Building CXX object intern/audaspace/CMakeFiles/bf_audaspace.dir/intern/AUD_FloatMixer.o
[  1%] Building CXX object intern/audaspace/CMakeFiles/bf_audaspace.dir/intern/AUD_FileFactory.o
[  1%] Building CXX object intern/audaspace/CMakeFiles/bf_audaspace.dir/intern/AUD_ConverterReader.o
[  1%] [  1%] Building CXX object intern/audaspace/CMakeFiles/bf_audaspace.dir/intern/AUD_ConverterFunctions.o
Building CXX object intern/audaspace/CMakeFiles/bf_audaspace.dir/intern/AUD_ConverterFactory.o
[  1%] Building CXX object intern/audaspace/CMakeFiles/bf_audaspace.dir/intern/AUD_ChannelMapperReader.o
[  1%] Building CXX object intern/audaspace/CMakeFiles/bf_audaspace.dir/intern/AUD_ChannelMapperFactory.o
[  1%] Building CXX object intern/audaspace/CMakeFiles/bf_audaspace.dir/intern/AUD_C-API.o
[  1%] Building CXX object intern/audaspace/CMakeFiles/bf_audaspace.dir/intern/AUD_BufferReader.o
[  1%] [  2%] Building CXX object intern/audaspace/CMakeFiles/bf_audaspace.dir/intern/AUD_Buffer.o
Building CXX object intern/audaspace/CMakeFiles/bf_audaspace.dir/FX/AUD_VolumeReader.o
[  2%] Building CXX object intern/audaspace/CMakeFiles/bf_audaspace.dir/FX/AUD_VolumeFactory.o
[  2%] Building CXX object intern/audaspace/CMakeFiles/bf_audaspace.dir/FX/AUD_ReverseReader.o
[  2%] [  2%] Building CXX object intern/audaspace/CMakeFiles/bf_audaspace.dir/FX/AUD_PitchReader.o
Building CXX object intern/audaspace/CMakeFiles/bf_audaspace.dir/FX/AUD_ReverseFactory.o
[  2%] Building CXX object intern/audaspace/CMakeFiles/bf_audaspace.dir/FX/AUD_PitchFactory.o
[  2%] Building CXX object intern/audaspace/CMakeFiles/bf_audaspace.dir/FX/AUD_PingPongFactory.o
[  2%] Building CXX object intern/audaspace/CMakeFiles/bf_audaspace.dir/FX/AUD_LoopReader.o
[  3%] Building CXX object intern/audaspace/CMakeFiles/bf_audaspace.dir/FX/AUD_LoopFactory.o
[  3%] Building CXX object intern/audaspace/CMakeFiles/bf_audaspace.dir/FX/AUD_LimiterReader.o
[  3%] Building CXX object intern/audaspace/CMakeFiles/bf_audaspace.dir/FX/AUD_LimiterFactory.o
[  3%] Building CXX object intern/audaspace/CMakeFiles/bf_audaspace.dir/FX/AUD_FaderReader.o
[  3%] Building CXX object intern/audaspace/CMakeFiles/bf_audaspace.dir/FX/AUD_FaderFactory.o
[  3%] Building CXX object intern/audaspace/CMakeFiles/bf_audaspace.dir/FX/AUD_EffectReader.o
[  3%] Building CXX object intern/audaspace/CMakeFiles/bf_audaspace.dir/FX/AUD_EffectFactory.o
[  3%] [  3%] [  4%] Building CXX object intern/audaspace/CMakeFiles/bf_audaspace.dir/FX/AUD_DelayReader.o
Building CXX object intern/audaspace/CMakeFiles/bf_audaspace.dir/FX/AUD_DelayFactory.o
Building CXX object intern/audaspace/CMakeFiles/bf_audaspace.dir/FX/AUD_DoubleReader.o
[  4%] Building CXX object intern/audaspace/CMakeFiles/bf_audaspace.dir/SRC/AUD_SRCResampleReader.o
[  4%] Building CXX object intern/audaspace/CMakeFiles/bf_audaspace.dir/SRC/AUD_SRCResampleFactory.o
[  4%] Building CXX object intern/audaspace/CMakeFiles/bf_audaspace.dir/ffmpeg/AUD_FFMPEGReader.o
[  4%] Building CXX object intern/audaspace/CMakeFiles/bf_audaspace.dir/ffmpeg/AUD_FFMPEGFactory.o
[  4%] Building CXX object intern/audaspace/CMakeFiles/bf_audaspace.dir/SDL/AUD_SDLMixerReader.o
[  4%] Building CXX object intern/audaspace/CMakeFiles/bf_audaspace.dir/SDL/AUD_SDLMixerFactory.o
[  4%] Building CXX object intern/audaspace/CMakeFiles/bf_audaspace.dir/SDL/AUD_SDLMixer.o
[  4%] Building CXX object intern/audaspace/CMakeFiles/bf_audaspace.dir/SDL/AUD_SDLDevice.o
[  5%] Building CXX object intern/audaspace/CMakeFiles/bf_audaspace.dir/OpenAL/AUD_OpenALDevice.o
Linking CXX static library ../../lib/libbf_audaspace.a
[  5%] Built target bf_audaspace
make: *** [all] Error 2
 * 
 * ERROR: media-gfx/blender-9999 failed.



Comment 24 Toffanin 2009-09-14 10:13:39 UTC
Created attachment 204007 [details, diff]
blender-2.5-doxygen.patch
Comment 25 Toffanin 2009-09-14 10:14:52 UTC
Created attachment 204008 [details, diff]
blender-2.5-cmake.patch
Comment 26 Toffanin 2009-09-14 10:15:19 UTC
Created attachment 204009 [details, diff]
blender-2.5-cmake-without-extern.patch
Comment 27 Toffanin 2009-09-14 10:16:09 UTC
Created attachment 204010 [details, diff]
blender-2.5-FindOpenJPEG.cmake.patch
Comment 28 Toffanin 2009-09-14 10:16:35 UTC
Created attachment 204012 [details, diff]
blender-2.5-cmake-imbuf-openjpeg.patch
Comment 29 Toffanin 2009-09-14 10:19:22 UTC
Created attachment 204014 [details, diff]
files/blender (binary wrapper)
Comment 30 Toffanin 2009-09-14 12:01:11 UTC
Created attachment 204031 [details]
blender-9999.ebuild

An improved and updated ebuild for blender 2.5 live (head revision 23211).

Enhancements done to the ebuild:
- removed USE 'nls' as now internationalization support is fully handled by LINGUAS (see below);
- removed USE 'physic' as it must be always enabled;
- renamed USE 'jpeg' into 'jpeg2k';
- fixed ESVN_REPO_URI to the new repository url;
- added missing checks on the media-libs/libsdl USE;
- added missing checks for the USE 'jpeg2k' on the media-video/ffmpeg;
- improved main CMakeLists.txt to properly use CMake modules (now to compile blender live is required =dev-util/cmake-2.6.4-r3 from bug #284898);
- some of the patches I made has been accepted upstream and commited into the repository;
- I have fixed Blender live to link against media-libs/openjpeg from the system and not from the one bundled (compilation time is reduced too as now the bundled openjpeg lib is not compiled);
- the list of supported langs (file '.Blanguages') is now filled accordlying to the content of LINGUAS, so the Blender dialog box for the internationalization will show only the user-selected langs;
- added missing compilation of the Blender plugins;
- small fix for the Blender Verse tool;
- the Blender wrapper mentioned in my previous comment is now ready and fully working: it lets the end users to install extra python scripts as a global shared scripts for everyone (into /usr/share/blender/scripts) or as local scripts (into ${HOME}/.blender/scripts) and Blender is able to found and detect them without the need of dirty hacks/workarounds;
- various improvements for the doxygen/epydoc documentation (unfortunately USE 'apidoc' is not working because the epydoc documentation is empty);

Additional notes:
A- I'm removing other bundled libs, so the future version of the ebuild let you gain a more stable Blender application (it uses the more updated and stable libraries from the system instead of the outdated one bundled) drastically reducing also the total compilation time;
B- unfortunately I can not remove the bundle copy of sci-physic/bullet as Blender is using a modified version of the bullet framework, so I'm trying to convince the upstream devels to use a standard release of sci-physic/bullet;
C- the main menus of Blender are not visible due to some problems with the python3.1 from portage, I'm working on the issue;
Comment 31 Toffanin 2009-09-14 12:06:43 UTC
(In reply to comment #23)
> can't build the package because of this error:
> /var/tmp/portage/media-gfx/blender-9999/work/blender/intern/string/intern/STR_String.cpp:42:
> /var/tmp/portage/media-gfx/blender-9999/work/blender/intern/string/./STR_String.h:201:
> error: 'operator new' takes type 'size_t' ('long unsigned int') as first
> parameter
> make[2]: *** [intern/string/CMakeFiles/bf_string.dir/intern/STR_String.o] 

it's an error related to the C++ memory allocator GuardedAlloc; please, can you post the USEs for the blender package?
Comment 32 Toffanin 2009-09-15 16:15:22 UTC
Created attachment 204216 [details, diff]
files/blender (binary wrapper)

this fix the issue with the Blender menus and UIs not showed (it's just a stupid workaround until upstream devels will fix the problem). Have good fun!
Comment 33 Luca Barbato gentoo-dev 2009-09-15 16:41:36 UTC
Simply put, I won't accept cmake based stuff if there are alternatives.
Comment 34 Toffanin 2009-09-19 16:18:18 UTC
Created attachment 204616 [details]
files/blender (binary wrapper)

temporary fix for upstream bug 19379: https://projects.blender.org/tracker/index.php?func=detail&aid=19379&group_id=9&atid=498
Comment 35 Toffanin 2009-09-19 16:43:57 UTC
Created attachment 204622 [details, diff]
blender-2.5-glew.patch

Fix for Scons to link against the glew libraries from the system and not the ones bundled.

note: debugging a blender2.5's bug with ffmpeg0.5 I have noticed some missing glew's simbols from the blender binary; this happened because Scons uses the glew's headers from the local path: ${S}/extern/glew/ instead of the system path: /usr/include/GL, indeed the removal of the local path: ${S}/extern/glew/ leads to the following linking problem:

/var/tmp/portage/media-gfx/blender-9999/work/build/linux2/lib/libbf_blenkernel.a(DerivedMesh.o): In function `emDM_drawMappedFacesGLSL':

DerivedMesh.c:(.text+0x341e): undefined reference to `__glewVertexAttrib2fvARB'                                                                   
DerivedMesh.c:(.text+0x345d): undefined reference to `__glewVertexAttrib4ubvARB'                                                                  
DerivedMesh.c:(.text+0x351b): undefined reference to `__glewVertexAttrib2fvARB'                                                                   
DerivedMesh.c:(.text+0x355d): undefined reference to `__glewVertexAttrib4ubvARB'                                                                  
DerivedMesh.c:(.text+0x361b): undefined reference to `__glewVertexAttrib2fvARB'                                                                   
DerivedMesh.c:(.text+0x365d): undefined reference to `__glewVertexAttrib4ubvARB'                                                                  
DerivedMesh.c:(.text+0x372a): undefined reference to `__glewVertexAttrib2fvARB'                                                                   
DerivedMesh.c:(.text+0x376c): undefined reference to `__glewVertexAttrib4ubvARB'
DerivedMesh.c:(.text+0x3855): undefined reference to `__glewVertexAttrib2fvARB'
DerivedMesh.c:(.text+0x3894): undefined reference to `__glewVertexAttrib4ubvARB'
DerivedMesh.c:(.text+0x396e): undefined reference to `__glewVertexAttrib2fvARB'
DerivedMesh.c:(.text+0x39b0): undefined reference to `__glewVertexAttrib4ubvARB'
DerivedMesh.c:(.text+0x3a8a): undefined reference to `__glewVertexAttrib2fvARB'
DerivedMesh.c:(.text+0x3acc): undefined reference to `__glewVertexAttrib4ubvARB'
DerivedMesh.c:(.text+0x3bcb): undefined reference to `__glewVertexAttrib2fvARB'
DerivedMesh.c:(.text+0x3c3b): undefined reference to `__glewVertexAttrib4ubvARB'
DerivedMesh.c:(.text+0x3cf7): undefined reference to `__glewVertexAttrib3fvARB'
DerivedMesh.c:(.text+0x3d20): undefined reference to `__glewVertexAttrib3fvARB'
DerivedMesh.c:(.text+0x3d82): undefined reference to `__glewVertexAttrib3fvARB'
DerivedMesh.c:(.text+0x3db4): undefined reference to `__glewVertexAttrib3fvARB'
DerivedMesh.c:(.text+0x3ddd): undefined reference to `__glewVertexAttrib3fvARB'
/var/tmp/portage/media-gfx/blender-9999/work/build/linux2/lib/libbf_blenkernel.a(DerivedMesh.o):DerivedMesh.c:(.text+0x3e24): more undefined references to `__glewVertexAttrib3fvARB' follow
collect2: ld returned 1 exit status


another evidence of the before mentioned linking problem is the fact that, without my fix, the blender binary is not linked to the media-libs/glew as confirmed by the following command: qlist blender | scanelf -L -n -q -F '%n #F' | tr , ' ' | xargs qfile -C | sort -u | grep glew

Most probably also the versions 2.4x from portage are afflicted by the same linking problem (later I'll do some testing).
Comment 36 Toffanin 2009-09-19 17:21:38 UTC
Created attachment 204624 [details]
media-gfx/blender-9999 (scons build system)

An improved and updated ebuild for blender 2.5 live (head revision 23351) which uses Scons as a build system instead of CMake, as required by @lu_zero.

Enhancements done to the ebuild:
1- removed cmake eclass and reverted all the previous improvements to use Scons build system;
2- removed USE 'web' and 'guardedalloc' as they are not supported by Scons (CMake support them correctly);
3- added USE 'lcms' and 'tweak-mode', the former add support for the Lightweight Color Managament System and the ladder enable the Tweak Mode for the blender gestures (see updated metatada.xml for more infos);
4- added missing dependency media-libs/glew;
5- removed CVE-2008-4863.patch as it interferes with the loading of the UI python scripts;
6- used Scons option 'BF_NUMJOBS' instead of the hack done by @lu_zero filtering ${MAKEOPTS} (this also fix bug #276130 );
7- added generation of Blender BGE API documentation;

Additional notes:
A- apidoc is not working as upstream does not have commited the API docs;
B- the USE 'verse' is useless as the Scons do not build verse clustering support (CMake support it correctly);
C- the problem of the menu and UIs not loaded at runtime has been reported upstream (see my previous comments) and will be fixed soon, for now the issue is temporarely fixed by binary wrapper;
D- I'll continue to maintain the CMake version of the ebuild as I need the USE 'guardedalloc' for the bpy-scripts development, so the users interested can continue to use the ebuild with cmake support from my overlay;
Comment 37 Toffanin 2009-09-19 17:22:01 UTC
Created attachment 204625 [details]
metadata.xml
Comment 38 Toffanin 2009-09-24 09:45:35 UTC
Created attachment 205091 [details]
media-gfx/blender-9999 (scons build system)

An improved and updated ebuild for blender 2.5 live.

Enhancements done to the ebuild:
1- as promised, the problem of the menu and UIs not loaded at runtime, has been fixed upstream (see [1]);
2- upstream have accepted my suggestions to make Blender 2.5 compliant to the FHS (see [2]), so from v2.5, Blender can be installed as a slotted package;
3- Blender 2.5 honours both global scripts (/usr/share/blender/2.5/*) and personal scripts ( ~/.blender/* ) out-of-box (see [2]);
4- fixed wrong SDL dependencies (reminiscence of the original @lu_zero ebuild) as Blender Game Engine do not depends on SDL anymore;
5- fixed missing exportation of CFLAGS/CXXFLAGS/LDFLAGS for some Scons options, now everything in Blender is compiled with the user flags specified into make.conf;
6- C_WARN, CC_WARN, CXX_WARN are suppressed (there is no need to slow down compilation unless you are a Blender developer and in that case, it's better to enable -Wall inside the make.conf instead to waste users resources for nothing);
7- due to point (3), there is no more need of a over-complex and bloated binary wrapper inside the files/ directory, instead the wrapper is created by the ebuild itself, one for every slotted version (the wrapper only checks that the ~/.blender path is not a symbolic link, warning about security problems);

Additional notes:
A- unfortunately upstream have decided to hardcode all the locale names inside the source code instead to use a separated text file (.Blanguages), this mean that my hack to support LINGUAS do not works anymore as all the languages are installed regardless of the LINGUAS content;
B- a bug tracker for the 2.5 branch has been opened (see [3]), please report bugs upstream instead of here, thank you;

---
[1] https://projects.blender.org/tracker/index.php?func=detail&aid=19379&group_id=9&atid=498
[2] http://wiki.blender.org/index.php/BlenderDev/Blender2.5/Unix_FHS
[3] https://projects.blender.org/tracker/?atid=498&group_id=9&func=browse
Comment 39 Toffanin 2009-09-30 14:13:27 UTC
Created attachment 205675 [details, diff]
blender-2.5-eigen.patch
Comment 40 Toffanin 2009-09-30 14:19:42 UTC
Created attachment 205676 [details]
media-gfx/blender-9999 (scons build system)

An improved and updated ebuild for blender 2.5 live (revision 23568).

Enhancements done to the ebuild:
- added dev-cpp/eigen:2 as new dependency and fixed source code to use the eigen's headers from the system instead of the bundled copy;
- made the ebuild more 'slot' friendly;
Comment 41 Toffanin 2009-10-05 09:55:54 UTC
Created attachment 206068 [details]
media-gfx/blender-9999 (scons build system)

just small fixes as upstream have changed the paths of the python scripts.
Comment 42 Christian Strahl 2009-10-09 11:21:07 UTC
Slotinstall!
Compiles fine, but emerge fails with the following message:

 * Detected file collision(s):
 * 
 * 	/usr/share/applications/blender.desktop
 * 	/usr/share/pixmaps/blender.svg
 * 
 * Searching all installed packages for file collisions...
 * 
 * Press Ctrl-C to Stop
 * 
 * media-gfx/blender-2.49b
 * 	/usr/share/applications/blender.desktop
 * 	/usr/share/pixmaps/blender.svg
Comment 43 Toffanin 2009-10-12 13:49:44 UTC
Created attachment 206853 [details]
media-gfx/blender-9999 (scons build system)

fix collision problem as reported in comment #42 from Christian Strahl.
thank you for reporting Christian.
Comment 44 Khumba 2009-11-27 22:44:15 UTC
I found (from http://ubuntuforums.org/showthread.php?t=1243899&page=2) that I needed to add:
    BF_PYTHON_INC="`python_get_includedir`"
to the part of the ebuild that updates user-config.py, otherwise I would get the error:
    Compiling ==> 'bmfont.c'
    Compiling ==> 'smoke.c'
    Compiling ==> 'node.c'
    source/blender/blenkernel/intern/node.c:31:20: error: Python.h: No such file or directory

I didn't have to add BF_PYTHON_LIBDIR or any of the other variables.  I'm running python-2.6.2-r1 on amd64.
Comment 45 Khumba 2009-11-27 22:47:47 UTC
I apologize, I didn't see that >=python-3.1 was required.  Never mind.
Comment 46 Mike Bonar 2009-12-14 17:04:07 UTC
The KDE menu item added by the ebuild doesn't launch blender-bin-2.5.
Comment 47 Mike Bonar 2009-12-17 13:57:23 UTC
As I move my system to ~amd64, glew fails to compile.

http://www.mail-archive.com/mesa3d-dev@lists.sourceforge.net/msg06339.html
http://bugs.archlinux.org/task/15996
http://bbs.archlinux.org/viewtopic.php?id=79467

It looks like mesa will provide glew.
Comment 48 Mike Bonar 2009-12-17 14:00:33 UTC
(In reply to comment #46)
> The KDE menu item added by the ebuild doesn't launch blender-bin-2.5.
> 
Doesn't launch blender-2.5, that is.
Comment 49 Mike Bonar 2009-12-18 15:50:44 UTC
(In reply to comment #47)
> As I move my system to ~amd64, glew fails to compile.
> 
> http://www.mail-archive.com/mesa3d-dev@lists.sourceforge.net/msg06339.html
> http://bugs.archlinux.org/task/15996
> http://bbs.archlinux.org/viewtopic.php?id=79467
> 
> It looks like mesa will provide glew.
> 

Glew compiled after i finished moving to ~amd64.
Comment 50 Reuben Martin 2009-12-19 01:21:01 UTC
Builds fine and seems to function correctly, but the colors of the interface are totally jacked up. Lots of black and red.

Has anybody else seen this? (~amd64)

Not really quite sure what would cause this.
Comment 51 Renato Alves 2009-12-19 05:27:32 UTC
Not sure if it's the same case but in my setup all buttons are black and the text in them is only readable when clicked.

I had a similar problem with blender-2.49b which was caused by a bug in mesa (x86). Upgrading to a more recent mesa version solved the problem. This doesn't seem to be the case with blender-2.5 and nvidia on amd64.
Comment 52 Reuben Martin 2009-12-20 08:09:02 UTC
Yes, that sounds similar to what I'm seeing (also nivida, amd64)

Almost all the colors are set to black. I can't read some of the text because it is black on black background. Most of what should be blue is red.

I tried updating Mesa to 7.7-rc2, and then rebuilding the nvidia-drivers and blender, but no change.
Comment 53 Reuben Martin 2009-12-22 03:38:12 UTC
still haven't figured it out. I've pretty much eliminated build flags or use flags as possible causes. I disabled all USE options and used just "-O2" to build. Still no good.

The 2.5 alpha 0 binary offered on the web site works correctly. I assume it's to with a library it's linking against, but not really sure how to figure out what is causing the problem. It's not like it crashes where I can do a trace to figure out where the problem is coming from... :P
Comment 54 Toffanin 2009-12-22 08:34:13 UTC
(In reply to comment #53)
> [CUT]

as I have told in the past, bugs related to the source code of Blender or Blender dependencies problems MUST be reported upstream (on the Blender tracker) and MUST NOT discussed here; this report is only for issues related to the ebuild and specific to the Gentoo environment, thank you.

p.s.: the color problem is a mesa issue
Comment 55 Reuben Martin 2009-12-23 01:57:51 UTC
(In reply to comment #54)
> as I have told in the past, bugs related to the source code of Blender or
> Blender dependencies problems MUST be reported upstream (on the Blender
> tracker) and MUST NOT discussed here

Yes, well folks upstream are just as likely to say that I should discuss it with the distro maintainers since the build is not their official release binaries.

Just because I discuss it on this bug reporting system does not imply that I expect you swoop down to the sound of a heavenly choir with an angelic glow about you to fix my problems for me. Rather I hope that I can find other people who have run into similar problems. And I am much more likely to find people rolling their own builds with a similar base system here than I would find upstream.

So sorry if this is clogging up your mail box, but this is what bug trackers are for.

p.s. - fixed blender-desktop.patch
Comment 56 Reuben Martin 2009-12-23 01:58:50 UTC
Created attachment 213876 [details, diff]
small fixes
Comment 57 Reuben Martin 2009-12-23 05:14:20 UTC
hmmm. Built it manually and the problem goes away.

I looked (quickly) through the ebuild. It doesn't seem to make sure that it's building against X11's libs rather than Nvidia's libs. Perhaps that is the source of the issue?
Comment 58 Mike Bonar 2009-12-28 03:32:55 UTC
(In reply to comment #50)
> Builds fine and seems to function correctly, but the colors of the interface
> are totally jacked up. Lots of black and red.
> 
> Has anybody else seen this? (~amd64)
> 
> Not really quite sure what would cause this.
> 

I'm getting this issue too.  Turning off shading in the User Perfs>UI dialog allows you to see the correct interface.  It doesn't set the change between launches though, so each time you launch you have to turn shading off again.
Comment 59 Mike Bonar 2009-12-28 04:31:43 UTC
Something has changed since I last installed:

* Applying blender-2.5-eigen.patch ...                                                            [ ok ]
>>> Source prepared.
>>> Configuring source in /var/tmp/portage/media-gfx/blender-9999/work/blender ...
>>> Source configured.
>>> Compiling source in /var/tmp/portage/media-gfx/blender-9999/work/blender ...
Traceback (most recent call last):
  File "/usr/bin/scons", line 66, in <module>
    if os.environ.has_key("SCONS_LIB_DIR"):
AttributeError: '_Environ' object has no attribute 'has_key'
 * ERROR: media-gfx/blender-9999 failed:
 *   !!! Please add "${S}/scons.config" when filing bugs reports \
 *              to bugs.gentoo.org
 *
 * Call stack:
 *     ebuild.sh, line  54:  Called src_compile
 *   environment, line 3716:  Called die
 * The specific snippet of code:
 *       scons || die '!!! Please add "${S}/scons.config" when filing bugs reports \
 *              to bugs.gentoo.org';
 *
 * If you need support, post the output of 'emerge --info =media-gfx/blender-9999',
 * the complete build log and the output of 'emerge -pqv =media-gfx/blender-9999'.
 * This ebuild is from an overlay named 'local_overlay': '/usr/local/portage/'
 * The complete build log is located at '/var/tmp/portage/media-gfx/blender-9999/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/media-gfx/blender-9999/temp/environment'.
 * S: '/var/tmp/portage/media-gfx/blender-9999/work/blender'
Comment 60 Mike Bonar 2009-12-28 04:42:45 UTC
Looks like the scons error was a python issue.  I had eselect python pointing to python 3.1 (to run Blender 2.5).  Usually emerge breaks when python 3.1 is selected.  
Comment 61 Renato Alves 2010-01-05 22:12:58 UTC
(In reply to comment #60)
> Looks like the scons error was a python issue.  I had eselect python pointing
> to python 3.1 (to run Blender 2.5).  Usually emerge breaks when python 3.1 is
> selected.  
> 

Well I'm getting the same issue and here eselect python list reports python2.6. What was your fix exactly?
Comment 62 Toffanin 2010-01-06 09:24:36 UTC
(In reply to comment #61)
> Well I'm getting the same issue and here eselect python list reports python2.6.
> What was your fix exactly?


sorry, it's your fault, the ebuild of python-3.1 warns you:

> WARNING!
> Many Python modules haven't been ported yet to Python 3.*.
> Python 3 hasn't been activated and Python wrapper is still configured to use Python 2.
> You can manually activate Python 3.1 using `eselect python set python3.1`.
> It is recommended to currently have Python wrapper configured to use Python 2.
> Having Python wrapper configured to use Python 3 is unsupported.


the last sentences are quite clear: 'eselect python set python2.6' and Blender-2.5 will continue to work as expected; you DO NOT NEED python 3.1 enabled globally to use Blender 2.5.
Comment 63 Mike Bonar 2010-01-08 03:12:19 UTC
...snip
> the last sentences are quite clear: 'eselect python set python2.6' and
> Blender-2.5 will continue to work as expected; you DO NOT NEED python 3.1
> enabled globally to use Blender 2.5.
> 
Toffanin, thx for that little update.  It's not exactly clear from that comment that you can run blender-2.5 with python-2.6, but now it is.
Comment 64 Reuben Martin 2010-01-09 01:31:29 UTC
In order to support the OpenCollada I believe that there will have to be an ebuild created to fill the dependency on the OpenCollada SDK.

However, the OpenCollada SDK apparently doesn't release tarballs of their code, or for that matter even tag them in their SVN. :P The only thing that gets tagged is their 3dsmax and maya plugins.

The ebuild will have to either pull from head and hope it works, or select a specific revision.
Comment 65 Renato Alves 2010-01-09 16:45:38 UTC
Sorry if I wasn't clear before, but as I said, eselect python list gives:

Available Python interpreters:
  [1]   python2.6 *
  [2]   python3.1

Which is correct because I DO NOT want to use python3.1 globally for now.

But even if eselect reports that and even if I repeat eselect python set python2.6 before emerging blender, I still get the error:

>>> Compiling source in /var/tmp/portage/media-gfx/blender-9999/work/blender ...
scons: Reading SConscript files ...
Command-line arguments
	No  command-line arguments given
Command-line targets
	No targets given, using default
Using config file: config/linux2-config.py
Using user-config file: user-config.py
  File "user-config.py", line 21

    BF_NUMJOBS=

              
^

SyntaxError: invalid syntax

 * 
 * ERROR: media-gfx/blender-9999 failed.
 * Call stack:
 *               ebuild.sh, line   49:  Called src_compile
 *             environment, line 3636:  Called die
 * The specific snippet of code:
 *       scons || die '!!! Please add "${S}/scons.config" when filing bugs reports \
 *   		to bugs.gentoo.org';
 *  The die message:
 *   !!! Please add "${S}/scons.config" when filing bugs reports \
 * 		to bugs.gentoo.org

That's why I asked for more detail on how the previous problem was solved. I thought it could be related.

In any case, these are the flags enabled on blender-9999 - dds elbeem ffmpeg game-engine openal openexr openmp sdl.

The error seems to come directly from the build process, but considering it's a syntax error in some scons related file it looks like an upstream issue. What puzzles me is that you are not affected by it.
Comment 66 Mike Bonar 2010-01-09 17:35:58 UTC
(In reply to comment #65)
...snip
> 
>  * 
>  * ERROR: media-gfx/blender-9999 failed.
>  * Call stack:
>  *               ebuild.sh, line   49:  Called src_compile
>  *             environment, line 3636:  Called die
>  * The specific snippet of code:
>  *       scons || die '!!! Please add "${S}/scons.config" when filing bugs
> reports \
>  *              to bugs.gentoo.org';
>  *  The die message:
>  *   !!! Please add "${S}/scons.config" when filing bugs reports \
>  *              to bugs.gentoo.org
> 
Can you attach the scons.config?
Comment 67 Renato Alves 2010-01-09 18:23:12 UTC
(In reply to comment #66)
> Can you attach the scons.config?

I can't seem to find any scons.config in the build folder nor the whole system. But I do have scons-1.2.0-r1 installed.

About the error, it seems to be in user-config.py line 21:
20 BF_QUIET=1
21 BF_NUMJOBS=
22 WITH_BF_FHS=1

A number seems to be missing there on the BF_NUMJOBS variable.

After searching where did this file came from since it's not in the svn code I realized that it's generated by the ebuild. The problem seems to be that the next line doesn't work and returns an empty value:

local NUMJOBS="$( echo "${MAKEOPTS}" | sed -ne 's,.*-j\([[:digit:]]\+\).*,\1,p' )"

What is this line supposed to do?
Comment 68 Toffanin 2010-01-09 18:42:15 UTC
(In reply to comment #67)
> (In reply to comment #66)
> What is this line supposed to do?

it passes the -j value from MAKEOPTS to the Blender build system; please, paste your MAKEOPTS.

Comment 69 Toffanin 2010-01-09 19:14:36 UTC
Created attachment 215848 [details]
media-gfx/blender-9999 (scons build system)

An improved and updated ebuild for blender 2.5 live.

Enhancements done to the ebuild:
- variable $NUMJOBS is validated before to pass its value to the Blender build system (this is necessary to prevent empty/misconfigured MAKEOPTS, which leads to configure errors as reported by Renato Alves);
- added USE 'sse' as now Blender 2.5 supports SIMD vector optimizations (only SSE for now);

a new version of the ebuild will be available in the next days with new USE flags and patch sets.
Comment 70 Mike Bonar 2010-01-09 21:27:53 UTC
(In reply to comment #69)
> Created an attachment (id=215848) [details]
> media-gfx/blender-9999 (scons build system)
> 
> An improved and updated ebuild for blender 2.5 live.
> 
> Enhancements done to the ebuild:
> - variable $NUMJOBS is validated before to pass its value to the Blender build
> system (this is necessary to prevent empty/misconfigured MAKEOPTS, which leads
> to configure errors as reported by Renato Alves);
> - added USE 'sse' as now Blender 2.5 supports SIMD vector optimizations (only
> SSE for now);
> 
> a new version of the ebuild will be available in the next days with new USE
> flags and patch sets.
> 

The new ebuild works on ~amd64

Still having the mesa issue with shading.  Any update on that?
Comment 71 Christian Strahl 2010-01-10 12:07:49 UTC
ebuild failed here because scons was not installed. 

please add scons to build dependencies.
Comment 72 Martin Vala 2010-01-23 09:55:56 UTC
(In reply to comment #70)
> (In reply to comment #69)
> > Created an attachment (id=215848) [details] [details]
> > media-gfx/blender-9999 (scons build system)
> > 
> > An improved and updated ebuild for blender 2.5 live.
> > 
> > Enhancements done to the ebuild:
> > - variable $NUMJOBS is validated before to pass its value to the Blender build
> > system (this is necessary to prevent empty/misconfigured MAKEOPTS, which leads
> > to configure errors as reported by Renato Alves);
> > - added USE 'sse' as now Blender 2.5 supports SIMD vector optimizations (only
> > SSE for now);
> > 
> > a new version of the ebuild will be available in the next days with new USE
> > flags and patch sets.
> > 
> 
> The new ebuild works on ~amd64
> 
> Still having the mesa issue with shading.  Any update on that?
> 

i have problem with shading, too. i don't see fonts which are shaded. when i remove it from user preference and save it as default, this setting is not saved when i start blender again.

Portage 2.2_rc61 (default/linux/amd64/10.0/desktop, gcc-4.4.2, glibc-2.11-r1, 2.6.32-gentoo-r2 x86_64)
=================================================================                                     
System uname: Linux-2.6.32-gentoo-r2-x86_64-Intel-R-_Core-TM-2_CPU_T7200_@_2.00GHz-with-gentoo-2.0.1  
Timestamp of tree: Fri, 22 Jan 2010 18:45:01 +0000                                                    
distcc 3.1 x86_64-pc-linux-gnu [disabled]                                                             
ccache version 2.4 [disabled]                                                                         
app-shells/bash:     4.0_p37                                                                          
dev-java/java-config: 2.1.10                                                                          
dev-lang/python:     2.6.4, 3.1.1-r1                                                                  
dev-util/ccache:     2.4-r8                                                                           
dev-util/cmake:      2.8.0                                                                            
sys-apps/baselayout: 2.0.1                                                                            
sys-apps/openrc:     0.6.0-r1                                                                         
sys-apps/sandbox:    2.2                                                                              
sys-devel/autoconf:  2.13, 2.65                                                                       
sys-devel/automake:  1.8.5-r4, 1.9.6-r3, 1.10.3, 1.11.1                                               
sys-devel/binutils:  2.20                                                                             
sys-devel/gcc-config: 1.4.1                                                                           
sys-devel/libtool:   2.2.6b                                                                           
virtual/os-headers:  2.6.30-r1                                                                        
ACCEPT_KEYWORDS="amd64 ~amd64"                                                                        
ACCEPT_LICENSE="* -@EULA"                                                                             
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=core2 -mtune=core2 -O2 -pipe -fomit-frame-pointer"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/X11/xkb /usr/share/config"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/splash /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-march=core2 -mtune=core2 -O2 -pipe -fomit-frame-pointer"
DISTDIR="/usr/portage/distfiles"
EMERGE_DEFAULT_OPTS="--with-bdeps y --keep-going"
FEATURES="assume-digests buildpkg distlocks fixpackages metadata-transfer news parallel-fetch preserve-libs protect-owned sandbox sfperms splitdebug strict unmerge-logs unmerge-orphans userfetch"
GENTOO_MIRRORS="http://gentoo.ynet.sk/pub ftp://ftp.solnet.ch/mirror/Gentoo"
LDFLAGS="-Wl,-O1"
LINGUAS="en_GB sk ru"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/var/lib/layman/kde /var/lib/layman/alice /var/lib/layman/xrootd /usr/local/portage/mv"
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
USE="X a52 aac acl acpi afs alsa amd64 apache2 berkdb bluetooth branding bzip2 cairo cdr cjk cli consolekit cracklib crypt cups cxx dbus djvu dri dts dvd dvdr dvdread eds emacs emboss encode evo fam firefox flac fortran gdbm gif glib gpm gsl gstreamer hal htmlhandbook iconv ipv6 java jpeg jpeg2k kde kdehiddenvisibility kerberos kpathsea latex ldap libnotify mad mikmod mmx mng modules mp3 mp4 mpeg mudflap multilib mysql ncurses nls nptl nptlonly ogg opengl openmp pam pcre pdf perl php png policykit ppds pppd python qt3support qt4 quicktime readline reflection samba sasl sdl session spell spl sse sse2 ssl startup-notification subversion svg sysfs tcpd threads thunar tiff truetype type1 unicode usb vorbis x264 xml xorg xulrunner xv xvid zeroconf zlib" ALSA_CARDS="hda-intel" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="mouse keyboard evdev synaptics" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="en_GB sk ru" LIRC_DEVICES="serial sir" RUBY_TARGETS="ruby18" USERLAND="GNU" VIDEO_CARDS="nvidia intel"
Unset:  CPPFLAGS, CTARGET, FFLAGS, INSTALL_MASK, LANG, LC_ALL, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
 
Comment 73 Luca Wehrstedt 2010-03-11 11:52:13 UTC
The file source/blender/editors/include/BIF_gl.h includes a header from extern/glew, which is removed, and so build fails.
As a workaround I changed "../../../../extern/glew/include/GL/glew.h" into "GL/glew.h", and everything worked fine.
If this is the correct approach, I'd suggest to add this patch to blender-2.5-glew.patch.
Comment 74 Martin Vala 2010-03-17 20:25:12 UTC
(In reply to comment #73)
> The file source/blender/editors/include/BIF_gl.h includes a header from
> extern/glew, which is removed, and so build fails.
> As a workaround I changed "../../../../extern/glew/include/GL/glew.h" into
> "GL/glew.h", and everything worked fine.
> If this is the correct approach, I'd suggest to add this patch to
> blender-2.5-glew.patch.
> 
can you create new blender-2.5-glew.patch?

thanks
Comment 75 Toffanin 2010-03-18 12:06:52 UTC
Created attachment 224099 [details, diff]
blender-2.5-glew.patch

thank you Luca Wehrstedt for reporting
Comment 76 Martin Vala 2010-03-19 09:17:27 UTC
(In reply to comment #75)
> Created an attachment (id=224099) [details]
> blender-2.5-glew.patch
> 
> thank you Luca Wehrstedt for reporting
> 

i still have problem with shading. Is there fix for that? or what mesa version does this  fix? 
Comment 77 Renato Alves 2010-03-19 11:19:22 UTC
With the current ebuild I also still have that problem, specially in buttons.

Using the official alpha 2 release I don't, but I had to do what is described in bug 309871 to make it work.

http://www.blender.org/download/get-25-alpha/
Comment 78 Sebastian Parborg 2010-03-20 21:13:34 UTC
Don't know if it's really a mesa problem... I got no shading issues when compiling it "manually". So I did some trail & error with the ebuild and it seems like this is what's causing the shading errors:
"echo "CCFLAGS= [`for i in ${CXXFLAGS[@]}; do printf "%s \'$i"\',; done`]" \ 
                | sed -e "s:,]: ]:" >> "${S}"/user-config.py"

If i remove that then i get no shading errors anymore! :) 
Comment 79 Martin Vala 2010-03-20 21:39:02 UTC
Created attachment 224443 [details]
new ebuild (no problem with shading)

Perfect, it is working. And here is my ebuild
Comment 80 Toffanin 2010-03-21 08:40:03 UTC
(In reply to comment #78)
> If i remove that then i get no shading errors anymore! :) 

Thank you Sebastian for reporting, I am trying to debug the CCFLAGS environment variable to find the point that breaks anti-aliasing. Surely is a Scons macro problem; when I have fixed this issue I'll submit a new and updated ebuild (some Blender components are changed)

Comment 81 Philipp 2010-04-11 10:10:56 UTC
Created attachment 227357 [details, diff]
Compilation fix for gl includes.

One of the header files has been including the bundled glew.h for a while now.
Fix it by including <GL/glew.h> instead.
Comment 82 Toffanin 2010-04-12 09:45:34 UTC
Comment on attachment 227357 [details, diff]
Compilation fix for gl includes.

@Philipp pay more attention the next time, the problem was just reported and fixed into the patch set: blender-2.5-glew.patch
Comment 83 Toffanin 2010-04-12 10:52:00 UTC
Created attachment 227477 [details]
media-gfx/blender-9999 (scons build system)

I was waiting for the release of the Alpha2 tarball but unfortunately upstream doesn't want to do it, so here there is an improved and updated ebuild for blender SVN.

Enhancements done to the ebuild:
1- added USE 'redcode' which adds experimental support for the RED CODE camera digital format (5K HD images *.r3d);
2- added USE 'zlib' and 'iconv', now they are optional dependencies;
3- added missing dependency dev-util/scons as reported by Christian Strahl (see comment #71);
4- upstream has dropped dev-python/epydoc in favour of dev-python/sphinx (but API doc generation is not ready at this moment);
5- sys-devel/gettext is injected as dependency only if user sets LINGUAS variable;
6- finally bundled dependencies ffmpeg, lame, x264, Xvid and lzma have been dropped by upstream and Blender can uses the one provided by the system;
7- improved filtering of CFLAGS/CXXFLAGS/LDFLAGS, now all the source code compiles respecting the compiler/linker flags specified into make.conf, plugins and textures too (no more QA Warning);
8- removed all the Scons hardcoded flags to avoid injection of fPIC flags for binaries;
9- fixed the problem of the menu shadows, the problem was a missing '-funsigned-char' flag which is used upstream to fix non-portable char declarations (upstream doesn't want to fix proper this issue with the char declarations so the flag MUST NOT filtered by the ebuild);
10- added USE 'debug' and 'test' for source code debugging and Unit Testing (the latter is an incomplete and experimental feature);
11- cleaned up the ebuild to make it shorter and more readable, also added better comments;


Additional notes:
A- apidoc is still not working as upstream does not have commited the API docs;
B- at the moment there are only two bundled libraries: binreloc and Bullet2, the former is hard to fix but the latter will be removed soon by upstream when Bullet 2.76 will be marked as stable (ASAP I'll try to patch the blender source code and use the package from portage).

Now that Blender source code respects the compiler/linker flags from the system and all the hardcoded fPIC flags have been removed, the final binary is shorter, here some numbers (from the same svn snapshot):

(without respecting compiler/linker flags from the system and hardcoded fPIC flags)
# ls -la /usr/bin/blender-bin-2.5
-rwxr-xr-x 1 root root 14262868 21 mar 12:50 /usr/bin/blender-bin-2.5

(respecting compiler/linker flags from the system and without hardcoded fPIC flags)
# ls -la /usr/bin/blender-bin-2.5
-rwxr-xr-x 1 root root 13457704 21 mar 16:45 /usr/bin/blender-bin-2.5

final difference: 805164 bit shorter.

The new binary is also faster too, here some numbers (Blender cache is disabled):

rendering time (non optimized binary): 37m:24s
rendering time (optimized binary):     10m:48s

I'm using Blender 2.5 Alpha2 extensively and it's working very well but it's not complete and the Video Composer shows random segmentation faults.
Comment 84 Toffanin 2010-04-12 10:53:32 UTC
Created attachment 227479 [details]
metadata.xml

a metadata.xml with updated USE description.
(just to semplify the ebuild maintainer's life)
Comment 85 Toffanin 2010-04-12 10:55:00 UTC
Created attachment 227481 [details, diff]
blender-2.5-bmake.patch
Comment 86 Sebastian Parborg 2010-04-18 21:10:34 UTC
If I try to emerge the new ebuild with the iconv use flag it fails with:
/usr/lib/gcc/x86_64-pc-linux-gnu/4.3.4/../../../../x86_64-pc-linux-gnu/bin/ld: cannot find -liconv

I have iconv installed so I don't really know why this happens.
Comment 87 biohazrd 2010-04-19 04:21:02 UTC
(In reply to comment #86)
> If I try to emerge the new ebuild with the iconv use flag it fails with:
> /usr/lib/gcc/x86_64-pc-linux-gnu/4.3.4/../../../../x86_64-pc-linux-gnu/bin/ld:
> cannot find -liconv
> 
> I have iconv installed so I don't really know why this happens.
> 

Happens here too.  I just disabled iconv USE flag and it works fine.  Might be a problem for lang's other than English though.  It might have something to do with iconv being a virtual package??  I was gonna test that theory by installing dev-libs/libiconv in lieu of virtual/libiconv.  Maybe a GCC version issue?
Comment 88 Luca Barbato gentoo-dev 2010-04-19 07:58:28 UTC
wonderful job =)
Few question:

Mauro
	use player && doexe "${WORKDIR}"/install/bin/blenderplayer
	use verse && doexe "${WORKDIR}"/install/bin/verse_server

Shouldn't be slotted as well?

Everybody interested in blender:

You'd like have blender slotted through major releases?
Comment 89 Luca Wehrstedt 2010-04-19 17:48:10 UTC
Created attachment 228419 [details]
log of patch application

I'm getting this error while trying to install blender:

 * Failed Patch: blender-2.5-glew.patch !
 *  ( /usr/local/portage/media-gfx/blender/files/blender-2.5-glew.patch )
 * 
 * Include in your bugreport the contents of:
 * 
 *   /var/tmp/portage/media-gfx/blender-9999/temp/blender-2.5-glew.patch.out
 * ERROR: media-gfx/blender-9999 failed:
 *   Failed Patch: blender-2.5-glew.patch!
 * 
 * Call stack:
 *     ebuild.sh, line   54:  Called src_prepare
 *   environment, line 4979:  Called epatch '/usr/local/portage/media-gfx/blender/files/blender-2.5-glew.patch'
 *   environment, line 1853:  Called die
 * The specific snippet of code:
 *               die "Failed Patch: ${patchname}!";
 * 
 * If you need support, post the output of 'emerge --info =media-gfx/blender-9999',
 * the complete build log and the output of 'emerge -pqv =media-gfx/blender-9999'.
 * This ebuild is from an overlay: '/usr/local/portage/'
 * The complete build log is located at '/var/tmp/portage/media-gfx/blender-9999/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/media-gfx/blender-9999/temp/environment'.
 * S: '/var/tmp/portage/media-gfx/blender-9999/work/blender'

I attach blender-2.5-glew.patch.out. Are other files needed?
Comment 90 biohazrd 2010-04-20 01:10:58 UTC
Created attachment 228465 [details]
media-gfx/blender SVN overlay
Comment 91 biohazrd 2010-04-20 01:14:33 UTC
(In reply to comment #90)
> Created an attachment (id=228465) [details]
> media-gfx/blender SVN overlay
> 

Luca W.

Try that overlay. It sounds like you are using and outdated ebuild, outdated glew patch or your not syncing to current SVN.  I just re-merged to current source and it worked fine. 
Comment 92 Toffanin 2010-04-20 15:55:26 UTC
(In reply to comment #86)
> If I try to emerge the new ebuild with the iconv use flag it fails with:
> /usr/lib/gcc/x86_64-pc-linux-gnu/4.3.4/../../../../x86_64-pc-linux-gnu/bin/ld:
> cannot find -liconv

(In reply to comment #87)
> Happens here too.  I just disabled iconv USE flag and it works fine.  Might be
> a problem for lang's other than English though.  It might have something to do
> with iconv being a virtual package?

You are right, thank you for the report. I forgot to fix iconv/libiconv handling as libiconv must be used only by NON glibc systems (and Blender's configure system isn't able to correctly detect the presence of glibc/libiconv); I'm submitting now a new ebuild that correct the problem and enable libiconv support only for non glibc system (like Gentoo/FreeBSD). For glibc/uclibc systems the USE 'iconv' doesn't use libiconv at all if enabled, instead Blender will use the iconv provided by glibc.

p.s.: however iconv doesn't have nothing to do with languages, it just convert charsets (ex. from ISO types to UTF-8) so with or without iconv USE your Blender's translations are always there.


(In reply to comment #88)
> Mauro
>         use player && doexe "${WORKDIR}"/install/bin/blenderplayer
>         use verse && doexe "${WORKDIR}"/install/bin/verse_server
> Shouldn't be slotted as well?

You are right Luca, I forgot them, thank you for the report.



(In reply to comment #88)
> Everybody interested in blender:
> You'd like have blender slotted through major releases?

Yes, that would be great as there are situations where is required to have different Blender versions installed together (since Blender 2.5 it's possible with the new WITH_BF_FHS options), but to achieve this goal and to give to the Gentoo users a better Blender experience (installation of third party plugins from portage) there are some issue to face off. I'm writing you an email that explains all these problems together with my point of view about possible solutions, so we can discuss them without to make this report more longer and messed up with OT discussions.
Comment 93 Toffanin 2010-04-20 16:06:27 UTC
Created attachment 228519 [details]
media-gfx/blender-9999 (scons build system)

Fixes iconv/libiconv handling and largefile (> 4GB) problems in Linux (file browser showing negative file sizes).
Comment 94 Luca Wehrstedt 2010-04-23 18:05:48 UTC
(In reply to comment #91)
> (In reply to comment #90)
> > Created an attachment (id=228465) [details] [details]
> > media-gfx/blender SVN overlay
> > 
> 
> Luca W.
> 
> Try that overlay. It sounds like you are using and outdated ebuild, outdated
> glew patch or your not syncing to current SVN.  I just re-merged to current
> source and it worked fine. 
> 

Yes, thanks. Now it's working.
Comment 95 Niels 2010-04-23 20:52:39 UTC
This works fine for me on amd64.
Would it be possible to include the Freestyle project?

http://freestyleintegration.wordpress.com/
https://svn.blender.org/svnroot/bf-blender/branches/soc-2008-mxcurioni/

Thanks!
Comment 96 Luca Barbato gentoo-dev 2010-04-25 12:42:28 UTC
How far from merge into the main tree is that? I'd avoid adding extensive patches if they aren't being merged or next to be merged
Comment 97 Luca Barbato gentoo-dev 2010-04-25 13:28:25 UTC
Here some more nits:

NEEP_PYTHON="3.1"

-- Might be NEED_PYTHON, why 3.1 btw?

        use verse && doexe "${WORKDIR}"/install/bin/verse_server

-- it should be slotted as well and probably would be good adding an init script for it

Comment 98 Toffanin 2010-04-25 20:05:36 UTC
(In reply to comment #97)
> -- Might be NEED_PYTHON, why 3.1 btw?

No, Blender 2.5 works only with Python3.1 (I have reported it in my previous comments); python2 support has been dropped upstream.


> use verse && doexe "${WORKDIR}"/install/bin/verse_server
> -- it should be slotted as well and probably would be good adding an init
> script for it

you're right, I have uploaded the wrong ebuild as it has a partial fix for the slotted verse/player binaries; the init script for verse is a very good idea, unfortunately the 'verse' component (together with game player) is still in a development stage so it's not working at all and there isn't a good way to test the validity of the init (but I can provide a preliminary one in the next days together with a new ebuild).

p.s.: I'm working on a proper OpenCollada SDK ebuild too, but the SDK is really a mess, it will not be an easy task.
Comment 99 Renato Alves 2010-06-24 23:58:03 UTC
(In reply to comment #98)
> -- Might be NEED_PYTHON, why 3.1 btw?

> No, Blender 2.5 works only with Python3.1 (I have reported it in my previous
> comments); python2 support has been dropped upstream.

I think the correction was for 'NEED_PYTHON' not the version. There seems to be a typo in the ebuild where "NEEP" is used instead of "NEED"
Comment 100 Toffanin 2010-06-25 09:29:27 UTC
(In reply to comment #99)
> a typo in the ebuild where "NEEP" is used instead of "NEED"

nice catch! Thank you very much Renato.

Togheter with Luca Barbato I'm doing a rewrite of the 2.4 and 2.5 series of the ebuilds to gain fully slotted versions of Blender and a working solution to install Blender's plugins through Portage (there is also a working in progress for an official Gentoo documentation about Blender and the new plugin mechanism); please, be patient, the work is quite ready.
Comment 101 Samuli Suominen gentoo-dev 2010-06-25 09:40:49 UTC
This >=sys-devel/gcc-4.3.2[openmp?] depend should be removed from the ebuild. It should be using toolchain-funcs.eclass and tc-has-openmp() function instead.
For example:

<snip>

inherit toolchain-funcs

local myconf="--disable-openmp"

if use openmp && tc-has-openmp; then
  myconf="--enable-openmp"
fi

</snip>

i.e. depending on gcc and it's USE flags is not the way to go, because user can still switch gcc with gcc-config to a version that is missing openmp
Comment 102 johnathan foong 2010-07-05 19:43:43 UTC
using the latest scons-1.3.0_p20100501
couldnt figure what is happening....

/var/tmp/portage/media-gfx/blender-9999/work/build/linux2/lib/libbf_blenkernel.a(colortools.o): In function `colorcorrection_do_ibuf':
colortools.c:(.text+0x2161): undefined reference to `cmsCreate_sRGBProfile'
colortools.c:(.text+0x2171): undefined reference to `cmsOpenProfileFromFile'
colortools.c:(.text+0x217e): undefined reference to `cmsErrorAction'
colortools.c:(.text+0x21ac): undefined reference to `cmsCreateProofingTransform'
colortools.c:(.text+0x21ca): undefined reference to `cmsDoTransform'
colortools.c:(.text+0x21d2): undefined reference to `cmsDeleteTransform'
colortools.c:(.text+0x21da): undefined reference to `cmsCloseProfile'
colortools.c:(.text+0x21fa): undefined reference to `cmsCloseProfile'
/var/tmp/portage/media-gfx/blender-9999/work/build/linux2/lib/libbf_blenkernel.a(modifier.o): In function `modifierType_getInfo':
modifier.c:(.text+0x2e0): undefined reference to `modifier_type_init'
/var/tmp/portage/media-gfx/blender-9999/work/build/linux2/lib/libbf_blenloader.a(readfile.o): In function `do_versions':
readfile.c:(.text+0xa687): undefined reference to `modifier_mdef_compact_influences'
collect2: ld returned 1 exit status
scons: *** [/var/tmp/portage/media-gfx/blender-9999/work/build/linux2/bin/blenderplayer] Error 1
/var/tmp/portage/media-gfx/blender-9999/work/build/linux2/lib/libbf_blenkernel.a(colortools.o): In function `colorcorrection_do_ibuf':
colortools.c:(.text+0x2161): undefined reference to `cmsCreate_sRGBProfile'
colortools.c:(.text+0x2171): undefined reference to `cmsOpenProfileFromFile'
colortools.c:(.text+0x217e): undefined reference to `cmsErrorAction'
colortools.c:(.text+0x21ac): undefined reference to `cmsCreateProofingTransform'
colortools.c:(.text+0x21ca): undefined reference to `cmsDoTransform'
colortools.c:(.text+0x21d2): undefined reference to `cmsDeleteTransform'
colortools.c:(.text+0x21da): undefined reference to `cmsCloseProfile'
colortools.c:(.text+0x21fa): undefined reference to `cmsCloseProfile'
collect2: ld returned 1 exit status
scons: *** [/var/tmp/portage/media-gfx/blender-9999/work/build/linux2/bin/blender] Error 1
scons: building terminated because of errors.
 * ERROR: media-gfx/blender-9999 failed:
 *   !!! Please add "${S}/scons.config" when filing bugs reports \
 * 		to bugs.gentoo.org
 * 
 * Call stack:
 *     ebuild.sh, line  48:  Called src_compile
 *   environment, line 5142:  Called die
 * The specific snippet of code:
 *       scons || die '!!! Please add "${S}/scons.config" when filing bugs reports \
 *   		to bugs.gentoo.org';
 * 
 * If you need support, post the output of 'emerge --info =media-gfx/blender-9999',
 * the complete build log and the output of 'emerge -pqv =media-gfx/blender-9999'.
 * The complete build log is located at '/var/tmp/portage/media-gfx/blender-9999/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/media-gfx/blender-9999/temp/environment'.
 * S: '/var/tmp/portage/media-gfx/blender-9999/work/blender'

>>> Failed to emerge media-gfx/blender-9999, Log file:

Am I supposed to have a scons.conf somewhere ?
Comment 103 bebR 2010-07-08 12:49:19 UTC
(In reply to comment #102)
> Am I supposed to have a scons.conf somewhere ?
> 

I guess you should find it here: /var/tmp/portage/media-gfx/blender-9999/work/scons.conf
Comment 104 Frédéric COIFFIER 2010-07-08 14:01:53 UTC
In my case, I reproduce the errors about undefined references and I can remove them by disabling lcms USE flag.

But after the compilation, I get new errors during install :

>>> Source compiled.
>>> Test phase [not enabled]: media-gfx/blender-9999

>>> Install blender-9999 into /var/tmp/portage/media-gfx/blender-9999/image/ category media-gfx
!!! doexe: /var/tmp/portage/media-gfx/blender-9999/work/install/bin/verse_server does not exist
rm: cannot remove `/var/tmp/portage/media-gfx/blender-9999/work/install/share/blender/2.5/.Blanguages': No such file or directory
 * ERROR: media-gfx/blender-9999 failed:
 *   file .Blanguages do not exists
 * 
 * Call stack:
 *     ebuild.sh, line  54:  Called src_install
 *   environment, line 4886:  Called die
 * The specific snippet of code:
 *           rm "${WORKDIR}"/install/share/blender/${SLOT}/.Blanguages || die "file .Blanguages do not exists";
Comment 105 Martin Vala 2010-07-11 18:32:08 UTC
(In reply to comment #104)
> In my case, I reproduce the errors about undefined references and I can remove
> them by disabling lcms USE flag.
> 
> But after the compilation, I get new errors during install :
> 
> >>> Source compiled.
> >>> Test phase [not enabled]: media-gfx/blender-9999
> 
> >>> Install blender-9999 into /var/tmp/portage/media-gfx/blender-9999/image/ category media-gfx
> !!! doexe:
> /var/tmp/portage/media-gfx/blender-9999/work/install/bin/verse_server does not
> exist
> rm: cannot remove
> `/var/tmp/portage/media-gfx/blender-9999/work/install/share/blender/2.5/.Blanguages':
> No such file or directory
>  * ERROR: media-gfx/blender-9999 failed:
>  *   file .Blanguages do not exists
>  * 
>  * Call stack:
>  *     ebuild.sh, line  54:  Called src_install
>  *   environment, line 4886:  Called die
>  * The specific snippet of code:
>  *           rm "${WORKDIR}"/install/share/blender/${SLOT}/.Blanguages || die
> "file .Blanguages do not exists";
> 

i have same problem.

What use flags should i use to get it compiled?

Please help.

Thanks
Comment 106 Toffanin 2010-07-13 10:12:58 UTC
Created attachment 238603 [details, diff]
blender-2.5-glew.patch
Comment 107 Toffanin 2010-07-13 10:28:50 UTC
(In reply to comment #101)
> This >=sys-devel/gcc-4.3.2[openmp?] depend should be removed from the ebuild.
> It should be using toolchain-funcs.eclass and tc-has-openmp() function instead.

Thank you very much Samuli Suominen for this suggestion, I was waiting a proper solution to the openmp support for a very long time; every gentoo devels that I have questioned (my mentor too) simply suggest me to force gcc[openmp] until will be available a better solution. I'm very happy that now Portage has a proper way to handle this problem with the toolchain eclass.
Comment 108 Toffanin 2010-07-13 10:44:44 UTC
Created attachment 238605 [details]
media-gfx/blender-9999.ebuild (scons build system)

Here there is an improved and updated ebuild for blender SVN (2.5 Alpha2).

Enhancements done to the ebuild:
- removed USE 'verse' and 'collada' as, at the moment, their Blender support isn't working at all and the upstream development is quite dead (Collada SDK is a complete mess, it's too early to add it to the ebuild);
- fixed typo in NEED_PYTHON as report by Renato Alves;
- fixed openmp usage as suggest by Samuli;
- fixed littlecms support as required by upstream (explicit declaration of the include paths and libraries);
- fixed the ebuild to be compliant to the new Blender 2.5 Installation Process: http://wiki.blender.org/index.php/Dev:2.5/Source/Installation/Proposal

Additional notes:
- Blender 2.5 development is really late on the official roadmap due to very large changes done to the source code, be ready to expect a lot of troubles and issues from the next SVN commits. please don't report them here, instead report them upstream, thank you;
- the new Blender Installation Process is a working progress so it can exhibit compilation failures or missing stuff after the ebuild installation phase; be patient, after all it's an alpha release and please, report all the problems upstream;
Comment 109 Renato Alves 2010-07-20 11:39:19 UTC
(In reply to comment #108)
Sorry to ruin your new ebuild :) but I got this warning on the system:

 * Deprecation Warning: NEED_PYTHON variable is deprecated and will be banned on 2010-10-01.
 * Use PYTHON_DEPEND variable instead of NEED_PYTHON variable.
 * The ebuild needs to be fixed. Please report a bug, if it has not been already reported.

Regards
Comment 110 Toffanin 2010-07-20 12:00:46 UTC
(In reply to comment #109)
> (In reply to comment #108)
> Sorry to ruin your new ebuild :) but I got this warning on the system:

Thank you, but I got the same warning some day ago too; I have just fixed it but is only a warning, there isn't the need to upload a new ebuild for now (however BF have changed tons of things so most probably I'll update the ebuild in the next days too).
Comment 111 Frédéric COIFFIER 2010-07-20 13:11:42 UTC
It seems the first beta release will be released this week. It could help to create a stable ebuild maybe in an overlay ?
Comment 112 bebR 2010-07-28 14:46:08 UTC
(In reply to comment #111)
> It seems the first beta release will be released this week. It could help to
> create a stable ebuild maybe in an overlay ?
> 
I don't really agree. I guess the ebuild provided in this bug (-9999) aims at the Blender SVN only.
A another ebuild could be done for Blender 2.53 (beta version).
Comment 113 Martin Vala 2010-07-29 08:08:44 UTC
(In reply to comment #112)
> (In reply to comment #111)
> > It seems the first beta release will be released this week. It could help to
> > create a stable ebuild maybe in an overlay ?
> > 
> I don't really agree. I guess the ebuild provided in this bug (-9999) aims at
> the Blender SVN only.
> A another ebuild could be done for Blender 2.53 (beta version).
> 

i have some problems to compile trunk.
>>> Install blender-9999 into /var/tmp/portage/media-gfx/blender-9999/image/ category media-gfx
rm: cannot remove `/var/tmp/portage/media-gfx/blender-9999/work/install/share/blender/2.5/config/.Blanguages': No such file or directory

and 2 days before i compiled it, but i had different problem, when i ran blender i didn't see menu and i saw error message

bpy: couldnt find 'scripts/modules', blender probably wont start.
...
...
RNA_string_set: OperatorProperties.url not found.
search for unknown operator WM_OT_url_open, WM_OT_url_open
search for unknown operator WM_OT_url_open, WM_OT_url_open
RNA_string_set: OperatorProperties.url not found.
search for unknown operator WM_OT_url_open, WM_OT_url_open
search for unknown operator WM_OT_url_open, WM_OT_url_open
RNA_string_set: OperatorProperties.url not found.
search for unknown operator WM_OT_url_open, WM_OT_url_open
search for unknown operator WM_OT_url_open, WM_OT_url_open
RNA_string_set: OperatorProperties.url not found.
search for unknown operator WM_OT_url_open, WM_OT_url_open
search for unknown operator WM_OT_url_open, WM_OT_url_open
RNA_string_set: OperatorProperties.url not found.
search for unknown operator WM_OT_url_open, WM_OT_url_open
search for unknown operator WM_OT_url_open, WM_OT_url_open
RNA_string_set: OperatorProperties.url not found.
...


Is scripts/modules in correct position?

Ciao

Martin
Comment 114 Martin Vala 2010-08-01 08:00:28 UTC
Please,

Does anybody have same problem as i have in previous comment?

I cannot do nothing in blender without menu.

Please, can someone fix it?

Thanks
Comment 115 Max Langer 2010-08-01 18:51:32 UTC
(In reply to comment #114)
> Please,
> 
> Does anybody have same problem as i have in previous comment?
> 
> I cannot do nothing in blender without menu.
> 
> Please, can someone fix it?
> 
> Thanks
> 

scripts/modules has to be located in ~/.blender/2.53/
(instead of 2.52)
Comment 116 Sebastian Parborg 2010-08-01 19:03:22 UTC
I had the same problem with scripts not being found. You can try my modified ebuild:
http://pastebin.com/iPnfqbRt  
Comment 117 Tim 2010-08-03 18:44:46 UTC
(In reply to comment #116)
> I had the same problem with scripts not being found. You can try my modified
> ebuild:
> http://pastebin.com/iPnfqbRt  
> 

Doesn't work here. :(

ebuild blender-9999.ebuild manifest
: command not foundmedia-gfx/blender/blender-9999.ebuild: line 4: 
 * ERROR: media-gfx/blender-9999 failed:
" not establishedn.eclass in EAPI="2
 * 
 * Call stack:
 *             ebuild.sh, line 1881:  Called source '/usr/local/portage/media-gfx/blender/blender-9999.ebuild'
 *   blender-9999.ebuild, line    7:  Called inherit 'eutils' 'python' 'subversion' 'versionator' 'flag-o-matic' 'toolc'ain-funcs
 *             ebuild.sh, line 1320:  Called qa_source '/usr/portage/eclass/python.eclass'
 *             ebuild.sh, line   41:  Called source '/usr/portage/eclass/python.eclass'
 *         python.eclass, line   15:  Called die
 * The specific snippet of code:
 *      die "API of python.eclass in EAPI=\"${EAPI}\" not established"
 * 
 * If you need support, post the output of 'emerge --info =media-gfx/blender-9999',
 * the complete build log and the output of 'emerge -pqv =media-gfx/blender-9999'.
 * This ebuild is from an overlay: '/usr/local/portage/'
 * S: '/var/tmp/portage/media-gfx/blender-9999/work/blender-9999'

emerge --info
Portage 2.1.8.3 (default/linux/amd64/10.0/desktop, gcc-4.4.4, glibc-2.11.2-r0, 2.6.34.1 x86_64)
=================================================================
System uname: Linux-2.6.34.1-x86_64-AMD_Phenom-tm-_II_X6_1090T_Processor-with-gentoo-2.0.1
Timestamp of tree: Tue, 03 Aug 2010 11:00:01 +0000
app-shells/bash:     4.1_p7
dev-java/java-config: 2.1.11
dev-lang/python:     2.6.5-r3, 3.1.2-r4
dev-util/cmake:      2.8.1-r2
sys-apps/baselayout: 2.0.1
sys-apps/openrc:     0.6.1-r1
sys-apps/sandbox:    2.2
sys-devel/autoconf:  2.13, 2.65-r1
sys-devel/automake:  1.4_p6-r1, 1.7.9-r2, 1.8.5-r4, 1.9.6-r3, 1.10.3, 1.11.1
sys-devel/binutils:  2.20.1-r1
sys-devel/gcc:       4.4.4-r1
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.2.10
virtual/os-headers:  2.6.34
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=native -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/X11/xkb /usr/share/config /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-march=native -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="assume-digests distlocks fixpackages news parallel-fetch protect-owned sandbox sfperms strict unmerge-logs unmerge-orphans userfetch"
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LANG="en_US.UTF-8"
LDFLAGS="-Wl,-O1,--as-needed"
LINGUAS="en_US"
MAKEOPTS="-j12"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/var/lib/layman/sunrise /var/lib/layman/qting-edge /var/lib/layman/belak /var/lib/layman/gentoo-quebec /usr/local/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="3dnow X a52 aac acl acpi alsa amd64 apache2 aspell assistant bazaar berkdb blender-game bluetooth branding bzip2 cairo cdda cddb cdr cgi cli consolekit cracklib crypt css ctype cups cvs cxx darcs dbus device-mapper dri dts dvb dvd dvdr emboss enca encode exif extensions extras fam ffmpeg filter firefox flac fontforge fortran gd gdbm gdu gif git gnutls gpm gstreamer gtk iconv ipv6 java java6 jpeg kde kdrive lcms libnotify lirc mad mercurial mikmod mmx mng modules mp3 mp4 mpeg mudflap multilib mysql mysqli ncurses nls nptl nptlonly nsplugin ogg openal openexr opengl openmp pam pango pcre pdf perl plasma png policykit ppds pppd pulseaudio python qt3support qt4 readline reflection samba sdl secure-delete sensord server session sharedmem shm sip smbclient sndfile sockets sound sox spell spl splash sql sqlite sse sse2 ssl startup-notification subversion svg swat sysfs tcpd templates theora tiff tk truetype unicode usb v4l v4l2 vdpau verse vorbis wav webkit x264 xcb xml xorg xulrunner xv xvid zlib" ALSA_CARDS="hda_intel" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="auth_basic authz_host dir mime authn_default authn_alias authn_anon authn_dbd authn_dbm authn_file dav dav_fs" DVB_CARDS="af9005 bcm3510 cx18 cx231xx cx23885 dibusb-usb1 dibusb-usb2 mpc718 nxt200x opera1 or51132 or51211 pvrusb2 sp8870 sp887x tda10045 tda10046 tda10046lifeview ttpci ttusb-dec usb-a800 usb-af9015 usb-bluebird usb-dib0700 usb-dtt200u usb-dw2104 usb-umt usb-vp702x usb-vp7045 usb-wt220u vp7041" ELIBC="glibc" INPUT_DEVICES="keyboard mouse evdev wacom" KERNEL="linux" LCD_DEVICES="ncurses text" LINGUAS="en_US" RUBY_TARGETS="ruby18" SANE_BACKENDS="epson epson2" USERLAND="GNU" VIDEO_CARDS="nvidia nv vesa" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account" 
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LC_ALL, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS

Comment 118 Martin Vala 2010-08-03 19:44:43 UTC
Created attachment 241313 [details]
new ebuild
Comment 119 Martin Vala 2010-08-03 19:45:15 UTC
Created attachment 241315 [details]
new desktop patch
Comment 120 Martin Vala 2010-08-03 19:46:37 UTC
with new blender-9999.ebuild and blender-desktop.patch it works for me,

just compiled it.
Comment 121 johnathan foong 2010-08-11 07:05:59 UTC
(In reply to comment #120)
> with new blender-9999.ebuild and blender-desktop.patch it works for me,
> 
> just compiled it.
> 

(In reply to comment #120)
> with new blender-9999.ebuild and blender-desktop.patch it works for me,
> 
> just compiled it.
> 

Awesome dude, thank you for you hard work. 

Was wondering if having USE=player worked out for you ? for me i have to swith it out, and also i'm not sure if it's libpng that is causing this segmentation fault http://pastebin.com/xxtUKjXr
it happens at times when i try to excess the UV image editor and try to browse the data id.






 

Comment 122 valen tau 2010-08-16 20:17:31 UTC
(In reply to comment #95)
> This works fine for me on amd64.
> Would it be possible to include the Freestyle project?
> 
> http://freestyleintegration.wordpress.com/
> https://svn.blender.org/svnroot/bf-blender/branches/soc-2008-mxcurioni/
> 
> Thanks!
> 

I use
https://code.google.com/p/wavilen/source/browse/trunk/media-gfx/blender/blender-9999.ebuild
simply adding
IUSE="freestyle"
use freestyle && ESVN_REPO_URI="https://svn.blender.org/svnroot/bf-blender/branches/soc-2008-mxcurioni"
Comment 123 denysonique 2010-08-18 16:56:48 UTC
# FIX: making all python scripts readable only by group 'users',
#      so nobody can modify scripts apart root user, but python
#      cache (*.pyc) can be written and shared across the users.
chown root:users -R "${D}/usr/share/${PN}/${SLOT}/scripts" || die
chmod 750 -R "${D}/usr/share/${PN}/${SLOT}/scripts" || die

chown root:users - this is not good - there is no 'users' group defined by Gentoo Linux.
chmod 750? Everyone should be allowed to use Blender not just users.

with those restrictions I was unable to use Blender. It would run but without displaying the UI due to the permission restrictions.

chown root:root and chmod 755 should be used here.

Comment 124 denysonique 2010-08-18 17:01:39 UTC
(In reply to comment #113)
> (In reply to comment #112)
> > (In reply to comment #111)
> > > It seems the first beta release will be released this week. It could help to
> > > create a stable ebuild maybe in an overlay ?
> > > 
> > I don't really agree. I guess the ebuild provided in this bug (-9999) aims at
> > the Blender SVN only.
> > A another ebuild could be done for Blender 2.53 (beta version).
> > 
> 
> i have some problems to compile trunk.
> >>> Install blender-9999 into /var/tmp/portage/media-gfx/blender-9999/image/ category media-gfx
> rm: cannot remove
> `/var/tmp/portage/media-gfx/blender-9999/work/install/share/blender/2.5/config/.Blanguages':
> No such file or directory
> 
> and 2 days before i compiled it, but i had different problem, when i ran
> blender i didn't see menu and i saw error message
> 
> bpy: couldnt find 'scripts/modules', blender probably wont start.
> ...
> ...
> RNA_string_set: OperatorProperties.url not found.
> search for unknown operator WM_OT_url_open, WM_OT_url_open
> search for unknown operator WM_OT_url_open, WM_OT_url_open
> RNA_string_set: OperatorProperties.url not found.
> search for unknown operator WM_OT_url_open, WM_OT_url_open
> search for unknown operator WM_OT_url_open, WM_OT_url_open
> RNA_string_set: OperatorProperties.url not found.
> search for unknown operator WM_OT_url_open, WM_OT_url_open
> search for unknown operator WM_OT_url_open, WM_OT_url_open
> RNA_string_set: OperatorProperties.url not found.
> search for unknown operator WM_OT_url_open, WM_OT_url_open
> search for unknown operator WM_OT_url_open, WM_OT_url_open
> RNA_string_set: OperatorProperties.url not found.
> search for unknown operator WM_OT_url_open, WM_OT_url_open
> search for unknown operator WM_OT_url_open, WM_OT_url_open
> RNA_string_set: OperatorProperties.url not found.
> ...
> 
> 
> Is scripts/modules in correct position?
> 
> Ciao
> 
> Martin
> 

Yes scripts/modules are in the correct place. Please chmod 755 them and enjoy blender. My previous comment describes this issue.
Comment 125 Reuben Martin 2010-08-31 07:14:46 UTC
This scons setup has become a real mess. There has been a lot of work upstream going into the cmake support. It would probably make the ebuild much easier to maintain by switching over to that build system.
Comment 126 bebR 2010-08-31 07:31:56 UTC
(In reply to comment #125)
> This scons setup has become a real mess. There has been a lot of work upstream
> going into the cmake support. It would probably make the ebuild much easier to
> maintain by switching over to that build system.
> 
What kind of mess are you talking about ?
I've just compiled it yesterday. This ebuild works like a charm on my 64bits 
system.

This ebuild contains a lots of obsolete files. If no one is against this 
idea, I would like to mark these old files as obsolete. This is just to avoid 
confusing people who does not know the files they should download.
Comment 127 goeland86 2010-09-06 16:30:11 UTC
Just a quick note guys - I had trouble with the desktop.patch thing. It was trying to apply the patch, and failing. I just popped the last ebuild (from 2010-08-03) into /usr/local/portage, made a folder with all the patches, and couldn't determine which .patch file to use, so I tried emerging with both (one after the other).

Didn't work. It digested fine, but when emerging it fluked out trying to apply the patch. Maybe something to clarify?

Also had to remove the "web" and "collada" entries in RDEPEND... Wouldn't digest otherwise. Now emerging fine. (Note that Blender 2.49b is still installed, -9999 ebuild was marked as "NS", so installing in parallel, which isn't smart imo, but the collada reqs are part of 2.49b as well.)
Comment 128 AaronD 2010-09-12 08:12:42 UTC
Created attachment 246942 [details, diff]
2.54 desktop patch

I couldn't wait to play with 2.54, so I fixed blender-desktop.patch so it will work.
Comment 129 AaronD 2010-09-12 08:15:11 UTC
Created attachment 246944 [details]
will emerge 2.54

I also fixed the ebuild.
Comment 130 Ondrej Filip 2010-10-06 08:28:39 UTC
What is current state of 2.54? Is it going to be added to portage?
Comment 131 Tim 2010-10-30 01:18:50 UTC
So the build for blender-2.5x has changed again.  The plugins directory is no longer install/plugins, it's at install/2.5.5/plugins which of course breaks the ebuild (I am using the latest blender-9999.ebuild dated 2010-09-12 08:15 by AaronD).  Just as a quick dirty hack as a proof of concept I made a couple of changes that would build the plugins, but then would fail when it tried to install them;

>>> Install blender-9999 into /var/tmp/portage/media-gfx/blender-9999/image/ category media-gfx
!!! doexe: /var/tmp/portage/media-gfx/blender-9999/work/install/plugins/texture/*.so does not exist
doexe failed
!!! doexe: /var/tmp/portage/media-gfx/blender-9999/work/install/plugins/sequence/*.so does not exist
doexe failed
install: cannot stat `/var/tmp/portage/media-gfx/blender-9999/work/install/plugins/include/*.h': No such file or directory
!!! doins: /var/tmp/portage/media-gfx/blender-9999/work/install/plugins/include/*.h does not exist
doins failed
rm: cannot remove `/var/tmp/portage/media-gfx/blender-9999/work/install/plugins': No such file or directory
 * ERROR: media-gfx/blender-9999 failed:
 *   (no error message)

So does anyone who know what they are doing have a proper fix for this?

Thanks for your time,

Tim
Comment 132 Janick Martinez Esturo 2010-11-02 10:09:24 UTC
Have got the same problem that files wont install with the quickly corrected patch as Tim says. Lookit at it, but are there any suggestions for this issue yet?
Comment 133 Janick Martinez Esturo 2010-11-02 10:20:10 UTC
Created attachment 252871 [details]
blender-9999.ebuild for blender 2.55

I have attached the ebuild that works for me here. I also had to rename all required .patch files to match the version 2.55. However, I don'k know if my changes are sound, I'm not experienced too much with ebuild writing..
Comment 134 Tim 2010-11-04 03:22:16 UTC
(In reply to comment #133)

Thanks Janick.  It's a start in the right direction.  On my machine it will install and build, but then none of the text for the UI shows up.  I wonder if its the same issue with permissions that occurred before.

Tim
Comment 135 Janek Bevendorff 2010-11-05 16:14:02 UTC
Latest ebuild fails for me with

/var/tmp/portage/media-gfx/blender-9999/work/build/linux2/lib/libbf_blenkernel.a(modifier.o): In function `modifierType_getInfo':
modifier.c:(.text+0x336): undefined reference to `modifier_type_init'
/var/tmp/portage/media-gfx/blender-9999/work/build/linux2/lib/libbf_blenloader.a(readblenentry.o): In function `BLO_blendhandle_get_linkable_groups':
readblenentry.c:(.text+0x2d7): undefined reference to `BKE_idcode_is_valid'
readblenentry.c:(.text+0x2e3): undefined reference to `BKE_idcode_is_linkable'
readblenentry.c:(.text+0x2ef): undefined reference to `BKE_idcode_to_name'
/var/tmp/portage/media-gfx/blender-9999/work/build/linux2/lib/libbf_blenloader.a(readfile.o): In function `do_versions':
readfile.c:(.text+0xa217): undefined reference to `modifier_mdef_compact_influences'
/var/tmp/portage/media-gfx/blender-9999/work/build/linux2/lib/libbf_blenloader.a(readfile.o): In function `read_libraries':
readfile.c:(.text+0x15fd6): undefined reference to `BKE_idcode_to_name'
readfile.c:(.text+0x16034): undefined reference to `BKE_idcode_to_name'
readfile.c:(.text+0x160a2): undefined reference to `BKE_idcode_to_name'
readfile.c:(.text+0x160fb): undefined reference to `BKE_idcode_to_name'
/var/tmp/portage/media-gfx/blender-9999/work/build/linux2/lib/libbf_converter.a(KX_BlenderSceneConverter.o): In function `KX_BlenderSceneConverter::LinkBlendFile(BlendHandle*, char const*, char*, KX_Scene*, char**)':
KX_BlenderSceneConverter.cpp:(.text+0x2379): undefined reference to `BKE_idcode_from_name'
/var/tmp/portage/media-gfx/blender-9999/work/build/linux2/lib/libbf_ketsji.a(KX_PythonInit.o): In function `gLibNew(_object*, _object*)':
KX_PythonInit.cpp:(.text+0x9160): undefined reference to `BKE_idcode_from_name'
/var/tmp/portage/media-gfx/blender-9999/work/build/linux2/lib/libbf_python.a(bpy_rna.o): In function `pyrna_prop_repr':
bpy_rna.c:(.text+0x343f): undefined reference to `BKE_idcode_to_name_plural'
bpy_rna.c:(.text+0x3493): undefined reference to `BKE_idcode_to_name_plural'
/var/tmp/portage/media-gfx/blender-9999/work/build/linux2/lib/libbf_python.a(bpy_rna.o): In function `pyrna_struct_repr':
bpy_rna.c:(.text+0x3527): undefined reference to `BKE_idcode_to_name_plural'
bpy_rna.c:(.text+0x356d): undefined reference to `BKE_idcode_to_name_plural'
bpy_rna.c:(.text+0x35b2): undefined reference to `BKE_idcode_to_name_plural'
collect2: ld returned 1 exit status
scons: *** [/var/tmp/portage/media-gfx/blender-9999/work/build/linux2/bin/blenderplayer] Error 1
scons: building terminated because of errors.
 * ERROR: media-gfx/blender-9999 failed:
 *   !!! Please add "${S}/scons.config" when filing bugs reports \
 *              to bugs.gentoo.org
 * 
 * Call stack:
 *     ebuild.sh, line  54:  Called src_compile
 *   environment, line 5248:  Called die
 * The specific snippet of code:
 *       scons || die '!!! Please add "${S}/scons.config" when filing bugs reports \
 *              to bugs.gentoo.org';
 * 
 * If you need support, post the output of 'emerge --info =media-gfx/blender-9999',
 * the complete build log and the output of 'emerge -pqv =media-gfx/blender-9999'.
 * This ebuild is from an overlay: '/usr/local/portage/'
 * The complete build log is located at '/var/tmp/portage/media-gfx/blender-9999/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/media-gfx/blender-9999/temp/environment'.
 * S: '/var/tmp/portage/media-gfx/blender-9999/work/blender'

>>> Failed to emerge media-gfx/blender-9999, Log file:

>>>  '/var/tmp/portage/media-gfx/blender-9999/temp/build.log'

 * Messages for package media-gfx/blender-9999:

 * ERROR: media-gfx/blender-9999 failed:
 *   !!! Please add "${S}/scons.config" when filing bugs reports \
 *              to bugs.gentoo.org
 * 
 * Call stack:
 *     ebuild.sh, line  54:  Called src_compile
 *   environment, line 5248:  Called die
 * The specific snippet of code:
 *       scons || die '!!! Please add "${S}/scons.config" when filing bugs reports \
 *              to bugs.gentoo.org';
 * 
 * If you need support, post the output of 'emerge --info =media-gfx/blender-9999',
 * the complete build log and the output of 'emerge -pqv =media-gfx/blender-9999'.
 * This ebuild is from an overlay: '/usr/local/portage/'
 * The complete build log is located at '/var/tmp/portage/media-gfx/blender-9999/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/media-gfx/blender-9999/temp/environment'.
 * S: '/var/tmp/portage/media-gfx/blender-9999/work/blender'


Built with these USE flags:
[ebuild  N    ] media-gfx/blender-9999  USE="dds elbeem ffmpeg game-engine iconv jpeg2k openal openexr openmp player sdl sndfile sse zlib -apidoc -debug -doc -fftw -jack -lcms -redcode -tweak-mode" LINGUAS="en -ar -bg -ca -cs -de -el -es -fi -fr -hr -it -ja -ko -nl -pl -pt_BR -ro -ru -sr -sv -uk -zh_CN"
Comment 136 Simone Scanzoni 2010-11-09 21:10:13 UTC
(In reply to comment #133)
> Created an attachment (id=252871) [details]
> blender-9999.ebuild for blender 2.55
> 
> I have attached the ebuild that works for me here. I also had to rename all
> required .patch files to match the version 2.55. However, I don'k know if my
> changes are sound, I'm not experienced too much with ebuild writing..
> 

If you change the SLOT variable for every blender release you would install all of them in parallel. I don't think this is what you want (I suppose you just want blender 2.49b and the latest 2.5x). I tried your ebuild with SLOT="2.5" (instead of 2.55) and it works fine.

(In reply to comment #135)
> Latest ebuild fails for me with
> 
> /var/tmp/portage/media-gfx/blender-9999/work/build/linux2/lib/libbf_blenkernel.a(modifier.o):
> [...]
>

Try disabling dds USE flag.
Comment 137 tman 2010-11-10 09:06:46 UTC
blender-9999.ebuild 	blender-9999.ebuild for blender 2.55 	text/plain 	Janick Martinez 	2010-11-02 10:20 0000 	12.81 KB 	Details

emerge -uav blender

Calculating dependencies... done!
[ebuild  NS   ] media-gfx/blender-9999 [2.49b] USE="ffmpeg iconv jack jpeg2k lcms openal openexr openmp sdl sse zlib -apidoc -dds -debug -doc -elbeem -fftw -game-engine -player -redcode -sndfile -tweak-mode" LINGUAS="de en -ar -bg -ca -cs -el -es -fi -fr -hr -it -ja -ko -nl -pl -pt_BR -ro -ru -sr -sv -uk -zh_CN" 0 kB [1]


produce this error:

Checked out revision 32980.
 *    working copy: /usr/portage/distfiles/svn-src/blender/blender

>>> Source unpacked in /var/tmp/portage/media-gfx/blender-9999/work
>>> Preparing source in /var/tmp/portage/media-gfx/blender-9999/work/blender ...

 * Cannot find $EPATCH_SOURCE!  Value for $EPATCH_SOURCE is:
 * 
 *   /usr/portage/local/local-overlay/media-gfx/blender/files/blender-desktop.patch
 *   ( blender-desktop.patch )

 * ERROR: media-gfx/blender-9999 failed:
 *   Cannot find $EPATCH_SOURCE!
 * 
 * Call stack:
 *     ebuild.sh, line   56:  Called src_prepare
 *   environment, line 5307:  Called epatch '/usr/portage/local/local-overlay/media-gfx/blender/files/blender-desktop.patch'
 *   environment, line 1945:  Called die
 * The specific snippet of code:
 *               die "Cannot find \$EPATCH_SOURCE!";
 * 
 * If you need support, post the output of 'emerge --info =media-gfx/blender-9999',
 * the complete build log and the output of 'emerge -pqv =media-gfx/blender-9999'.
 * The complete build log is located at '/var/log/portage/media-gfx:blender-9999:20101110-085911.log'.
 * The ebuild environment file is located at '/var/tmp/portage/media-gfx/blender-9999/temp/environment'.
 * S: '/var/tmp/portage/media-gfx/blender-9999/work/blender'

>>> Failed to emerge media-gfx/blender-9999, Log file:
Comment 138 Simone Scanzoni 2010-11-10 14:28:24 UTC
(In reply to comment #137)
> blender-9999.ebuild     blender-9999.ebuild for blender 2.55    text/plain     
> Janick Martinez         2010-11-02 10:20 0000   12.81 KB        Details
> [...]
>  * Call stack:
>  *     ebuild.sh, line   56:  Called src_prepare
>  *   environment, line 5307:  Called epatch
> '/usr/portage/local/local-overlay/media-gfx/blender/files/blender-desktop.patch'
>  *   environment, line 1945:  Called die
>  * The specific snippet of code:
>  *               die "Cannot find \$EPATCH_SOURCE!";
> [...]

Did you put the *.patch files from this page in /usr/portage/local/local-overlay/media-gfx/blender/files/ ?
Comment 139 Janek Bevendorff 2010-11-13 10:31:08 UTC
(In reply to comment #136)
> > Latest ebuild fails for me with
> > 
> > /var/tmp/portage/media-gfx/blender-9999/work/build/linux2/lib/libbf_blenkernel.a(modifier.o):
> > [...]
> >
> 
> Try disabling dds USE flag.
> 

Tried disabling dds USE flag, unfortunately without success.
Comment 140 Janek Bevendorff 2010-11-13 10:43:58 UTC
(In reply to comment #136)

But Blender builds smoothly without the player USE flag.

This issue might be related to this: http://permalink.gmane.org/gmane.comp.video.blender.devel/27899
Comment 141 Simone Scanzoni 2010-11-13 14:52:12 UTC
(In reply to comment #140)
> (In reply to comment #136)
> 
> But Blender builds smoothly without the player USE flag.
> 
> This issue might be related to this:
> http://permalink.gmane.org/gmane.comp.video.blender.devel/27899
> 

You are right, I'm sorry for my wrong advice, I forgot I already had -player in package.use when I tried different combinations of USE flags after I got the same error messages you wrote.
I can confirm that the player USE flag is broken on my amd64 system.
Now I built blender with: USE="dds elbeem ffmpeg fftw game-engine iconv lcms openal openexr openmp sndfile sse zlib -apidoc -debug -doc -jack -jpeg2k -player -redcode -sdl -tweak-mode"
Comment 142 tman 2010-11-14 06:25:59 UTC
whre is this blender-2.55-doxygen.patch?




 *    working copy: /usr/portage/distfiles/svn-src/blender/blender

>>> Source unpacked in /var/tmp/portage/media-gfx/blender-9999/work
>>> Preparing source in /var/tmp/portage/media-gfx/blender-9999/work/blender ...
 * Applying blender-desktop.patch ...                                                                                                                                                                                           [ ok ]

 * Cannot find $EPATCH_SOURCE!  Value for $EPATCH_SOURCE is:
 * 
 *   /usr/portage/local/local-overlay/media-gfx/blender/files/blender-2.55-doxygen.patch
 *   ( blender-2.55-doxygen.patch )

 * ERROR: media-gfx/blender-9999 failed:
 *   Cannot find $EPATCH_SOURCE!
 * 
 * Call stack:
 *     ebuild.sh, line   56:  Called src_prepare
 *   environment, line 5313:  Called epatch '/usr/portage/local/local-overlay/media-gfx/blender/files/blender-2.55-doxygen.patch'
 *   environment, line 1950:  Called die
 * The specific snippet of code:
 *               die "Cannot find \$EPATCH_SOURCE!";
Comment 143 Simone Scanzoni 2010-11-14 16:42:40 UTC
Created attachment 254325 [details]
latest revision for blender 2.55 using a common SLOT for the 2.5x series.

(In reply to comment #142)
> whre is this blender-2.55-doxygen.patch?
> 
> [...]

There isn't. :)
You can change the names of the patches substituting 2.55 for 2.5, if you want to install a revision of blender 2.55 in parallel with all other versions of blender in the 2.5x series and blender-2.49b.
Or use the ebuild I attached without changing the names to install just the latest revision of blender 2.55, in parallel with blender-2.49b if it's installed.
Comment 144 tman 2010-11-15 13:22:39 UTC
i ma using latest blender-9999.ebuild with both patches for desktop and doxygen. and got this error.

whats wrong?


Calculating dependencies... done!

>>> Verifying ebuild manifests

>>> Emerging (1 of 1) media-gfx/blender-9999 from unknown repo
 * Package:    media-gfx/blender-9999
 * USE:  amd64 elibc_glibc ffmpeg iconv jack jpeg2k kernel_linux lcms linguas_de linguas_en multilib openal openexr openmp sdl sse userland_GNU zlib
>>> Unpacking source...
 * subversion update start -->
 *      repository: https://svn.blender.org/svnroot/bf-blender/trunk/blender

Fetching external item into 'release/scripts/addons'
External at revision 1158.

At revision 33085.
 *    working copy: /usr/portage/distfiles/svn-src/blender/blender

>>> Source unpacked in /var/tmp/portage/media-gfx/blender-9999/work
>>> Preparing source in /var/tmp/portage/media-gfx/blender-9999/work/blender ...
 * Applying blender-desktop.patch ...                                                                                                                                                                                           [ ok ]
 * Applying blender-2.5-doxygen.patch ...

 * Failed Patch: blender-2.5-doxygen.patch !
 *  ( /usr/portage/local/local-overlay/media-gfx/blender/files/blender-2.5-doxygen.patch )
 * 
 * Include in your bugreport the contents of:
 * 
 *   /var/tmp/portage/media-gfx/blender-9999/temp/blender-2.5-doxygen.patch.out

 * ERROR: media-gfx/blender-9999 failed:
 *   Failed Patch: blender-2.5-doxygen.patch!
 * 
 * Call stack:
 *     ebuild.sh, line   56:  Called src_prepare
 *   environment, line 5313:  Called epatch '/usr/portage/local/local-overlay/media-gfx/blender/files/blender-2.5-doxygen.patch'
 *   environment, line 2065:  Called die
 * The specific snippet of code:
 *               die "Failed Patch: ${patchname}!";
 * 
 * If you need support, post the output of 'emerge --info =media-gfx/blender-9999',
 * the complete build log and the output of 'emerge -pqv =media-gfx/blender-9999'.
 * The complete build log is located at '/var/log/portage/media-gfx:blender-9999:20101115-132058.log'.
 * The ebuild environment file is located at '/var/tmp/portage/media-gfx/blender-9999/temp/environment'.
 * S: '/var/tmp/portage/media-gfx/blender-9999/work/blender'
Comment 145 biohazrd 2010-11-30 09:14:58 UTC
Created attachment 255923 [details, diff]
Ebuild patch for fixing menu in KDE 

I am not sure why but with KDE 4.5.3 it does not like the naming convention of blender-2.5.desktop with only one dash. (mozilla-firefox-3.6.desktop with 2 dashes does not present a problem) Replacing it to and underscore works fine.  

If your icon doesn't appear in KDE menu you can also just change the name of the desktop file in /usr/share/applications/
 
kbuildsycoca4 --menutest   <--  to check it out. 
kbuildsycoca4              <--- to regenerate your menus without logging out.
Comment 146 AaronD 2010-12-31 00:17:36 UTC
Created attachment 258479 [details]
Version bump to 2.56

Bumped to 2.56
Comment 147 Martin Vala 2011-01-02 15:52:29 UTC
Created attachment 258646 [details]
arguments are passed to blender-bin-2.5
Comment 148 tman 2011-01-04 15:09:57 UTC
(In reply to comment #146)
> Created an attachment (id=258479) [details]
> Version bump to 2.56
> 
> Bumped to 2.56
> 

unfortunatelly, it kill my my other stable blender 2.49b. plz make it install in slot 
Comment 149 AaronD 2011-01-06 23:16:34 UTC
(In reply to comment #148)

> unfortunatelly, it kill my my other stable blender 2.49b. plz make it install
> in slot 

It does install into a "2.5" slot.

Comment 150 Yannick Le Teigner 2011-01-07 14:25:56 UTC
FYI, I had issue with menus not showing up, and I had to modify the /usr/share/blender/2.5/scripts as follow to fix it:
chown -R root:root /usr/share/blender/2.5/scripts
chmod -R a+rw /usr/share/blender/2.5/scripts

Works great now!
Really happy to have this ebuild as the 'official' binary provided by blender locks up my machine.

Comment 151 Miroslav Šulc gentoo-dev 2011-01-13 12:26:36 UTC
there is a minor problem during installation of blender using the latest ebuild:

>>> Install blender-9999 into /var/tmp/portage/media-gfx/blender-9999/image/ category media-gfx
!!! doexe: /var/tmp/portage/media-gfx/blender-9999/work/install/blenderplayer does not exist
doexe failed
!!! dodoc: release/text/BlenderQuickStart.pdf does not exist
dodoc failed
>>> Completed installing blender-9999 into /var/tmp/portage/media-gfx/blender-9999/image/

will this ebuild end up in main tree? as blender is really popular, it would be great to have blender-9999 directly in the tree.
Comment 152 AaronD 2011-01-15 08:45:38 UTC
Created attachment 259906 [details]
USE flag fixes

I updated the ebuild to fix the bugs that Miroslav Šulc pointed out in the following ways:

- blenderplayer installs now (should it really have the slot attached to it?)
- I deactivated the doc USE flag.  It seems that the quickstart pdf is no longer distributed with the SVN.
Comment 153 tman 2011-02-14 19:55:19 UTC
new problem and blender failes on compile:

Install file: "release/freedesktop/icons/96x96/blender.png" as "/var/tmp/portage/media-gfx/blender-9999/work/install/icons/96x96/blender.png"
Install file: "release/freedesktop/icons/128x128/blender.svg" as "/var/tmp/portage/media-gfx/blender-9999/work/install/icons/128x128/blender.svg"
Install file: "release/freedesktop/icons/128x128/blender.png" as "/var/tmp/portage/media-gfx/blender-9999/work/install/icons/128x128/blender.png"
Install file: "release/freedesktop/icons/16x16/blender.svg" as "/var/tmp/portage/media-gfx/blender-9999/work/install/icons/16x16/blender.svg"
Install file: "release/freedesktop/icons/16x16/blender.png" as "/var/tmp/portage/media-gfx/blender-9999/work/install/icons/16x16/blender.png"
Install file: "release/freedesktop/icons/scalable/blender.svg" as "/var/tmp/portage/media-gfx/blender-9999/work/install/icons/scalable/blender.svg"
Linking library ==> 'libge_phys_bullet.a'
Linking program ==> 'blenderplayer'
Linking program ==> 'blender'
Install file: "/var/tmp/portage/media-gfx/blender-9999/work/build/linux2/bin/blenderplayer" as "/var/tmp/portage/media-gfx/blender-9999/work/install/blenderplayer"
/var/tmp/portage/media-gfx/blender-9999/work/build/linux2/lib/libbf_modifiers.a(MOD_bevel.o): In function `applyModifier':
MOD_bevel.c:(.text+0x8a): undefined reference to `BME_derivedmesh_to_bmesh'
MOD_bevel.c:(.text+0xb3): undefined reference to `BME_bevel'
MOD_bevel.c:(.text+0xbe): undefined reference to `BME_bmesh_to_derivedmesh'
MOD_bevel.c:(.text+0xc9): undefined reference to `BME_free_mesh'
collect2: ld returned 1 exit status
scons: *** [/var/tmp/portage/media-gfx/blender-9999/work/build/linux2/bin/blender] Error 1
scons: building terminated because of errors.
 * ERROR: media-gfx/blender-9999 failed (compile phase):
 *   !!! Please add "${S}/scons.config" when filing bugs reports \
 * 		to bugs.gentoo.org
 * 
 * Call stack:
 *     ebuild.sh, line  56:  Called src_compile
 *   environment, line 5392:  Called die
 * The specific snippet of code:
 *       scons || die '!!! Please add "${S}/scons.config" when filing bugs reports \
 *   		to bugs.gentoo.org';
 * 
 * If you need support, post the output of 'emerge --info =media-gfx/blender-9999',
 * the complete build log and the output of 'emerge -pqv =media-gfx/blender-9999'.
 * The complete build log is located at '/var/log/portage/media-gfx:blender-9999:20110214-194716.log'.
 * The ebuild environment file is located at '/var/tmp/portage/media-gfx/blender-9999/temp/environment'.
 * S: '/var/tmp/portage/media-gfx/blender-9999/work/blender'

Comment 154 AaronD 2011-02-16 07:19:14 UTC
Hmmmm...it compiled fine here.  What USE flags do you have set?
Comment 155 tman 2011-02-17 20:40:47 UTC
[I] media-gfx/blender
     Available versions:  
	(0)	2.48a-r3 2.49a (~)2.49b{tbz2}
	(2.5)	(~)9999{tbz2}[1]
	{apidoc blender-game +dds debug +elbeem ffmpeg fftw +game-engine iconv jack jpeg jpeg2k lcms linguas_ar linguas_bg linguas_ca linguas_cs linguas_de linguas_el linguas_en linguas_es linguas_fi linguas_fr linguas_hr linguas_it linguas_ja linguas_ko linguas_nl linguas_pl linguas_pt_BR linguas_ro linguas_ru linguas_sr linguas_sv linguas_uk linguas_zh_CN nls ogg openal (+)openexr openmp player png quicktime redcode sdl sndfile sse tweak-mode verse +zlib}
     Installed versions:  2.49b{tbz2}(04:50:43 14.02.2011)(blender-game ffmpeg nls ogg openal openmp -verse) 9999(2.5){tbz2}[?](17:56:59 16.02.2011)(apidoc dds elbeem ffmpeg fftw game-engine iconv jack jpeg2k lcms linguas_de linguas_en openal openexr openmp player redcode sdl sndfile sse tweak-mode zlib -debug -linguas_ar -linguas_bg -linguas_ca -linguas_cs -linguas_el -linguas_es -linguas_fi -linguas_fr -linguas_hr -linguas_it -linguas_ja -linguas_ko -linguas_nl -linguas_pl -linguas_pt_BR -linguas_ro -linguas_ru -linguas_sr -linguas_sv -linguas_uk -linguas_zh_CN)
     Homepage:            http://www.blender.org/
     Description:         3D Creation/Animation/Publishing System



with following error on today :Updated external to revision 1617.

Updated to revision 34940.
 *    working copy: /usr/portage/distfiles/svn-src/blender/blender

>>> Source unpacked in /var/tmp/portage/media-gfx/blender-9999/work
>>> Preparing source in /var/tmp/portage/media-gfx/blender-9999/work/blender ...
 * Applying blender-desktop.patch ...                                                                                                                                                                                           [ ok ]
 * Applying blender-2.5-doxygen.patch ...

 * Failed Patch: blender-2.5-doxygen.patch !
 *  ( /usr/portage/local/local-overlay/media-gfx/blender/files/blender-2.5-doxygen.patch )
 * 
 * Include in your bugreport the contents of:
 * 
 *   /var/tmp/portage/media-gfx/blender-9999/temp/blender-2.5-doxygen.patch.out

 * ERROR: media-gfx/blender-9999 failed (prepare phase):
 *   Failed Patch: blender-2.5-doxygen.patch!
 * 
 * Call stack:



Comment 156 Tim 2011-02-18 14:45:06 UTC
(In reply to comment #155)

>  * Applying blender-2.5-doxygen.patch ...
> 
>  * Failed Patch: blender-2.5-doxygen.patch !

I had a quick look through the patch and it looks like it was intended to quiet a few warnings.  Ripped out the line in the ebuild that refered to the patch and blender built fine.  (A couple of times now.)

Tim
Comment 157 tman 2011-02-18 22:34:01 UTC
i hope somebody can fix the patch instead to remove it completelly 

thanks
Comment 158 zolar czakl 2011-02-19 18:51:16 UTC
Created attachment 263079 [details, diff]
blender-2.5-doxygen.patch
Comment 159 tman 2011-02-21 07:54:33 UTC
thanks lates doxygen patch works fine
Comment 160 Shannon 2011-02-25 20:26:18 UTC
Created attachment 263847 [details]
contrib flag for the contrib addons

I came across the amazing Bridge addon by Bartius Crouch.

https://sites.google.com/site/bartiuscrouch/scripts/bridge 

I added a contrib use flag and modified the ebuild to install all the contrib addons hosted by the Blender foundation. (The one hosted by the BF is the only one that works with the most recent revisions.)

Hope someone else can use these too!
Comment 161 AaronD 2011-02-28 09:01:54 UTC
Created attachment 264145 [details, diff]
Upstream moved Doxygen

@Shannon:  Thanks!

I uploaded another doxygen patch.  Upstream gave Doxygen its own directory.
Comment 162 tman 2011-03-02 06:47:52 UTC
latest blender-9999.ebuild 

failes con compile here. could it be it failes because boost-1.4.6?

7 ^[[94mCompiling^[[0m ==> '^[[92mbtActivatingCollisionAlgorithm.cpp'^[[0m
 458 ^[[94mCompiling^[[0m ==> '^[[92mbtCollisionDispatcher.cpp'^[[0m
 459 ^[[94mCompiling^[[0m ==> '^[[92mbtBoxBoxCollisionAlgorithm.cpp'^[[0m
 460 ^[[94mCompiling^[[0m ==> '^[[92mbtManifoldResult.cpp'^[[0m
 461 ^[[94mCompiling^[[0m ==> '^[[92mbtConvexConcaveCollisionAlgorithm.cpp'^[[0m
 462 ^[[94mCompiling^[[0m ==> '^[[92mbtUnionFind.cpp'^[[0m
 463 ^[[94mCompiling^[[0m ==> '^[[92mbtBoxBoxDetector.cpp'^[[0m
 464 ^[[94mCompiling^[[0m ==> '^[[92mbtEmptyCollisionAlgorithm.cpp'^[[0m
 465 ^[[94mCompiling^[[0m ==> '^[[92mbtGhostObject.cpp'^[[0m
 466 ^[[94mCompiling^[[0m ==> '^[[92mbtSphereSphereCollisionAlgorithm.cpp'^[[0m
 467 ^[[94mCompiling^[[0m ==> '^[[92mbtSimulationIslandManager.cpp'^[[0m
2130 If -s is specified the comments in the config file will be omitted.
2131 If configName is omitted `Doxyfile' will be used as a default.
2132 
2133  * ERROR: media-gfx/blender-9999 failed (install phase):
2134  *   doxygen failed to build API docs.
Comment 163 tman 2011-03-03 19:34:02 UTC
(In reply to comment #161)
> Created an attachment (id=264145) [details]
> Upstream moved Doxygen
> 
> @Shannon:  Thanks!
> 
> I uploaded another doxygen patch.  Upstream gave Doxygen its own directory.
> 
Linking program ==> 'blender'
Install file: "/var/tmp/portage/media-gfx/blender-9999/work/build/linux2/bin/blenderplayer" as "/var/tmp/portage/media-gfx/blender-9999/work/install/blenderplayer"
Install file: "/var/tmp/portage/media-gfx/blender-9999/work/build/linux2/bin/blender" as "/var/tmp/portage/media-gfx/blender-9999/work/install/blender"
scons: done building targets.
 * Building plugins ...
make -j3 'CFLAGS=-march=core2 -O2 -pipe -fPIC' 'LDFLAGS=-O1 --as-needed -Bshareable' 
>>> Source compiled.
>>> Test phase [not enabled]: media-gfx/blender-9999

>>> Install blender-9999 into /var/tmp/portage/media-gfx/blender-9999/image/ category media-gfx
 * Generating (BGE) Blender Game Engine API docs ...
!!! dohtml: /var/tmp/portage/media-gfx/blender-9999/work/install/share/blender/2.5/doc/* does not exist
dohtml failed
rm: cannot remove `/var/tmp/portage/media-gfx/blender-9999/work/install/share/blender/2.5/doc': No such file or directory
 * Generating Blender C/C++ API docs ...
error: configuration file Doxyfile not found!
Doxygen version 1.7.3
Copyright Dimitri van Heesch 1997-2010

You can use doxygen in a number of ways:

1) Use doxygen to generate a template configuration file:
    doxygen [-s] -g [configName]

    If - is used for configName doxygen will write to standard output.

2) Use doxygen to update an old configuration file:
    doxygen [-s] -u [configName]

3) Use doxygen to generate documentation using an existing configuration file:
    doxygen [configName]

    If - is used for configName doxygen will read from standard input.

4) Use doxygen to generate a template file controlling the layout of the
   generated documentation:
    doxygen -l layoutFileName.xml

5) Use doxygen to generate a template style sheet file for RTF, HTML or Latex.
    RTF:   doxygen -w rtf styleSheetFile
    HTML:  doxygen -w html headerFile footerFile styleSheetFile [configFile]
    LaTeX: doxygen -w latex headerFile styleSheetFile [configFile]

6) Use doxygen to generate an rtf extensions file
    RTF:   doxygen -e rtf extensionsFile

If -s is specified the comments in the config file will be omitted.
If configName is omitted `Doxyfile' will be used as a default.

Doxyfile not found and no input file specified!
Doxygen version 1.7.3
Copyright Dimitri van Heesch 1997-2010

You can use doxygen in a number of ways:

1) Use doxygen to generate a template configuration file:
    doxygen [-s] -g [configName]

    If - is used for configName doxygen will write to standard output.

2) Use doxygen to update an old configuration file:
    doxygen [-s] -u [configName]

3) Use doxygen to generate documentation using an existing configuration file:
    doxygen [configName]

    If - is used for configName doxygen will read from standard input.

4) Use doxygen to generate a template file controlling the layout of the
   generated documentation:
    doxygen -l layoutFileName.xml

5) Use doxygen to generate a template style sheet file for RTF, HTML or Latex.
    RTF:   doxygen -w rtf styleSheetFile
    HTML:  doxygen -w html headerFile footerFile styleSheetFile [configFile]
    LaTeX: doxygen -w latex headerFile styleSheetFile [configFile]

6) Use doxygen to generate an rtf extensions file
    RTF:   doxygen -e rtf extensionsFile

If -s is specified the comments in the config file will be omitted.
If configName is omitted `Doxyfile' will be used as a default.

 * ERROR: media-gfx/blender-9999 failed (install phase):
 *   doxygen failed to build API docs.

Comment 164 AaronD 2011-03-04 08:59:29 UTC
Created attachment 264655 [details]
fixed apidoc USE flag

Thanks tman.  Keep testing those USE flags! :)

I would not use the apidoc USE flag unless you want the api documentation.  You can easily compile blender 4 times in the time it takes doxygen to do its thing.

I also commented out the scripts directory permission changes.  Let us see how it goes.
Comment 165 tman 2011-03-06 09:36:50 UTC
(In reply to comment #164)
> Created an attachment (id=264655) [details]
> fixed apidoc USE flag
> 
> Thanks tman.  Keep testing those USE flags! :)
> 
> I would not use the apidoc USE flag unless you want the api documentation.  You
> can easily compile blender 4 times in the time it takes doxygen to do its
> thing.
> 

> I also commented out the scripts directory permission changes.  Let us see how
> it goes.



in general i want to test all USE :) but i dont mainly use apidoc :)

but it works fine, thanks for fast fixing it

Comment 166 tman 2011-03-08 07:54:57 UTC
Compiling ==> 'py_capi_utils.c'
Compiling ==> 'mathutils_geometry.c'
Compiling ==> 'bgl.c'
Compiling ==> 'mathutils_Euler.c'
Compiling ==> 'mathutils_Color.c'
Compiling ==> 'mathutils_Vector.c'
Compiling ==> 'blf_py_api.c'
Compiling ==> 'bpy_interface.c'
In file included from source/blender/python/intern/bpy_interface.c:44:0:
source/blender/python/intern/bpy_util.h:34:2: error: #error "Python versions below 3.1 are not supported anymore, you'll need to update your python."
scons: *** [/var/tmp/portage/media-gfx/blender-9999/work/build/linux2/source/blender/python/intern/bpy_interface.o] Error 1
Compiling ==> 'bpy_operator.c'
In file included from source/blender/python/intern/bpy_operator.c:42:0:
source/blender/python/intern/bpy_util.h:34:2: error: #error "Python versions below 3.1 are not supported anymore, you'll need to update your python."
scons: *** [/var/tmp/portage/media-gfx/blender-9999/work/build/linux2/source/blender/python/intern/bpy_operator.o] Error 1
scons: building terminated because of errors.
 * ERROR: media-gfx/blender-9999 failed (compile phase):
 *   !!! Please add "${S}/scons.config" when filing bugs reports \
 * 		to bugs.gentoo.org
 * 
 * Call stack:
 *     ebuild.sh, line  56:  Called src_compile
 *   environment, line 5422:  Called die
 * The specific snippet of code:
 *       scons || die '!!! Please add "${S}/scons.config" when filing bugs reports \
 *   		to bugs.gentoo.org';
 * 
 * If you need support, post the output of 'emerge --info =media-gfx/blender-9999',
 * the complete build log and the output of 'emerge -pqv =media-gfx/blender-9999'.
 * The complete build log is located at '/var/log/portage/media-gfx:blender-9999:20110308-074754.log'.
 * The ebuild environment file is located at '/var/tmp/portage/media-gfx/blender-9999/temp/environment'.
 * S: '/var/tmp/portage/media-gfx/blender-9999/work/blender'

>>> Failed to emerge media-gfx/blender-9999, Log file:





################

revdep-rebuild, and python-updater was run before
Comment 167 bebR 2011-03-08 08:50:42 UTC
@tman: Check your Python version, it should be at least 3.1, maybe the revdep-rebuild has downgraded it ?
However, the blender ebuild needs/depends on Python 3.1.
Comment 168 tman 2011-03-08 11:19:18 UTC
[I] dev-lang/python
     Available versions:  
	(2.4)	2.4.6
	(2.5)	2.5.4-r4
	(2.6)	2.6.5-r3 2.6.6-r1 2.6.6-r2
	(2.7)	(~)2.7.1-r1{tbz2}
	(3.1)	3.1.2-r4 3.1.3-r1{tbz2}
	(3.2)	[M](~)3.2
	{-berkdb bootstrap build +cxx doc elibc_uclibc examples gdbm ipv6 +ncurses +readline sqlite +ssl +threads tk +wide-unicode wininst +xml}
     Installed versions:  2.7.1-r1(2.7){tbz2}(00:56:46 03.03.2011)(berkdb gdbm ipv6 ncurses readline sqlite ssl threads tk wide-unicode xml -build -doc -elibc_uclibc -examples -wininst) 3.1.3-r1(3.1){tbz2}(21:53:16 02.03.2011)(gdbm ipv6 ncurses readline sqlite ssl threads tk wide-unicode xml -build -doc -elibc_uclibc -examples -wininst)
     Homepage:            http://www.python.org/
     Description:         Python is an interpreted, interactive, object-oriented programming language


python 3.x is installed but not mainly used python, because it would break the whole system.
Comment 169 bebR 2011-03-08 13:51:05 UTC
Actually, portage can work with python 3 unless you have a very old portage version ...
The latest stable version of portage supports python3 (portage-2.1.9.25 at this moment), you just need to set the right use flag.
Here is an extract of the official ebuild : 
python_dep="python3? ( =dev-lang/python-3* )
	!python3? (
		build? ( || ( dev-lang/python:2.8 dev-lang/python:2.7 dev-lang/python:2.6 ) )
		!build? ( || ( dev-lang/python:2.8 dev-lang/python:2.7 dev-lang/python:2.6 >=dev-lang/python-3 ) )
	)"

You have a environment problem, your issue is not related to this Blender ebuild.
Before trying to put a new use flag to portage, try a full update of your system, in order :
- emerge --sync
- emerge --update --newuse --deep world
- revdep-rebuild
- python-updater
Comment 170 Shannon 2011-03-08 14:55:21 UTC
Something has changed with this ebuild or svn revision. I get the same python error now. I didn't have the error with the last ebuild I used. I have python 3.1 and 2.7 installed with 2.7 as my system python. I haven't had time to track it down yet.
Comment 171 Shannon 2011-03-08 16:23:54 UTC
From http://wiki.blender.org/index.php/Dev:2.5/Doc/Building_Blender/Linux/Troubleshooting#Python

"Blender 2.5x needs Python 3.2, it won't build with any older Python versions, thus it is an important dependency. "
Comment 172 Shannon 2011-03-08 17:18:35 UTC
Created attachment 265177 [details]
Updated ebuild to use python 3.2


I had to unmask python3.2 in portage and it built fine. I don't know if it's going to bork my system, but after change PYTHON_DEPEND to "3:3.2" and adding BF_PYTHON_VERSION="3.2" and I added python_set_active version 3 to pkgsetup() (which probably isn't needed but I haven't tested it without) blender compiled.

I ran a small test of posing and rendering from the sintel_lite_v2_1.blend from blendswap.com and it worked fine. Haven't tried animation or physics stuff yet.
Comment 173 tman 2011-03-08 17:44:13 UTC
the question is "not if it bork your system or not", the question is what crashe first, blender or an other application :)

here are some reason to let python-3.2 be unmasked, everyone should knew if he wants to risk.

http://bugs.gentoo.org/show_bug.cgi?id=Python-3.2
Comment 174 bebR 2011-03-10 10:35:47 UTC
I spoke too soon, sorry :)

python 3.2 is hard masked and a lot of python related packages won't work with it. It can be harmful for any system.

As 3.2 is only needed to compile Blender 2.5x and not to run it (Blender has its own copy of python3), a temporary 3.2 python can be used. The procedure is described on the Blender wiki, for both cmake and scons: http://wiki.blender.org/index.php/Dev:2.5/Doc/Building_Blender/Linux/Troubleshooting
Comment 175 tman 2011-03-10 17:19:20 UTC
 *    working copy: /usr/portage/distfiles/svn-src/blender/blender

 * subversion update start -->
 *      repository: https://svn.blender.org/svnroot/bf-extensions/contrib/py/scripts/addons
At revision 1696.
 *    working copy: /usr/portage/distfiles/svn-src/blender/addons

>>> Source unpacked in /var/tmp/portage/media-gfx/blender-9999/work
>>> Preparing source in /var/tmp/portage/media-gfx/blender-9999/work/blender ...
 * Applying blender-desktop.patch ...

 * Failed Patch: blender-desktop.patch !
 *  ( /usr/portage/local/local-overlay/media-gfx/blender/files/blender-desktop.patch )
 * 
 * Include in your bugreport the contents of:
 * 
 *   /var/tmp/portage/media-gfx/blender-9999/temp/blender-desktop.patch.out
Comment 176 zolar czakl 2011-03-10 20:07:32 UTC
Created attachment 265489 [details, diff]
blender-desktop.patch - small fix
Comment 177 tman 2011-03-11 06:53:12 UTC
(In reply to comment #176)
> Created attachment 265489 [details, diff]
> blender-desktop.patch - small fix

unfortunately, fix dont work:


>>> Source unpacked in /var/tmp/portage/media-gfx/blender-9999/work
>>> Preparing source in /var/tmp/portage/media-gfx/blender-9999/work/blender ...
 * Applying blender-desktop.patch ...

 * Failed Patch: blender-desktop.patch !
 *  ( /usr/portage/local/local-overlay/media-gfx/blender/files/blender-desktop.patch )
 * 
 * Include in your bugreport the contents of:
 * 
 *   /var/tmp/portage/media-gfx/blender-9999/temp/blender-desktop.patch.out

 * ERROR: media-gfx/blender-9999 failed (prepare phase):
 *   Failed Patch: blender-desktop.patch!
 * 
 * Call stack:
 *     ebuild.sh, line   56:  Called src_prepare
 *   environment, line 5565:  Called epatch '/usr/portage/local/local-overlay/media-gfx/blender/files/blender-desktop.patch'
 *   environment, line 2133:  Called die
 * The specific snippet of code:
 *               die "Failed Patch: ${patchname}!";
 * 
 * If you need support, post the output of 'emerge --info =media-gfx/blender-9999',
 * the complete build log and the output of 'emerge -pqv =media-gfx/blender-9999'.
 * The complete build log is located at '/var/log/portage/media-gfx:blender-9999:20110311-065220.log'.
 * The ebuild environment file is located at '/var/tmp/portage/media-gfx/blender-9999/temp/environment'.
 * S: '/var/tmp/portage/media-gfx/blender-9999/work/blender'

>>> Failed to emerge media-gfx/blender-9999, Log file:
Comment 178 zolar czakl 2011-03-14 20:04:37 UTC
Tested with the latest svn, still works.
I really don't know, sorry.

Can anyone test the patch? Thanks.
Comment 179 Renato Alves 2011-03-15 00:21:25 UTC
I haven't tried to do the emerge since I don't have the setup for python 3.2 but applying the patch manually works.

Since there are some cyrillic characters in the patch, may I ask how did you download and save the patch to a file? The patching problem may be caused due to some encoding issue.

Also, please add the output contained in the file:
/var/tmp/portage/media-gfx/blender-9999/temp/blender-desktop.patch.out

to the report.
Comment 180 tman 2011-03-15 09:55:04 UTC
i am using:

Updated ebuild to use python 3.2 (13.01 KB, text/plain)
2011-03-08 17:18 UTC, Shannon 

blender-desktop.patch - small fix (639 bytes, patch)
2011-03-10 20:07 UTC, zolar czakl 

the blender-desktop.patch seems to have really problems with encoding because it has some russian comments inside, i have download it per wget and rename and the pathc seems to work


and got following:
error:

Compiling ==> 'AUD_DefaultMixer.cpp'
Compiling ==> 'AUD_SoftwareDevice.cpp'
Compiling ==> 'AUD_SinusReader.cpp'
Compiling ==> 'AUD_ConverterFactory.cpp'
Compiling ==> 'AUD_ReadDevice.cpp'
Compiling ==> 'AUD_ConverterFunctions.cpp'
Compiling ==> 'AUD_ChannelMapperFactory.cpp'
Compiling ==> 'AUD_ConverterReader.cpp'
Compiling ==> 'AUD_C-API.cpp'
Compiling ==> 'AUD_SequencerReader.cpp'
In file included from intern/audaspace/intern/AUD_C-API.cpp:38:0:
intern/audaspace/intern/AUD_PyInit.h:36:20: fatal error: Python.h: No such file or directory
compilation terminated.
scons: *** [/var/tmp/portage/media-gfx/blender-9999/work/build/linux2/intern/audaspace/intern/AUD_C-API.o] Error 1
Compiling ==> 'AUD_FileFactory.cpp'
scons: building terminated because of errors.
 * ERROR: media-gfx/blender-9999 failed (compile phase):
 *   !!! Please add "${S}/scons.config" when filing bugs reports \
 * 		to bugs.gentoo.org
 * 
 * Call stack:
 *     ebuild.sh, line  56:  Called src_compile
 *   environment, line 5431:  Called die
 * The specific snippet of code:
 *       scons || die '!!! Please add "${S}/scons.config" when filing bugs report



maybe its only a currently problem of blender code and not the ebuild and my envirement. i am not sure about it
Comment 181 tman 2011-03-16 11:06:13 UTC
her is one solution but unfortunatelly i cant french maybe someone is able to make a fix by ready this:

http://blenderclan.tuxfamily.org/html/modules/newbb/viewtopic.php?topic_id=29832&start=0#forumpost368009
Comment 182 bebR 2011-03-16 13:54:30 UTC
(In reply to comment #181)
> her is one solution but unfortunatelly i cant french maybe someone is able to
> make a fix by ready this:
> 
> http://blenderclan.tuxfamily.org/html/modules/newbb/viewtopic.php?topic_id=29832&start=0#forumpost368009

This french topic describes how to compile a local python 3.2 for compiling purpose only. This is what I previously mentioned.
The solution would be to follow the recommendations from the blender wiki:
1. Get the python3.2 sources (Python-3.2.0.tar.bz2)
2. Extract it to the temp build folder
3. Configure the python temp install <path_to_temp_build_dir>/py32
4. Compile and install python
5. setup the scons user-config.py file to match the temp installed python3.2 or modify the CMakeCache.txt if using cmake
6. get blender source, patches etc.

I guess this should be only used if the user environment does not already use an installed python3.2.

I'm not an ebuild expert, so I can't help more...

Hope it helps !
Comment 183 bebR 2011-03-16 13:56:55 UTC
(In reply to comment #182)
> This french topic describes how to compile a local python 3.2 for compiling
> purpose only.
Actually, this topic tells to install python3.2 on the system, not to use a temporary install.
(but I'm french :p)
Comment 184 Shannon 2011-03-16 14:00:12 UTC
Created attachment 266121 [details]
Ebuild that fixes the python3.2 include path.

I'm not sure when it changed but the default config file linux2-config.py includes:
BF_PYTHON_ABI_FLAGS = 'm'  # Most common for linux distros
BF_PYTHON_INC = '${BF_PYTHON}/include/python${BF_PYTHON_VERSION}${BF_PYTHON_ABI_FLAGS}'


At least for my install of python3.2 the include directory does not include the "m" from BF_PYTHON_ABI_FLAGS in the path.

I added a line to the ebuild to  set BF_PYTHON_ABI_FLAGS to "".

It compiled fine for me after that.
Comment 185 tman 2011-03-16 18:39:57 UTC
thanks u all finally a fix :)

@shanon it works
Comment 186 tman 2011-04-06 15:36:15 UTC
since to day i get this error:

│ERROR: prepare                                                                                                                                                                                                                       │
│Failed Patch: blender-2.5-glew.patch !                                                                                                                                                                                               │
│ ( /usr/portage/local/local-overlay/media-gfx/blender/files/blender-2.5-glew.patch )                                                                                                                                                 │
│                                                                                                                                                                                                                                     │
│Include in your bugreport the contents of:                                                                                                                                                                                           │
│                                                                                                                                                                                                                                     │
│  /var/tmp/portage/media-gfx/blender-9999/temp/blender-2.5-glew.patch.out                                                                                                                                                            │
│ERROR: media-gfx/blender-9999 failed (prepare phase):                                                                                                                                                                                │
│  Failed Patch: blender-2.5-glew.patch!
Comment 187 Shannon 2011-04-06 18:19:11 UTC
Created attachment 268743 [details]
Updated blender-2.5-glew.patch

At least revision 36037 has changed the include for glew.h; making that part of the patch unnecessary now.
Comment 188 tman 2011-04-12 06:14:00 UTC
2011.04.12
#####




 * Failed Patch: blender-2.5-glew.patch !
 *  ( /usr/portage/local/local-overlay/media-gfx/blender/files/blender-2.5-glew.patch )
 * 
 * Include in your bugreport the contents of:
 * 
 *   /var/tmp/portage/media-gfx/blender-9999/temp/blender-2.5-glew.patch.out

 * ERROR: media-gfx/blender-9999 failed (prepare phase):


seems to be blender-2.5-glew.patch has been changed again.
Comment 189 Shannon 2011-04-12 10:56:43 UTC
Created attachment 269639 [details, diff]
Updated blender-2.5-glew.patch

Fixed for revision 36109.
Comment 190 tman 2011-04-12 12:18:24 UTC
the updated patch seems to not work
Comment 191 Shannon 2011-04-12 13:54:46 UTC
Created attachment 269671 [details, diff]
Updated blender-2.5-glew.patch

10 minutes after I change the patch they revert it in svn

r36110 | campbellbarton | 2011-04-12 05:09:10 -0600 (Tue, 12 Apr 2011) | 22 lines

revert Joseph Eagar's eltopo commits r36073, 36075 (& some minor edits)
discussed with Janne, Ton, Nathan and we agreed this kind of change at least needs discussion with module owners.
Comment 192 tman 2011-04-12 22:04:09 UTC
well we test and fix after 10 min also @shanon :)

looks here is a fail a gain:

Install file: "release/text/GPL-license.txt" as "/var/tmp/portage/media-gfx/blender-9999/work/install/GPL-license.txt"
Install file: "release/freedesktop/icons/scalable/blender.svg" as "/var/tmp/portage/media-gfx/blender-9999/work/install/icons/scalable/blender.svg"
Install file: "release/freedesktop/icons/128x128/blender.png" as "/var/tmp/portage/media-gfx/blender-9999/work/install/icons/128x128/blender.png"
Install file: "release/freedesktop/icons/128x128/blender.svg" as "/var/tmp/portage/media-gfx/blender-9999/work/install/icons/128x128/blender.svg"
Install file: "release/freedesktop/icons/64x64/blender.png" as "/var/tmp/portage/media-gfx/blender-9999/work/install/icons/64x64/blender.png"
Install file: "release/freedesktop/icons/64x64/blender.svg" as "/var/tmp/portage/media-gfx/blender-9999/work/install/icons/64x64/blender.svg"
Install file: "release/freedesktop/icons/192x192/blender.png" as "/var/tmp/portage/media-gfx/blender-9999/work/install/icons/192x192/blender.png"
Install file: "release/freedesktop/icons/192x192/blender.svg" as "/var/tmp/portage/media-gfx/blender-9999/work/install/icons/192x192/blender.svg"
Install file: "release/freedesktop/icons/96x96/blender.png" as "/var/tmp/portage/media-gfx/blender-9999/work/install/icons/96x96/blender.png"
Install file: "release/freedesktop/icons/96x96/blender.svg" as "/var/tmp/portage/media-gfx/blender-9999/work/install/icons/96x96/blender.svg"
Install file: "release/freedesktop/icons/48x48/blender.png" as "/var/tmp/portage/media-gfx/blender-9999/work/install/icons/48x48/blender.png"
Install file: "release/freedesktop/icons/48x48/blender.svg" as "/var/tmp/portage/media-gfx/blender-9999/work/install/icons/48x48/blender.svg"
Install file: "release/freedesktop/icons/32x32/blender.png" as "/var/tmp/portage/media-gfx/blender-9999/work/install/icons/32x32/blender.png"
Install file: "release/freedesktop/icons/32x32/blender.svg" as "/var/tmp/portage/media-gfx/blender-9999/work/install/icons/32x32/blender.svg"
Install file: "release/freedesktop/icons/22x22/blender.png" as "/var/tmp/portage/media-gfx/blender-9999/work/install/icons/22x22/blender.png"
Install file: "release/freedesktop/icons/22x22/blender.svg" as "/var/tmp/portage/media-gfx/blender-9999/work/install/icons/22x22/blender.svg"
Install file: "release/freedesktop/icons/16x16/blender.png" as "/var/tmp/portage/media-gfx/blender-9999/work/install/icons/16x16/blender.png"
Install file: "release/freedesktop/icons/16x16/blender.svg" as "/var/tmp/portage/media-gfx/blender-9999/work/install/icons/16x16/blender.svg"
Linking library ==> 'libge_phys_bullet.a'
Linking program ==> 'blenderplayer'
Linking program ==> 'blender'
Install file: "/var/tmp/portage/media-gfx/blender-9999/work/build/linux2/bin/blenderplayer" as "/var/tmp/portage/media-gfx/blender-9999/work/install/blenderplayer"
Install file: "/var/tmp/portage/media-gfx/blender-9999/work/build/linux2/bin/blender" as "/var/tmp/portage/media-gfx/blender-9999/work/install/blender"
scons: done building targets.
 * Building plugins ...
/var/tmp/portage/media-gfx/blender-9999/temp/environment: line 5243: cd: /var/tmp/portage/media-gfx/blender-9999/work/install/2.56/plugins/: No such file or directory
 * ERROR: media-gfx/blender-9999 failed (compile phase):
 *   dir /var/tmp/portage/media-gfx/blender-9999/work/install/plugins/ do not exist
 * 
 * Call stack:
 *     ebuild.sh, line  56:  Called src_compile
 *   environment, line 5243:  Called die
 * The specific snippet of code:
 *       cd "${WORKDIR}"/install/2.56/plugins/ || die "dir ${WORKDIR}/install/plugins/ do not exist";
 * 
 * If you need support, post the output of 'emerge --info =media-gfx/blender-9999',
 * the complete build log and the output of 'emerge -pqv =media-gfx/blender-9999'.
 * The complete build log is located at '/var/log/portage/media-gfx:blender-9999:20110412-215801.log'.
 * The ebuild environment file is located at '/var/tmp/portage/media-gfx/blender-9999/temp/environment'.
 * S: '/var/tmp/portage/media-gfx/blender-9999/work/blender'

>>> Failed to emerge media-gfx/blender-9999, Log file:

>>>  '/var/log/portage/media-gfx:blender-9999:20110412-215801.log'

 * Messages for package media-gfx/blender-9999:

 * Package:    media-gfx/blender-9999
 * USE:        amd64 contrib dds elbeem elibc_glibc ffmpeg fftw game-engine iconv jack jpeg2k kernel_linux lcms linguas_de linguas_en multilib openal openexr openmp player redcode sdl sndfile sse tweak-mode userland_GNU zlib
 * FEATURES:   sandbox
 * subversion update start -->
 *      repository: https://svn.blender.org/svnroot/bf-blender/trunk/blender
 *    working copy: /usr/portage/distfiles/svn-src/blender/blender
 * subversion update start -->
 *      repository: https://svn.blender.org/svnroot/bf-extensions/contrib/py/scripts/addons
Comment 193 Miroslav Šulc gentoo-dev 2011-04-12 22:05:42 UTC
Created attachment 269725 [details]
fixed paths (changed version string 2.56 to 2.57)

and here is the fix :-)
Comment 194 Shannon 2011-04-12 23:50:00 UTC
Is there a reason that those paths don't use ${slot} like we do for the wrapper and .desktop files?
Comment 195 Miroslav Šulc gentoo-dev 2011-04-13 00:17:23 UTC
(In reply to comment #194)
> Is there a reason that those paths don't use ${slot} like we do for the wrapper
> and .desktop files?

it's not really a slot, slot is 2.5. the last change was about changing 2.56 to 2.57, which is blender version, not the slot number.

sure it could be put in variable and use that variable instead of blender version number in the paths, but that does not affect anything, it just makes changes in the ebuild tiny faster (you need to change it at one place) and reading the ebuild tiny slower (you have to find the variable declaration if need to know current value).

putting blender version in variable is probably the preferred way, so you are right, but imo here at bugzilla it really does not matter. when the ebuild should reach main tree, it would need larger cleanup anyway.
Comment 196 Stoian Ivanov 2011-04-17 20:55:48 UTC
Created attachment 270319 [details]
blender-2.57 local overlay working on ~amd64 @ 2011-04-17

if pyithon 3.2 is masked you'll need 

=dev-lang/python-3.2

in /etc/portage/package.unmask as it is the first version available for local overlay setup info: http://en.gentoo-wiki.com/wiki/Overlay#Local_Overlays
Comment 197 tman 2011-04-25 16:43:15 UTC
new day, new errors :


Install file: "release/freedesktop/icons/16x16/apps/blender.png" as "/var/tmp/portage/media-gfx/blender-9999/work/install/icons/16x16/apps/blender.png"
Linking library ==> 'libge_phys_bullet.a'
Linking program ==> 'blenderplayer'
Linking program ==> 'blender'
Install file: "/var/tmp/portage/media-gfx/blender-9999/work/build/linux2/bin/blender" as "/var/tmp/portage/media-gfx/blender-9999/work/install/blender"
/var/tmp/portage/media-gfx/blender-9999/work/build/linux2/lib/libbf_rna.a(rna_space_gen.o): In function `RegionView3D_view_matrix_set':
rna_space_gen.c:(.text+0x47b7): undefined reference to `view3d_settings_from_mat'
collect2: ld returned 1 exit status
scons: *** [/var/tmp/portage/media-gfx/blender-9999/work/build/linux2/bin/blenderplayer] Error 1
scons: building terminated because of errors.
 * ERROR: media-gfx/blender-9999 failed (compile phase):
 *   !!! Please add "${S}/scons.config" when filing bugs reports \
 * 		to bugs.gentoo.org
 * 
 * Call stack:
 *     ebuild.sh, line  56:  Called src_compile
 *   environment, line 5216:  Called die
 * The specific snippet of code:
 *       scons || die '!!! Please add "${S}/scons.config" when filing bugs reports \
 *   		to bugs.gentoo.org';
 * 
 * If you need support, post the output of 'emerge --info =media-gfx/blender-9999',
 * the complete build log and the output of 'emerge -pqv =media-gfx/blender-9999'.
 * The complete build log is located at '/var/log/portage/media-gfx:blender-9999:20110425-162412.log'.
 * The ebuild environment file is located at '/var/tmp/portage/media-gfx/blender-9999/temp/environment'.
 * S: '/var/tmp/portage/media-gfx/blender-9999/work/blender'
Comment 198 Shannon 2011-04-28 16:03:03 UTC
(In reply to comment #197)

I don't have this problem with revision 36374. Do you still have problems?
Comment 199 tman 2011-04-29 14:56:06 UTC
@shanon

it seems to be solved in latest svn revision
Comment 200 tman 2011-05-03 12:52:15 UTC
>>> Emerging (1 of 1) media-gfx/blender-9999 from x-local-overlay
 * Package:    media-gfx/blender-9999
 * Repository: x-local-overlay
 * USE:        amd64 contrib dds elbeem elibc_glibc ffmpeg fftw game-engine iconv jack jpeg2k kernel_linux lcms linguas_de linguas_en multilib openal openexr openmp player redcode sdl sndfile sse tweak-mode userland_GNU zlib
 * FEATURES:   preserve-libs sandbox
>>> Unpacking source...
 * subversion update start -->
 *      repository: https://svn.blender.org/svnroot/bf-blender/trunk/blender

Fetching external item into 'release/scripts/addons'
External at revision 1891.

At revision 36462.
 *    working copy: /usr/portage/distfiles/svn-src/blender/blender

 * subversion update start -->
 *      repository: https://svn.blender.org/svnroot/bf-extensions/contrib/py/scripts/addons
At revision 1891.
 *    working copy: /usr/portage/distfiles/svn-src/blender/addons

>>> Source unpacked in /var/tmp/portage/media-gfx/blender-9999/work
>>> Preparing source in /var/tmp/portage/media-gfx/blender-9999/work/blender ...
 * Applying blender-desktop.patch ...                                                                                                                                                                                           [ ok ]
 * Applying blender-2.5-doxygen.patch ...                                                                                                                                                                                       [ ok ]
 * Applying blender-2.5-bmake.patch ...                                                                                                                                                                                         [ ok ]
 * Removing bundled OpenJPEG ...
 * Removing bundled Glew ...
 * Applying blender-2.5-glew.patch ...

 * Failed Patch: blender-2.5-glew.patch !
 *  ( /usr/portage/local/local-overlay/media-gfx/blender/files/blender-2.5-glew.patch )
 * 
 * Include in your bugreport the contents of:
Comment 201 zolar czakl 2011-05-03 16:31:41 UTC
Created attachment 271985 [details, diff]
Updated blender-2.5-glew.patch
Comment 202 tman 2011-05-07 12:12:30 UTC
latest bug:

Install file: "release/freedesktop/icons/16x16/apps/blender.png" as "/var/tmp/portage/media-gfx/blender-9999/work/install/icons/16x16/apps/blender.png"
Linking library ==> 'libge_phys_bullet.a'
Linking program ==> 'blenderplayer'
Linking program ==> 'blender'
Install file: "/var/tmp/portage/media-gfx/blender-9999/work/build/linux2/bin/blenderplayer" as "/var/tmp/portage/media-gfx/blender-9999/work/install/blenderplayer"
Install file: "/var/tmp/portage/media-gfx/blender-9999/work/build/linux2/bin/blender" as "/var/tmp/portage/media-gfx/blender-9999/work/install/blender"
scons: done building targets.
 * Building plugins ...
/var/tmp/portage/media-gfx/blender-9999/temp/environment: line 5217: cd: /var/tmp/portage/media-gfx/blender-9999/work/install/2.57/plugins/: No such file or directory
 * ERROR: media-gfx/blender-9999 failed (compile phase):
 *   dir /var/tmp/portage/media-gfx/blender-9999/work/install/plugins/ do not exist
 * 
 * Call stack:
 *     ebuild.sh, line  56:  Called src_compile
 *   environment, line 5217:  Called die
 * The specific snippet of code:
 *       cd "${WORKDIR}"/install/2.57/plugins/ || die "dir ${WORKDIR}/install/plugins/ do not exist";
 * 
 * If you need support, post the output of 'emerge --info =media-gfx/blender-9999',
 * the complete build log and the output of 'emerge -pqv =media-gfx/blender-9999'.
 * This ebuild is from a repository named 'x-local-overlay'
 * The complete build log is located at '/var/log/portage/media-gfx:blender-9999:20110507-120430.log'.
 * The ebuild environment file is located at '/var/tmp/portage/media-gfx/blender-9999/temp/environment'.
 * S: '/var/tmp/portage/media-gfx/blender-9999/work/blender'
Comment 203 zolar czakl 2011-05-07 18:16:45 UTC
Created attachment 272415 [details]
Updated ebuild

plugins stuff commented out (what about removing pkg_preinst?)


r36524 | blendix | 2011-05-06 22:21:20 +0200 (Fri, 06 May 2011) | 6 lines

Forgot to mention that for scons, I've disabled install of the texture and
sequence plugins, as was already done for cmake, they don't work in 2.5.
Comment 204 Tim 2011-05-08 03:54:59 UTC
I noticed that the main portage tree has an ebuild for blender-2.57.  It looks surprisingly familiar. :)  Unfortunately it took along some cruft, that should probably be cleaned up.  Can we make suggestions here, or open a new bug.

Tim
Comment 205 tman 2011-05-08 06:13:25 UTC
it(In reply to comment #204)
> I noticed that the main portage tree has an ebuild for blender-2.57.  It looks
> surprisingly familiar. :)  Unfortunately it took along some cruft, that should
> probably be cleaned up.  Can we make suggestions here, or open a new bug.
> 
> Tim

better to open a new bug. if its in prtage so there is a official maintainer. and it keep clear. 

this bug report is only for the svn version, else the maintainer will complains about agression of bugs.

thanks
Comment 206 tman 2011-05-14 04:49:22 UTC
Install file: "release/freedesktop/icons/32x32/apps/blender.png" as "/var/tmp/portage/media-gfx/blender-9999/work/install/icons/32x32/apps/blender.png"
Install file: "release/freedesktop/icons/22x22/apps/blender.png" as "/var/tmp/portage/media-gfx/blender-9999/work/install/icons/22x22/apps/blender.png"
Install file: "release/freedesktop/icons/16x16/apps/blender.png" as "/var/tmp/portage/media-gfx/blender-9999/work/install/icons/16x16/apps/blender.png"
Linking library ==> 'libge_phys_bullet.a'
Linking program ==> 'blenderplayer'
Linking program ==> 'blender'
/var/tmp/portage/media-gfx/blender-9999/work/build/linux2/lib/libbf_rna.a(rna_space_gen.o): In function `RegionView3D_view_matrix_set':
rna_space_gen.c:(.text+0x48b7): undefined reference to `ED_view3d_from_m4'
collect2: ld returned 1 exit status
scons: *** [/var/tmp/portage/media-gfx/blender-9999/work/build/linux2/bin/blenderplayer] Error 1
scons: building terminated because of errors.
 * ERROR: media-gfx/blender-9999 failed (compile phase):
 *   !!! Please add "${S}/scons.config" when filing bugs reports \
 * 		to bugs.gentoo.org
 * 
 * Call stack:
 *     ebuild.sh, line  56:  Called src_compile
 *   environment, line 5213:  Called die
 * The specific snippet of code:
 *       scons || die '!!! Please add "${S}/scons.config" when filing bugs reports \
 *   		to bugs.gentoo.org'
 * 
 * If you need support, post the output of 'emerge --info =media-gfx/blender-9999',
 * the complete build log and the output of 'emerge -pqv =media-gfx/blender-9999'.
 * This ebuild is from a repository named 'x-local-overlay'
 * The complete build log is located at '/var/log/portage/media-gfx:blender-9999:20110514-044238.log'.
 * The ebuild environment file is located at '/var/tmp/portage/media-gfx/blender-9999/temp/environment'.
 * S: '/var/tmp/portage/media-gfx/blender-9999/work/blender'

>>> Failed to emerge media-gfx/blender-9999, Log file:
Comment 207 Shannon 2011-05-14 19:22:15 UTC
(In reply to comment #206)


r36683 | moguri | 2011-05-14 00:24:29 -0600 (Sat, 14 May 2011) | 1 line

stubs.c update: ED_view3d_from_m4()


Do you still have the problem?
Comment 208 tman 2011-05-15 04:31:31 UTC
@shanon

ok now it run throught.
Comment 209 zolar czakl 2011-05-24 20:13:55 UTC
Created attachment 274533 [details, diff]
Updated desktop patch

Now blender should appear as available application in "Open With..." menus and dialog boxes (tested only with Nautilus).
Comment 210 zolar czakl 2011-05-24 20:13:59 UTC
Created attachment 274535 [details, diff]
Updated desktop patch

Now blender should appear as available application in "Open With..." menus and dialog boxes (tested only with Nautilus).
Comment 211 zolar czakl 2011-05-24 20:26:52 UTC
Double post. Sorry.
Comment 212 tman 2011-05-29 22:41:49 UTC
there is away to include this in the ebuild:

http://wiki.blender.org/index.php/Dev:2.5/Source/Render/Cycles/Building
Comment 213 Shannon 2011-05-30 02:49:17 UTC
(In reply to comment #212)
> there is away to include this in the ebuild:
> 
> http://wiki.blender.org/index.php/Dev:2.5/Source/Render/Cycles/Building


Not really. blender-9999.ebuild uses scons. Cycles uses cmake, scons is broken. Plus there isn't an ebuild for OpenImageIO, a new dependency. (At least a couple of weeks ago I couldn't find one.) 

I can usually troubleshoot a problem pretty well. But I don't know ebuild, cmake or scons well enough to translate or start a new ebuild from scratch. Nor how to make yet another slot for blender to be merged to the filesystem. I eventually gave up and just used the instructions in a temp directory. I just wanted to play with it anyway. I still use trunk for modeling.
Comment 214 tman 2011-05-30 06:48:32 UTC
@shannon

really pity, i read some tutorial for activate cuda and wanted to test it in blender. maybe we have support by other nice dev, who able to help us with new ebuild.

could u make some request for ebuild in bugzilla to fulfill dependencies cycles. my knowledge is unfortunately too poor to expose dependencies for REQUEST.

maybe there is a way to achieve this goal somehow :)
Comment 215 tman 2011-06-21 19:35:36 UTC
Created attachment 277707 [details]
blender-9999.ebuild

fixed ebuild for latest 2.58 from svn
Comment 216 tman 2011-06-22 07:46:40 UTC
could somebody improve the USE od this ebuild plz. it should use collada function too. 

thanks
Comment 217 Shannon 2011-06-29 20:25:36 UTC
Created attachment 278649 [details]
blender-9999.ebuild with OpenCOLLADA support

This ebuild adds support for OpenCOLLADA. It uses the ebuild I posted in bug #372507.

I was able to import most models (I don't have very many). I'm not sure why some of them don't work. I didn't get any error messages.
Comment 218 Tim 2011-07-01 19:00:24 UTC
Just a heads up for a possible upstream build bug.  With a git-sources-3.0_rc5 kernel installed, building blender-9999 fails with 

"build_files/scons/config/linux3-config.py doesn't exist"

Trying to work around this by simply copying the linux2-config.py to linux3-config.py doesn't seem to work. :|

Interesting bit of 'emerge --info'

# emerge --info
Portage 2.1.10.3 (default/linux/amd64/10.0/desktop/kde, gcc-4.5.2, glibc-2.13-r2, 3.0.0-rc5 x86_64)
=================================================================
System uname: Linux-3.0.0-rc5-x86_64-AMD_Phenom-tm-_II_X6_1090T_Processor-with-gentoo-2.0.3

later,
Comment 219 Shannon 2011-07-02 00:58:46 UTC
Created attachment 278821 [details, diff]
ebuil diff to use linux3 patch

Here is a diff to the ebuild for early Linux kernel 3.0 adopters. 

From https://lkml.org/lkml/2011/5/29/204:

    "...the point is that 3.0 is *just* about renumbering, we 
     are very much *not* doing a KDE-4 or a Gnome-3 here. No 
     breakage, no special scary new features, nothing at all 
     like that."

The patch below just changes the platform variable back to linux2.

I'm not going to be testing the 3.0 kernel until it hits portage so let me know if it doesn't work.
Comment 220 Shannon 2011-07-02 01:00:27 UTC
Created attachment 278823 [details, diff]
blender-2.5-linux3.patch

Patch for early kernel adopters.
Comment 221 Tim 2011-07-02 22:27:48 UTC
Comment on attachment 278821 [details, diff]
ebuil diff to use linux3 patch

Thanks Shannon.  It needed a little tweaking...

The .diff file needs the following adjustments:

epatch "${FILESDIR}"/{PN}-${SLOT}-linux3.patch"

should have been..

epatch "${FILESDIR}"/${PN}-${SLOT}-linux3.patch

And the .patch file needs to read...

+if platform=='linux3':

Needs the colon:

Works great now, thanks.

Tim
Comment 222 Shannon 2011-07-03 03:00:19 UTC
Created attachment 278903 [details, diff]
ebuild diff to use linux3 patch

added fixes from Tim.

That's what I get for copy and pasting. ;)
Comment 223 Shannon 2011-07-03 03:01:16 UTC
Created attachment 278905 [details, diff]
blender-2.5-linux3.patch

Added fixes from Tim.
Comment 224 tman 2011-07-23 00:03:13 UTC
Created attachment 280689 [details]
blender-9999.ebuild fix for linux3 patch

(In reply to comment #222)
> Created attachment 278903 [details, diff]
> ebuild diff to use linux3 patch
> 
> added fixes from Tim.
> 
> That's what I get for copy and pasting. ;)

epatch "${FILESDIR}"/${PN}-${SLOT}-linux3.patch


forgotten "$" at /{PN} this could be problem. i have post a fix
Comment 225 tman 2011-07-23 01:51:04 UTC
Created attachment 280693 [details]
blender-9999.ebuild

clean up blender-9999.ebuild for linux3
Comment 226 Tim 2011-08-04 02:09:58 UTC
Looks like there is a new dependency for blender on linux.  Have a look at this comment:

http://www.mail-archive.com/bf-committers@blender.org/msg07627.html

Doesn't seem to be a gentoo package for it right at the moment.  I could be just looking for the wrong thing.

Tim
Comment 227 Shannon 2011-08-04 16:45:01 UTC
Created attachment 282083 [details]
blender-9999.ebuild

(In reply to comment #226)

It is actually not a required feature just enabled by default. Added the following lines to the ebuild:

    #disable ndof/3d mouse/spacenav until an ebuild for libspnav can be made
    echo "WITH_BF_3DMOUSE = False" >> "${S}"/user-config.py
Comment 228 Shannon 2011-08-05 08:07:27 UTC
Created attachment 282169 [details]
blender-9999.ebuild

I added an ebuild for the libspnav sdk in bug #377859. 

I also added a new use flag 3dmouse and the requisite depend logic. I set it to disabled by default because I assume most people don't have the hardware to use.
Comment 229 Shannon 2011-08-05 08:10:05 UTC
I also made an ebuild for Blender with the cycles render engine. Check out bug #377857 for the details.
Comment 230 zolar czakl 2011-08-06 19:16:20 UTC
A couple of things.

This line should be removed:
epatch "${FILESDIR}"/${PN}-${SLOT}-bmake.patch



>=sci-physics/bullet-2.76 doesn't work.
All bullet related line are commented out and 

|  r35500 | erwin | 2011-03-12 21:34:17 +0100 (Sat, 12 Mar 2011) | 5 lines
|  update Bullet physics sdk to latest trunk/version 2.78

Maybe not mandatory but...


We can remove the dependency or create the necessary patch.


What do you think?
Comment 231 Tim 2011-08-06 22:14:18 UTC
(In reply to comment #227)
> Created attachment 282083 [details]
> blender-9999.ebuild
> 
> (In reply to comment #226)
> 
> It is actually not a required feature just enabled by default. Added the
> following lines to the ebuild:
> 
>     #disable ndof/3d mouse/spacenav until an ebuild for libspnav can be made
>     echo "WITH_BF_3DMOUSE = False" >> "${S}"/user-config.py


Thanks Shannon.  Works for me.  This should probably evolve into a USE flag.  All we need is someone who knows how, to do it.

Tim
Comment 232 Shannon 2011-08-07 11:11:50 UTC
(In reply to comment #231)

> 
> Thanks Shannon.  Works for me.  This should probably evolve into a USE flag. 
> All we need is someone who knows how, to do it.
> 
> Tim


I added this in comment 228.
Comment 233 Shannon 2011-08-31 02:11:40 UTC
Created attachment 285111 [details, diff]
blender-2.5-eigen.patch

Added a new game-engine include for Eigen to the patch.
Comment 234 tman 2011-09-04 05:49:50 UTC
@shanon would u like t fix the collada euild plz?
it seem to be broken now.


thanks
Comment 235 tman 2011-09-09 23:21:33 UTC
At revision 2319.
 *    working copy: /usr/portage/distfiles/svn-src/blender/addons

>>> Source unpacked in /var/tmp/portage/media-gfx/blender-9999/work
>>> Preparing source in /var/tmp/portage/media-gfx/blender-9999/work/blender ...
 * Applying blender-desktop.patch ...                                                                                                                                                                                            [ ok ]
 * Applying blender-2.5-doxygen.patch ...                                                                                                                                                                                        [ ok ]
 * Applying blender-2.5-bmake.patch ...                                                                                                                                                                                          [ ok ]
 * Removing bundled OpenJPEG ...
 * Removing bundled Glew ...
 * Applying blender-2.5-glew.patch ...

 * Failed Patch: blender-2.5-glew.patch !
 *  ( /usr/portage/local/local-overlay/media-gfx/blender/files/blender-2.5-glew.patch )
 * 
 * Include in your bugreport the contents of:
 * 
 *   /var/tmp/portage/media-gfx/blender-9999/temp/blender-2.5-glew.patch.out

 * ERROR: media-gfx/blender-9999 failed (prepare phase):
 *   Failed Patch: blender-2.5-glew.patch!
 * 
 * Call stack:At revision 2319.
 *    working copy: /usr/portage/distfiles/svn-src/blender/addons

>>> Source unpacked in /var/tmp/portage/media-gfx/blender-9999/work
>>> Preparing source in /var/tmp/portage/media-gfx/blender-9999/work/blender ...
 * Applying blender-desktop.patch ...                                                                                                                                                                                            [ ok ]
 * Applying blender-2.5-doxygen.patch ...                                                                                                                                                                                        [ ok ]
 * Applying blender-2.5-bmake.patch ...                                                                                                                                                                                          [ ok ]
 * Removing bundled OpenJPEG ...
 * Removing bundled Glew ...
 * Applying blender-2.5-glew.patch ...

 * Failed Patch: blender-2.5-glew.patch !
 *  ( /usr/portage/local/local-overlay/media-gfx/blender/files/blender-2.5-glew.patch )
 * 
 * Include in your bugreport the contents of:
 * 
 *   /var/tmp/portage/media-gfx/blender-9999/temp/blender-2.5-glew.patch.out

 * ERROR: media-gfx/blender-9999 failed (prepare phase):
 *   Failed Patch: blender-2.5-glew.patch!
 * 
 * Call stack:
 *     ebuild.sh, line   56:  Called src_prepare
 *   environment, line 5670:  Called epatch '/usr/portage/local/local-overlay/media-gfx/blender/files/blender-2.5-glew.patch'
 *   environment, line 2121:  Called die
 * The specific snippet of code:
 *               die "Failed Patch: ${patchname}!";
 * 
 * If you need support, post the output of 'emerge --info =media-gfx/blender-9999',
 * the complete build log and the output of 'emerge -pqv =media-gfx/blender-9999'.
 * This ebuild is from a repository named 'lokal'
 * The complete build log is located at '/var/log/portage/media-gfx:blender-9999:20110909-231751.log'.
 * The ebuild environment file is located at '/var/tmp/portage/media-gfx/blender-9999/temp/environment'.
 * S: '/var/tmp/portage/media-gfx/blender-9999/work/blender'
Comment 236 Shannon 2011-09-10 15:58:28 UTC
Created attachment 286065 [details, diff]
blender-2.5-eigen.patch

Update patch to match new enteries in SConscript for Recast Navigation.
Comment 237 Shannon 2011-09-10 15:59:20 UTC
Created attachment 286067 [details, diff]
blender-2.5-glew.patch

Update patch to match new enteries in SConscript for Recast Navigation.
Comment 238 Sebastian Parborg 2011-09-11 21:38:42 UTC
Created attachment 286175 [details, diff]
Fixed some minor changes that happended in the scons files

There seems like there was even more changes to the glew/eigen stuff that needs the patches to be updated once more.
Comment 239 Sebastian Parborg 2011-09-11 21:39:33 UTC
Created attachment 286177 [details, diff]
updated glew patch

The glew patch
Comment 240 brothermechanic 2011-09-16 05:45:45 UTC
For me, new blender builds without link to python? and there is not interface buttons
ps: blender-cycles builds fine
why?
Comment 241 Shannon 2011-09-16 11:24:11 UTC
(In reply to comment #240)
> For me, new blender builds without link to python? and there is not interface
> buttons
> ps: blender-cycles builds fine
> why?

I just recompiled and it works just fine. Everything is there. I will need more information to help you figure it out.

Just a stab in the dark though, are you running blender-2.5 or blender-bin-2.5 on the command line? The first one is a script that sets up the environment and is what you should use.
Comment 242 brothermechanic 2011-09-17 04:56:32 UTC
Don't... anyway
http://s54.radikal.ru/i143/1109/ca/1ec2d81524b5.jpg
i think /usr/bin/blender-2.5 can't find python
This is good i have nice working cycles! 
Thank you anyway
Comment 243 Shannon 2011-09-17 11:05:01 UTC
(In reply to comment #242)


The picture is what I expected from your description. It doesn't show me anything new though. 

Which versions of Python do you have installed? Where are they installed? Are there any problems in the configure phase when you merge Blender? Do you have Blender or Python installed to a custom directory?

The Blender svn ebuild uses scons and a hard-coded path to both Python (/usr/lib/python3.2/) and the scripts and add-ons (/usr/share/blender/2.5) that allow Blender to work. The Blender Cycles ebuild uses CMake which uses a modules script to find the actual location of your Python install and uses that. The Cycles ebuild does use a hard-coded path to the scripts and add-ons (/usr/share/blender-cycles/2.5).

Since Cycles works and svn does not, the location of your Python install or the location of scripts and add-ons is different than what Blender expects.

Also if you run blender-2.5 from a terminal do you get any errors?
Comment 244 brothermechanic 2011-09-27 11:33:55 UTC
sorry for late post
I run 
$ blender-2.5 
and get this log
http://paste.org.ru/?d9tdjn
Why blender-2.5 start same as blender-bin-2.5 ??? (withount IU text)
Comment 245 brothermechanic 2011-10-22 04:55:21 UTC
Hi, Shannon
Can you help me?
Please, create ebuild on cmake compiling, because i can't build blender with right environment on scons...
With respect
brothermechanic
Thank you...
Comment 246 Martin Vala 2011-10-22 05:03:23 UTC
Hi All,

i would like to ask. Can we have lates files in some overlay whcih sw can sync with layman?

Ciao

Martin
Comment 247 Martin Vala 2011-10-22 22:41:48 UTC
Hi All,

i added blender-9999 and also created blender-2.60 in my overlay.

layman -a alice

Give it a try.

Ciao

Martin
Comment 248 tman 2011-11-04 11:52:39 UTC
(In reply to comment #247)
> Hi All,
> 
> i added blender-9999 and also created blender-2.60 in my overlay.
> 
> layman -a alice
> 
> Give it a try.
> 
> Ciao
> 
> Martin

could u please also add opencollada to your overlay.

thanks
Comment 249 tman 2011-11-04 11:53:25 UTC
(In reply to comment #247)
> Hi All,
> 
> i added blender-9999 and also created blender-2.60 in my overlay.
> 
> layman -a alice
> 
> Give it a try.
> 
> Ciao
> 
> Martin

add: 

https://bugs.gentoo.org/show_bug.cgi?id=372507
Comment 250 Martin Vala 2011-11-04 12:13:08 UTC
(In reply to comment #249)
> (In reply to comment #247)
> > Hi All,
> > 
> > i added blender-9999 and also created blender-2.60 in my overlay.
> > 
> > layman -a alice
> > 
> > Give it a try.
> > 
> > Ciao
> > 
> > Martin
> 
> add: 
> 
> https://bugs.gentoo.org/show_bug.cgi?id=372507

Done.

But when i wanted to compile i have same error as last comment at bug you mentioned above

Ciao

Martin
Comment 251 tman 2011-11-04 13:21:36 UTC
> https://bugs.gentoo.org/show_bug.cgi?id=372507
> 
> Done.
> 
> But when i wanted to compile i have same error as last comment at bug you
> mentioned above
> 
> Ciao
> 
> Martin

so we have to wait untill someone could fix it. maybe the @shannon :))
Comment 252 Miroslav Šulc gentoo-dev 2011-11-08 16:35:43 UTC
i tried to compile blender-9999 from alice overlay but it does not compile for some time now. at lease glew and eigen patches do not apply anymore. also, blender-9999 now depends on eigen3 (older blender depends on eigen2). maybe someone would be so kind and could fix these issues so blender-9999 compiles again.
Comment 253 Shannon 2011-11-09 23:04:09 UTC
Created attachment 292059 [details]
blender-9999.ebuild

Fixes path for 2.6 version
Comment 254 Shannon 2011-11-09 23:05:52 UTC
Created attachment 292061 [details, diff]
blender-2.6-bmake.patch

Renamed to match 2.6 slot.
Comment 255 Shannon 2011-11-09 23:06:38 UTC
Created attachment 292063 [details, diff]
blender-2.6-doxygen.patch

Renamed to match 2.6 slot.
Comment 256 Shannon 2011-11-09 23:08:10 UTC
Created attachment 292065 [details, diff]
blender-2.6-eigen.patch

Renamed to match 2.6 slot.
Updated for Eigen3.
Comment 257 Shannon 2011-11-09 23:09:28 UTC
Created attachment 292067 [details, diff]
blender-2.6-glew.patch

Renamed to match 2.6 slot.
Fixed patch to match new includes.
Comment 258 Shannon 2011-11-09 23:10:02 UTC
Created attachment 292069 [details, diff]
blender-2.6-linux3.patch

Renamed to match 2.6 slot.
Comment 259 Shannon 2011-11-09 23:11:06 UTC
Created attachment 292071 [details, diff]
blender-2.6-opencollada_includes.patch

Renamed to match 2.6 slot.
Comment 260 Martin Vala 2011-11-10 08:58:53 UTC
(In reply to comment #259)
> Created attachment 292071 [details, diff]
> blender-2.6-opencollada_includes.patch
> 
> Renamed to match 2.6 slot.

Hi All,

i am very busy these days. I will try to update alice overlay tomorrow.

Ciao

Martin
Comment 261 Tim 2011-11-10 22:51:32 UTC
Looks like there is a new dependency as well.

https://sites.google.com/site/openimageio/

There is a version in portage and .. it works.

media-libs/openimageio allows blender to finish linking.

Thanks for all the updates Shannon.
Comment 262 Tim 2011-11-10 23:03:57 UTC
Looks like there is a new dependency as well.

https://sites.google.com/site/openimageio/

There is a version in portage and .. it works.

media-libs/openimageio allows blender to finish linking.

Thanks for all the updates Shannon.
Comment 263 Shannon 2011-11-11 00:37:50 UTC
Created attachment 292169 [details]
blender-9999.ebuild

Added dependency for media-libs/openimageio. Thanks Tim for the reminder.
Comment 264 tman 2011-11-30 09:19:21 UTC
i got this error :(
│ERROR: unpack                                                                                                                                                                                                                         │
│ERROR: media-gfx/blender-9999 failed (unpack phase):                                                                                                                                                                                  │
│  subversion: can't fetch to /usr/portage/distfiles/svn-src/blender/blender from https://svn.blender.org/svnroot/bf-blender/trunk/blender.                                                                                            │
│                                                                                                                                                                                                                                      │
│Call stack:                                                                                                                                                                                                                           │
│    ebuild.sh, line   84:  Called src_unpack                                                                                                                                                                                          │
│  environment, line 5598:  Called subversion_fetch                                                                                                                                                                                    │
│  environment, line 5861:  Called die                                                                                                                                                                                                 │
│The specific snippet of code:                                                                                                                                                                                                         │
│              ${ESVN_FETCH_CMD} ${options} "${repo_uri}" || die "${ESVN}: can't fetch to ${wc_path} from ${repo_uri}.";                                                                                                               │
│
Comment 265 Shannon 2011-12-01 03:07:46 UTC
(In reply to comment #264)

It updated and compiled fine for me today. Can you get to the address from a browser?
Comment 266 tman 2011-12-02 10:03:13 UTC
(In reply to comment #265)
> (In reply to comment #264)
> 
> It updated and compiled fine for me today. Can you get to the address from a
> browser?

well i found this bug . this is the cuprit

https://bugs.gentoo.org/show_bug.cgi?id=392881
Comment 267 tman 2011-12-06 11:41:28 UTC
so i have now clue whats wrong, but i get only errors: :(




Error during set creation: Could not import 'smartliverebuild.sets.SmartLiveRebuildSet' for section 'smart-live-rebuild'

 * IMPORTANT: 6 news items need reading for repository 'gentoo'.
 * Use eselect news to read news items.

Calculating dependencies... done!
>>> Verifying ebuild manifests
>>> Emerging (1 of 1) media-gfx/blender-9999 from lokal
>>> Failed to emerge media-gfx/blender-9999, Log file:
>>>  '/var/log/portage/media-gfx:blender-9999:20111206-113937.log'
>>> Jobs: 0 of 1 complete, 1 failed                 Load avg: 0.12, 0.54, 0.73
 * Package:    media-gfx/blender-9999
 * Repository: lokal
 * USE:        amd64 collada contrib dds elbeem elibc_glibc ffmpeg fftw game-engine iconv jack jpeg2k kernel_linux lcms linguas_de linguas_en multilib openal openexr openmp player redcode sdl sndfile sse tweak-mode userland_GNU zlib
 * FEATURES:   preserve-libs sandbox
>>> Unpacking source...
 * subversion check out start -->
 *      repository: https://svn.blender.org/svnroot/bf-blender/trunk/blender
svn: E175002: Unable to connect to a repository at URL 'https://svn.blender.org/svnroot/bf-blender/trunk/blender'
svn: E175002: OPTIONS of 'https://svn.blender.org/svnroot/bf-blender/trunk/blender': Certificate verification error: signed using insecure algorithm (https://svn.blender.org)
 * ERROR: media-gfx/blender-9999 failed (unpack phase):
 *   subversion: can't fetch to /usr/portage/distfiles/svn-src/blender/blender from https://svn.blender.org/svnroot/bf-blender/trunk/blender.
 * 
 * Call stack:
 *     ebuild.sh, line   84:  Called src_unpack
 *   environment, line 5606:  Called subversion_fetch
 *   environment, line 5869:  Called die
 * The specific snippet of code:
 *               ${ESVN_FETCH_CMD} ${options} "${repo_uri}" || die "${ESVN}: can't fetch to ${wc_path} from ${repo_uri}.";
 * 
 * If you need support, post the output of 'emerge --info =media-gfx/blender-9999',
 * the complete build log and the output of 'emerge -pqv =media-gfx/blender-9999'.
 * This ebuild is from a repository named 'lokal'
 * The complete build log is located at '/var/log/portage/media-gfx:blender-9999:20111206-113937.log'.
 * The ebuild environment file is located at '/var/tmp/portage/media-gfx/blender-9999/temp/environment'.
 * S: '/var/tmp/portage/media-gfx/blender-9999/work/blender'

 * Messages for package media-gfx/blender-9999:
Comment 268 Shannon 2011-12-07 01:52:16 UTC
(In reply to comment #267)

You can try this: http://jamescrisp.org/2010/06/05/workaround-for-subversion-svn-certificate-verification-error-insecure-algorithm-on-ubuntu-1004-lucid-lynx/

or I just downgraded from app-misc/ca-certificates-20111025
Comment 269 tman 2011-12-07 09:27:55 UTC
(In reply to comment #268)
> (In reply to comment #267)
> 
> You can try this:
> http://jamescrisp.org/2010/06/05/workaround-for-subversion-svn-certificate-verification-error-insecure-algorithm-on-ubuntu-1004-lucid-lynx/
> 
> or I just downgraded from app-misc/ca-certificates-20111025

thanks you very much for this advice. i have made a bug report for gentoo too according to this app-misc/ca-certificates-20111025.

confirm it if u like.

https://bugs.gentoo.org/show_bug.cgi?id=393485
Comment 270 brothermechanic 2011-12-14 17:02:27 UTC
Please add suport for cycles render engine...
With respect
Brothermechanic
Comment 271 Shannon 2011-12-15 00:35:51 UTC
(In reply to comment #270)
> Please add suport for cycles render engine...

Cycles is already there. I haven't figured out how to enable the gpu part but the cpu rendering works fine. You have to select it on the info bar where is says Blender Render or Blender Game or now Cycles Render.

I have a new job and not a lot of time. I will try to get it this weekend.

Good luck.
Comment 272 brothermechanic 2011-12-15 04:51:26 UTC
Cycles is already there. I haven't figured out how to enable the gpu part but
the cpu rendering works fine. You have to select it on the info bar where is
says Blender Render or Blender Game or now Cycles Render.

I have a new job and not a lot of time. I will try to get it this weekend.

Good luck.

I haven't to enable it ((( there is not cycles into bar
In addons window written "Missing script files ... cycles!"

http://s017.radikal.ru/i438/1112/83/357e335d5fb5.png
Comment 273 brothermechanic 2011-12-17 07:05:02 UTC
With manual cmake building i have cycles
Shannon, please, can you create ebuild with cmake building? 
(like blender-cycles-X.ebuild)
Comment 274 AaronD 2011-12-26 07:16:20 UTC
Created attachment 296945 [details]
Blender with Cycles using cmake

I modified Shannon's Blender-Cycles ebuild to install Blender-9999 with Cycles.  It uses cmake to build it.  The ebuild still needs some work (should there be a cycles USE flag?), but it does install Blender--at least it does here.  I also added an oceansim USE flag.

I await your feedback.  Enjoy!
Comment 275 Tim 2011-12-26 15:19:52 UTC
(In reply to comment #274)
> Created attachment 296945 [details]
> Blender with Cycles using cmake
>  
>  but it does install Blender--at least it does here.

Doesn't work here.  Dies with;

../../lib/libextern_redcode.a(codec.c.o): In function `redcode_decode_video_raw':
codec.c:(.text+0xa3): undefined reference to `opj_set_default_decoder_parameters'
codec.c:(.text+0xd3): undefined reference to `opj_create_decompress'
< plus a few more undefined references >


redcode is not one of my set use flags

It also appears that it's trying to build blenderplayer.  Also a use flag that is not set.  game-engine is also not set which might force blenderplayer

With just a quick glance through the ebuild it looks like there is no code to handle most of the use flags, but it is a start.

  
Deleting the following lines allowed it to build for me.

$(cmake-utils_use_with redcode IMAGE_REDCODE)
$(cmake-utils_use_with player PLAYER)
Comment 276 Shannon 2011-12-26 16:37:35 UTC
(In reply to comment #274)

Sorry I haven't been able to help much lately. New job; no time. I did try to start porting my Cycles ebuild to straight Blender, but they changed most of the CMake flags for the different build options. I was going through all the CMakeLists.txt to find the options.

Thank you AaronD for giving it a shot. I can probably help more by finding and fixes issues than trying to build one from scratch. So keep trying!
Comment 277 AaronD 2011-12-27 08:04:19 UTC
Created attachment 297059 [details]
blender-9999.ebuild with Cycles using cmake

I corrected some mistakes and uploaded a new ebuild.

Tim, I don't have the problems with the USE flags that you have as seen here:

[ebuild   R    ] media-gfx/blender-9999  USE="contrib cuda dds elbeem fftw openexr openmp sdl sm_21 sse -collada -eltopo -ffmpeg -game-engine -intl -jack -jpeg2k -ndof -oceansim* -openal -player -redcode* -sm_10 -sm_11 -sm_12 -sm_13 -sm_20 -sndfile" LINGUAS="en -ar -bg -ca -cs -de -el -es -fi -fr -hr -it -ja -ko -nl -pl -pt_BR -ro -ru -sr -sv -uk -zh_CN" 0 kB [1]
* Blender Configuration *

  Build Options:
   * WITH_GAMEENGINE        OFF
   * WITH_PLAYER            OFF
   * WITH_BULLET            ON
   * WITH_IK_ITASC          ON
   * WITH_OPENCOLLADA       OFF
   * WITH_FFTW3             ON
   * WITH_INTERNATIONAL     ON
   * WITH_INPUT_NDOF        OFF
   * WITH_CYCLES            ON

  Compiler Options:
   * WITH_BUILDINFO         ON
   * WITH_OPENMP            ON
   * WITH_RAYOPTIMIZATION   ON

  System Options:
   * WITH_INSTALL_PORTABLE  OFF
   * WITH_X11_XINPUT        ON
   * WITH_BUILTIN_GLEW      OFF

  Image Formats:
   * WITH_IMAGE_CINEON      ON
   * WITH_IMAGE_DDS         ON
   * WITH_IMAGE_HDR         ON
   * WITH_IMAGE_OPENEXR     ON
   * WITH_IMAGE_OPENJPEG    OFF
   * WITH_IMAGE_REDCODE     OFF
   * WITH_IMAGE_TIFF        ON

  Audio:
   * WITH_OPENAL            OFF
   * WITH_SDL               ON
   * WITH_JACK              OFF
   * WITH_CODEC_FFMPEG      OFF
   * WITH_CODEC_SNDFILE     OFF

  Compression:
   * WITH_LZMA              ON
   * WITH_LZO               ON

  Python:
   * WITH_PYTHON_INSTALL    OFF
   * WITH_PYTHON_MODULE     OFF
   * WITH_PYTHON_SAFETY     OFF

  Modifiers:
   * WITH_MOD_BOOLEAN       ON
   * WITH_MOD_DECIMATE      ON
   * WITH_MOD_FLUID         ON
   * WITH_MOD_OCEANSIM      OFF

vs.

[ebuild   R    ] media-gfx/blender-9999  USE="contrib cuda dds elbeem fftw oceansim openexr openmp player* redcode sdl sm_21 sse -collada -eltopo -ffmpeg -game-engine -intl -jack -jpeg2k -ndof -openal -sm_10 -sm_11 -sm_12 -sm_13 -sm_20 -sndfile" LINGUAS="en -ar -bg -ca -cs -de -el -es -fi -fr -hr -it -ja -ko -nl -pl -pt_BR -ro -ru -sr -sv -uk -zh_CN" 0 kB [1]
* Blender Configuration *

  Build Options:
   * WITH_GAMEENGINE        ON
   * WITH_PLAYER            ON
   * WITH_BULLET            ON
   * WITH_IK_ITASC          ON
   * WITH_OPENCOLLADA       OFF
   * WITH_FFTW3             ON
   * WITH_INTERNATIONAL     ON
   * WITH_INPUT_NDOF        OFF
   * WITH_CYCLES            ON

  Compiler Options:
   * WITH_BUILDINFO         ON
   * WITH_OPENMP            ON
   * WITH_RAYOPTIMIZATION   ON

  System Options:
   * WITH_INSTALL_PORTABLE  OFF
   * WITH_X11_XINPUT        ON
   * WITH_BUILTIN_GLEW      OFF

  Image Formats:
   * WITH_IMAGE_CINEON      ON
   * WITH_IMAGE_DDS         ON
   * WITH_IMAGE_HDR         ON
   * WITH_IMAGE_OPENEXR     ON
   * WITH_IMAGE_OPENJPEG    ON
   * WITH_IMAGE_REDCODE     ON
   * WITH_IMAGE_TIFF        ON

  Audio:
   * WITH_OPENAL            OFF
   * WITH_SDL               ON
   * WITH_JACK              OFF
   * WITH_CODEC_FFMPEG      OFF
   * WITH_CODEC_SNDFILE     OFF

  Compression:
   * WITH_LZMA              ON
   * WITH_LZO               ON

  Python:
   * WITH_PYTHON_INSTALL    OFF
   * WITH_PYTHON_MODULE     OFF
   * WITH_PYTHON_SAFETY     OFF

  Modifiers:
   * WITH_MOD_BOOLEAN       ON
   * WITH_MOD_DECIMATE      ON
   * WITH_MOD_FLUID         ON
   * WITH_MOD_OCEANSIM      ON

Can anyone else confirm one way or the other?
Comment 278 Tim 2011-12-28 17:33:24 UTC
Works fine now AaronD.  redcode still won't build, but the -redcode use flag is respected.

Thanks for taking the time to look at this.
Comment 279 tman 2012-01-29 09:02:28 UTC
Calculating dependencies... done!
[ebuild  N     ] media-libs/opencollada-9999::lokal  0 kB
[ebuild  NS    ] dev-cpp/eigen-2.0.17::gentoo [3.0.4::science] USE="-debug -doc -examples" 360 kB
[ebuild  N     ] sci-libs/hdf5-1.8.8::gentoo  USE="threads zlib -cxx -debug -examples -fortran -fortran2003 -mpi -static-libs -szip" 5,691 kB
[ebuild  N     ] media-libs/openimageio-0.10.2::gentoo  3,452 kB
[ebuild  N     ] sci-physics/bullet-2.79-r1::gentoo  USE="extras -doc -double-precision -examples" 7,540 kB
[ebuild  N     ] media-video/ffmpeg-0.10::gentoo  USE="X aac alsa ass bzip2 cdio dirac encode faac gnutls hardcoded-tables ieee1394 jack jpeg2k mmx mmxext mp3 network openal oss pic pulseaudio qt-faststart schroedinger sdl speex ssse3 theora threads truetype vorbis x264 xvid zlib -3dnow -3dnowext -aacplus (-altivec) -amr -avx -bindist (-celt) -cpudetection -debug -doc -frei0r -gsm (-iwmmxt) -libv4l -modplug (-neon) -openssl -rtmp -static-libs -test -v4l -vaapi -vdpau (-vis) -vpx" 5,644 kB
[ebuild  N     ] media-gfx/blender-9999::lokal  USE="collada contrib dds elbeem ffmpeg fftw game-engine jack jpeg2k openal openexr openmp player redcode sdl sndfile sse -cuda -eltopo -intl -ndof -oceansim -sm_10 -sm_11 -sm_12 -sm_13 -sm_20 -sm_21" LINGUAS="de en -ar -bg -ca -cs -el -es -fi -fr -hr -it -ja -ko -nl -pl -pt_BR -ro -ru -sr -sv -uk -zh_CN" 0 kB
[blocks B      ] media-video/ffmpeg ("media-video/ffmpeg" is blocking media-video/libav-0.8)

Total: 7 packages (6 new, 1 in new slot), Size of downloads: 22,685 kB
Conflict: 1 block (1 unsatisfied)

 * Error: The above package list contains packages which cannot be
 * installed at the same time on the same system.

  (media-video/libav-0.8::gentoo, installed) pulled in by
    media-video/libav required by @selected

  (media-video/ffmpeg-0.10::gentoo, ebuild scheduled for merge) pulled in by
    >=media-video/ffmpeg-0.5[x264,xvid,mp3,encode,theora,jpeg2k] required by (media-gfx/blender-9999::lokal, ebuild scheduled for merge)
    >=media-video/ffmpeg-0.5[x264,xvid,mp3,encode,theora] required by (media-gfx/blender-9999::lokal, ebuild scheduled for merge)


#############################

there is away to solve this conflict? because libav and ffmpeg at the same is not needed. but i would like to have libav only because i am using mplayer2
Comment 280 AaronD 2012-01-30 07:25:50 UTC
The problem I am having is that Blender will not build against libav.  I am investigating a fix.  There is a patch for Blender-2.60 in the main Portage tree, but it for libav-0.7 and addresses an issue that is different than what I am seeing with Blender-9999 (2.61) and libav-0.8.
Comment 281 AaronD 2012-02-10 03:50:36 UTC
Created attachment 301437 [details]
blender-9999.ebuild
Comment 282 AaronD 2012-02-10 03:55:52 UTC
Created attachment 301439 [details, diff]
blender-libav.patch

I updated the ebuild and posted a patch that will allow Blender to be used with libav.  I have not thoroughly tested it yet, but it at least compiles here.

Sorry for the wait!
Comment 283 AaronD 2012-02-10 03:59:26 UTC
Comment on attachment 301437 [details]
blender-9999.ebuild

Updated ebuild.  Use with patch below.
Comment 284 AaronD 2012-02-10 04:04:29 UTC
Comment on attachment 301437 [details]
blender-9999.ebuild

I updated the ebuild and posted a patch that will allow Blender to be used with
libav.  I have not thoroughly tested it yet, but it at least compiles here.

Enjoy and sorry for the wait!
Comment 285 tman 2012-02-14 22:57:12 UTC
(In reply to comment #284)
> Comment on attachment 301437 [details]
> blender-9999.ebuild
> 
> I updated the ebuild and posted a patch that will allow Blender to be used with
> libav.  I have not thoroughly tested it yet, but it at least compiles here.
> 
> Enjoy and sorry for the wait!

thanks you very much.

i still have problem to get it emerge, because the workaround for CA-certificate dont work.

[32;01m * [39;49;00mPackage:    media-gfx/blender-9999
[32;01m * [39;49;00mRepository: lokal
[32;01m * [39;49;00mUSE:        amd64 collada contrib dds elbeem elibc_glibc fftw game-engine jack jpeg2k kernel_linux linguas_de linguas_en multilib openal openexr openmp player redcode sdl sndfile sse userland_GNU
[32;01m * [39;49;00mFEATURES:   preserve-libs sandbox
>>> Unpacking source...
 [32;01m*[0m subversion check out start -->
 [32;01m*[0m      repository: https://svn.blender.org/svnroot/bf-blender/trunk/blender
svn: E175002: Unable to connect to a repository at URL 'https://svn.blender.org/svnroot/bf-blender/trunk/blender'
svn: E175002: OPTIONS of 'https://svn.blender.org/svnroot/bf-blender/trunk/blender': Certificate verification error: signed using insecure algorithm (https://svn.blender.org)
 [31;01m*[0m ERROR: media-gfx/blender-9999 failed (unpack phase):
 [31;01m*[0m   subversion: can't fetch to /usr/portage/distfiles/svn-src/blender/blender from https://svn.blender.org/svnroot/bf-blender/trunk/blender.
 [31;01m*[0m 
 [31;01m*[0m Call stack:
 [31;01m*[0m     ebuild.sh, line   85:  Called src_unpack
 [31;01m*[0m   environment, line 3025:  Called subversion_fetch
 [31;01m*[0m   environment, line 3243:  Called die
 [31;01m*[0m The specific snippet of code:
 [31;01m*[0m               ${ESVN_FETCH_CMD} ${options} "${repo_uri}" || die "${ESVN}: can't fetch to ${wc_path} from ${repo_uri}.";
 [31;01m*[0m 
 [31;01m*[0m If you need support, post the output of 'emerge --info =media-gfx/blender-9999',
 [31;01m*[0m the complete build log and the output of 'emerge -pqv =media-gfx/blender-9999'.
 [31;01m*[0m This ebuild is from a repository named 'lokal'
 [31;01m*[0m The complete build log is located at '/var/log/portage/media-gfx:blender-9999:20120214-223749.log'.
 [31;01m*[0m The ebuild environment file is located at '/var/tmp/portage/media-gfx/blender-9999/temp/environment'.
 [31;01m*[0m S: '/var/tmp/portage/media-gfx/blender-9999/work/blender-9999'
Comment 286 AaronD 2012-02-15 05:44:22 UTC
(In reply to comment #285)

> i still have problem to get it emerge, because the workaround for
> CA-certificate dont work.

I must be very luck for once.  I have not had this problem.  I'm using:
net-libs/gnutls-2.10.5
app-misc/ca-certificates-20111025

and just to be complete:
dev-libs/openssl-1.0.0g
Comment 287 tman 2012-02-29 20:54:52 UTC
(In reply to comment #286)
> (In reply to comment #285)
> 
> > i still have problem to get it emerge, because the workaround for
> > CA-certificate dont work.
> 
> I must be very luck for once.  I have not had this problem.  I'm using:
> net-libs/gnutls-2.10.5
> app-misc/ca-certificates-20111025
> 
> and just to be complete:
> dev-libs/openssl-1.0.0g

now i have this error:

>> Configuring source in /var/tmp/portage/media-gfx/blender-9999/work/blender-9999 ...
>>> Working in BUILD_DIR: "/var/tmp/portage/media-gfx/blender-9999/work/blender-9999_build"
cmake --no-warn-unused-cli -C /var/tmp/portage/media-gfx/blender-9999/temp/gentoo_common_config.cmake -DCMAKE_INSTALL_PREFIX=/usr -DWITH_BUILTIN_GLEW=OFF -DWITH_PYTHON_INSTALL=OFF -DWITH_BINRELOC=OFF -DWITH_INSTALL_PORTABLE=OFF -DCMAKE_INSTALL_PREFIX=/var/tmp/portage/media-gfx/blender-9999/image/usr -DWITH_PLAYER=ON -DWITH_MOD_FLUID=ON -DWITH_SDL=ON -DWITH_CODEC_SNDFILE=ON -DWITH_IMAGE_OPENEXR=ON -DWITH_IMAGE_DDS=ON -DWITH_FFTW3=ON -DWITH_OPENMP=ON -DWITH_OPENAL=ON -DWITH_CODEC_FFMPEG=OFF -DWITH_RAYOPTIMIZATION=ON -DWITH_IMAGE_REDCODE=ON -DWITH_MOD_CLOTH_ELTOPO=OFF -DWITH_JACK=ON -DWITH_OPENCOLLADA=ON -DWITH_INPUT_NDOF=OFF -DWITH_MOD_OCEANSIM=OFF -DWITH_GAMEENGINE=ON -DWITH_IMAGE_OPENJPEG=ON -DCMAKE_BUILD_TYPE=Gentoo -DCMAKE_INSTALL_DO_STRIP=OFF -DCMAKE_USER_MAKE_RULES_OVERRIDE=/var/tmp/portage/media-gfx/blender-9999/temp/gentoo_rules.cmake  /var/tmp/portage/media-gfx/blender-9999/work/blender-9999
Not searching for unused variables given on the command line.
loading initial cache file /var/tmp/portage/media-gfx/blender-9999/temp/gentoo_common_config.cmake
-- The C compiler identification is GNU
-- The CXX compiler identification is GNU
-- Check for working C compiler: /usr/bin/x86_64-pc-linux-gnu-gcc
-- Check for working C compiler: /usr/bin/x86_64-pc-linux-gnu-gcc -- works
-- Detecting C compiler ABI info
-- Detecting C compiler ABI info - done
-- Check for working CXX compiler: /usr/bin/x86_64-pc-linux-gnu-g++
-- Check for working CXX compiler: /usr/bin/x86_64-pc-linux-gnu-g++ -- works
-- Detecting CXX compiler ABI info
-- Detecting CXX compiler ABI info - done
CMake Error at CMakeLists.txt:290 (message):
  WITH_IMAGE_REDCODE requires WITH_IMAGE_OPENJPEG and WITH_CODEC_FFMPEG


-- Configuring incomplete, errors occurred!
 * ERROR: media-gfx/blender-9999 failed (configure phase):
 *   cmake failed
 * 
 * Call stack:
 *     ebuild.sh, line   85:  Called src_configure
 *   environment, line 3007:  Called cmake-utils_src_configure
 *   environment, line  877:  Called _execute_optionaly 'src_configure'
 *   environment, line  373:  Called enable_cmake-utils_src_configure
 *   environment, line 1206:  Called die
 * The specific snippet of code:
 *       "${CMAKE_BINARY}" "${cmakeargs[@]}" "${CMAKE_USE_DIR}" || die "cmake failed";
 * 
 * If you need support, post the output of 'emerge --info =media-gfx/blender-9999',
 * the complete build log and the output of 'emerge -pqv =media-gfx/blender-9999'.
 * This ebuild is from a repository named 'lokal'
 * The complete build log is located at '/var/log/portage/media-gfx:blender-9999:20120229-215357.log'.
Comment 288 AaronD 2012-03-01 07:03:32 UTC
Created attachment 303799 [details]
Fixes redcode use flag dependencies

Sorry, I thought I fixed that problem.  I just didn't fix it all the way. :)
Comment 289 tman 2012-03-04 22:24:12 UTC
(In reply to comment #288)
> Created attachment 303799 [details]
> Fixes redcode use flag dependencies
> 
> Sorry, I thought I fixed that problem.  I just didn't fix it all the way. :)

works. thanks u very much
Comment 290 tman 2012-03-29 13:50:37 UTC
i have now this problem:

/var/tmp/portage/media-gfx/blender-9999/work/blender-9999/source/blender/bmesh/intern/bmesh_walkers_impl.c:535:7: warning: ‘stopi’ may be used uninitialized in this function
[ 23%] [32mBuilding C object source/blender/blenlib/CMakeFiles/bf_blenlib.dir/intern/rct.c.o
[0m[ 23%] [32mBuilding C object source/blender/blenlib/CMakeFiles/bf_blenlib.dir/intern/scanfill.c.o
[0m[ 23%] [32mBuilding C object source/blender/blenlib/CMakeFiles/bf_blenlib.dir/intern/smallhash.c.o
[0m[ 23%] [32mBuilding C object source/blender/blenlib/CMakeFiles/bf_blenlib.dir/intern/storage.c.o
[0m[31m[1mLinking C static library ../../../lib/libbf_bmesh.a
[0m[ 23%] [32mBuilding C object source/blender/blenlib/CMakeFiles/bf_blenlib.dir/intern/string.c.o
[0m[ 23%] Built target bf_bmesh
[ 23%] [ 23%] [32mBuilding C object source/blender/blenlib/CMakeFiles/bf_blenlib.dir/intern/string_cursor_utf8.c.o
[0m[32mBuilding C object source/blender/blenlib/CMakeFiles/bf_blenlib.dir/intern/string_utf8.c.o
[0m[ 23%] [32mBuilding C object source/blender/blenlib/CMakeFiles/bf_blenlib.dir/intern/threads.c.o
[0m[ 23%] [32mBuilding C object source/blender/blenlib/CMakeFiles/bf_blenlib.dir/intern/time.c.o
[0m[ 23%] [32mBuilding C object source/blender/blenlib/CMakeFiles/bf_blenlib.dir/intern/uvproject.c.o
[0m[ 23%] [ 23%] [32mBuilding C object source/blender/blenlib/CMakeFiles/bf_blenlib.dir/intern/voxel.c.o
[0m[32mBuilding C object source/blender/blenlib/CMakeFiles/bf_blenlib.dir/intern/winstuff.c.o
[0m[31m[1mLinking C static library ../../../lib/libbf_blenlib.a
[0m[ 23%] Built target bf_blenlib
make: *** [all] Error 2
 [31;01m*[0m ERROR: media-gfx/blender-9999 failed (compile phase):
 [31;01m*[0m   emake failed
Comment 291 brothermechanic 2012-04-02 04:54:27 UTC
2AaronD
please add 'ffmpeg' USE flag to ebuild with cmake
Comment 292 AaronD 2012-04-05 23:53:41 UTC
Created attachment 307951 [details]
blender-9999.ebuild with ffmpeg is back

I put the ffmpeg USE flag back in the ebuild as requested.  I'm sorry it took so long.  I had to learn the best technique for dealing with conflicting USE flags.  Thank you EAPI 4!

tman, I'm sure you have tried to emerge Blender since submitting your last report.  If it is still failing, post back with your emerge -pv blender.
Comment 293 tman 2012-04-08 08:28:58 UTC
(In reply to comment #292)
> Created attachment 307951 [details]
> blender-9999.ebuild with ffmpeg is back
> 
> I put the ffmpeg USE flag back in the ebuild as requested.  I'm sorry it
> took so long.  I had to learn the best technique for dealing with
> conflicting USE flags.  Thank you EAPI 4!
> 
> tman, I'm sure you have tried to emerge Blender since submitting your last
> report.  If it is still failing, post back with your emerge -pv blender.

hi i have problem with the ebuild for blender-9999 with  libav instead of ffmpeg.
it still cause problem

here is the full error log: http://paste.pocoo.org/show/577832/

it would be nice if u can fix this problem.

i also tried the new ebuild with ffmpeg USE. but it cause this conflict:

emerge -1 blender

 * IMPORTANT: 7 news items need reading for repository 'gentoo'.
 * Use eselect news to read news items.

Calculating dependencies |

!!! Problem resolving dependencies for media-gfx/blender                                                                                                                                                                              ... done!

!!! The ebuild selected to satisfy "blender" has unmet requirements.
- media-gfx/blender-9999::lokal USE="collada contrib cuda dds elbeem eltopo ffmpeg fftw game-engine intl jack jpeg2k libav (multilib) oceansim openal openexr openmp player redcode sdl sndfile sse -ndof -sm_10 -sm_11 -sm_12 -sm_13 -sm_20 -sm_21" LINGUAS="de en -ar -bg -ca -cs -el -es -fi -fr -hr -it -ja -ko -nl -pl -pt_BR -ro -ru -sr -sv -uk -zh_CN"

  The following REQUIRED_USE flag constraints are unsatisfied:
    libav? ( !ffmpeg ) ffmpeg? ( !libav ) redcode? ( exactly-one-of ( libav ffmpeg ) )


 * IMPORTANT: 7 news items need reading for repository 'gentoo'.
 * Use eselect news to read news items.
Comment 294 Emilian Huminiuc 2012-04-08 09:20:32 UTC
That build error is unrelated to ffmpeg. Disable the eltopo use flag. 
As for the use error, select one of ffmpeg/libav (you can't have both flags enabled at the same time)
Comment 295 tman 2012-04-08 10:37:38 UTC
(In reply to comment #294)
> That build error is unrelated to ffmpeg. Disable the eltopo use flag. 
> As for the use error, select one of ffmpeg/libav (you can't have both flags
> enabled at the same time)

 emerge -uDN blender -av

 * IMPORTANT: 7 news items need reading for repository 'gentoo'.
 * Use eselect news to read news items.


These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild   R    ] media-gfx/blender-9999::lokal  USE="collada contrib cuda dds elbeem fftw game-engine intl jack jpeg2k libav oceansim openal openexr openmp player redcode sdl sndfile sse -eltopo* -ffmpeg% -ndof -sm_10 -sm_11 -sm_12 -sm_13 -sm_20 -sm_21" LINGUAS="de en -ar -bg -ca -cs -el -es -fi -fr -hr -it -ja -ko -nl -pl -pt_BR -ro -ru -sr -sv -uk -zh_CN" 0 kB

Total: 1 package (1 reinstall), Size of downloads: 0 kB

Would you like to merge these packages? [Yes/No] 

>>> Verifying ebuild manifests

>>> Emerging (1 of 1) media-gfx/blender-9999 from lokal
 * You have not chosen a CUDA kernel. It takes an extreamly long time
 * to compile all the CUDA kernels. Check http://www.nvidia.com/object/cuda_gpus.htm
 * for your gpu and enable the matching sm_?? use flag to save time.
>>> Unpacking source...
 * subversion update start -->
 *      repository: https://svn.blender.org/svnroot/bf-blender/trunk/blender
Updating '.':

Fetching external item into 'release/scripts/addons':
External at revision 3235.


Fetching external item into 'release/scripts/addons_contrib':
External at revision 3235.


Fetching external item into 'release/datafiles/locale':
External at revision 504.

At revision 45472.
 *    working copy: /usr/portage/distfiles/svn-src/blender/blender

 * subversion update start -->
 *      repository: https://svn.blender.org/svnroot/bf-extensions/contrib/py/scripts/addons
Updating '.':
At revision 3235.
 *    working copy: /usr/portage/distfiles/svn-src/blender/addons

>>> Source unpacked in /var/tmp/portage/media-gfx/blender-9999/work
>>> Preparing source in /var/tmp/portage/media-gfx/blender-9999/work/blender-9999 ...
 * Applying blender-desktop.patch ...                                                                                                                                                                                            [ ok ]
 * Applying blender-2.6-doxygen.patch ...                                                                                                                                                                                        [ ok ]
 * Removing bundled Eigen2 ...
rm: cannot remove ‘extern/Eigen2’: No such file or directory
 * Applying blender-2.6-eigen.patch ...                                                                                                                                                                                          [ ok ]
 * Applying blender-libav.patch ...                                                                                                                                                                                              [ ok ]
>>> Source prepared.
>>> Configuring source in /var/tmp/portage/media-gfx/blender-9999/work/blender-9999 ...
 * Forcing OpenJPEG as required by Redcode [+redcode]
/var/tmp/portage/media-gfx/blender-9999/temp/environment: line 2773: -DWITH_IMAGE_OPENJPEG=ON: command not found
>>> Working in BUILD_DIR: "/var/tmp/portage/media-gfx/blender-9999/work/blender-9999_build"
cmake --no-warn-unused-cli -C /var/tmp/portage/media-gfx/blender-9999/temp/gentoo_common_config.cmake -DCMAKE_INSTALL_PREFIX=/usr -DWITH_CYCLES_CUDA=ON -DCUDA_INCLUDES=/opt/cuda/include -DCUDA_LIBRARIES=/opt/cuda/lib64 -DCUDA_NVCC=/opt/cuda/bin/nvcc -DWITH_INTERNATIONAL=ON -DWITH_BUILTIN_GLEW=OFF -DWITH_PYTHON_INSTALL=OFF -DWITH_BINRELOC=OFF -DWITH_INSTALL_PORTABLE=OFF -DCMAKE_INSTALL_PREFIX=/var/tmp/portage/media-gfx/blender-9999/image/usr -DWITH_PLAYER=ON -DWITH_MOD_FLUID=ON -DWITH_SDL=ON -DWITH_CODEC_SNDFILE=ON -DWITH_IMAGE_OPENEXR=ON -DWITH_IMAGE_DDS=ON -DWITH_FFTW3=ON -DWITH_OPENMP=ON -DWITH_OPENAL=ON -DWITH_RAYOPTIMIZATION=ON -DWITH_IMAGE_REDCODE=ON -DWITH_IMAGE_OPENJPEG=ON -DWITH_CODEC_FFMPEG=ON -DWITH_CODEC_FFMPEG=OFF -DWITH_MOD_CLOTH_ELTOPO=OFF -DWITH_JACK=ON -DWITH_OPENCOLLADA=ON -DWITH_INPUT_NDOF=OFF -DWITH_MOD_OCEANSIM=ON -DWITH_GAMEENGINE=ON -DWITH_IMAGE_OPENJPEG=ON else mycmakeargs= -DWITH_CYCLES_CUDA=ON -DCUDA_INCLUDES=/opt/cuda/include -DCUDA_LIBRARIES=/opt/cuda/lib64 -DCUDA_NVCC=/opt/cuda/bin/nvcc -DWITH_INTERNATIONAL=ON -DWITH_BUILTIN_GLEW=OFF -DWITH_PYTHON_INSTALL=OFF -DWITH_BINRELOC=OFF -DWITH_INSTALL_PORTABLE=OFF -DCMAKE_INSTALL_PREFIX=/var/tmp/portage/media-gfx/blender-9999/image/usr -DWITH_PLAYER=ON -DWITH_MOD_FLUID=ON -DWITH_SDL=ON -DWITH_CODEC_SNDFILE=ON -DWITH_IMAGE_OPENEXR=ON -DWITH_IMAGE_DDS=ON -DWITH_FFTW3=ON -DWITH_OPENMP=ON -DWITH_OPENAL=ON -DWITH_RAYOPTIMIZATION=ON -DWITH_IMAGE_REDCODE=ON -DWITH_IMAGE_OPENJPEG=ON -DWITH_CODEC_FFMPEG=ON -DWITH_CODEC_FFMPEG=OFF -DWITH_MOD_CLOTH_ELTOPO=OFF -DWITH_JACK=ON -DWITH_OPENCOLLADA=ON -DWITH_INPUT_NDOF=OFF -DWITH_MOD_OCEANSIM=ON -DWITH_GAMEENGINE=ON -DCMAKE_BUILD_TYPE=Gentoo -DCMAKE_INSTALL_DO_STRIP=OFF -DCMAKE_USER_MAKE_RULES_OVERRIDE=/var/tmp/portage/media-gfx/blender-9999/temp/gentoo_rules.cmake  /var/tmp/portage/media-gfx/blender-9999/work/blender-9999
Not searching for unused variables given on the command line.
loading initial cache file /var/tmp/portage/media-gfx/blender-9999/temp/gentoo_common_config.cmake
-- The C compiler identification is GNU
-- The CXX compiler identification is GNU
-- Check for working C compiler: /usr/bin/x86_64-pc-linux-gnu-gcc
-- Check for working C compiler: /usr/bin/x86_64-pc-linux-gnu-gcc -- works
-- Detecting C compiler ABI info
-- Detecting C compiler ABI info - done
-- Check for working CXX compiler: /usr/bin/x86_64-pc-linux-gnu-g++
-- Check for working CXX compiler: /usr/bin/x86_64-pc-linux-gnu-g++ -- works
-- Detecting CXX compiler ABI info
-- Detecting CXX compiler ABI info - done
CMake Error at CMakeLists.txt:316 (message):
  WITH_IMAGE_REDCODE requires WITH_IMAGE_OPENJPEG and WITH_CODEC_FFMPEG


-- Configuring incomplete, errors occurred!
 * ERROR: media-gfx/blender-9999 failed (configure phase):
 *   cmake failed
 * 
 * Call stack:
 *     ebuild.sh, line   85:  Called src_configure
 *   environment, line 2775:  Called cmake-utils_src_configure
 *   environment, line  723:  Called _execute_optionaly 'src_configure'
 *   environment, line  320:  Called enable_cmake-utils_src_configure
 *   environment, line 1044:  Called die
 * The specific snippet of code:
 *       "${CMAKE_BINARY}" "${cmakeargs[@]}" "${CMAKE_USE_DIR}" || die "cmake failed";
 * 
 * If you need support, post the output of 'emerge --info =media-gfx/blender-9999',
 * the complete build log and the output of 'emerge -pqv =media-gfx/blender-9999'.
 * This ebuild is from a repository named 'lokal'
 * The complete build log is located at '/var/log/portage/media-gfx:blender-9999:20120408-123456.log'.
 * The ebuild environment file is located at '/var/tmp/portage/media-gfx/blender-9999/temp/environment'.
 * S: '/var/tmp/portage/media-gfx/blender-9999/work/blender-9999'

>>> Failed to emerge media-gfx/blender-9999, Log file:

>>>  '/var/log/portage/media-gfx:blender-9999:20120408-123456.log'

 * Messages for package media-gfx/blender-9999:
Comment 296 AaronD 2012-04-08 21:09:10 UTC
Created attachment 308237 [details]
blender-9999.ebuild added libav/ffmpeg selection logic

Give this one a try.

The eltopo problem looks like an upstream problem.
Comment 297 tman 2012-04-08 22:35:15 UTC
(In reply to comment #296)
> Created attachment 308237 [details]
> blender-9999.ebuild added libav/ffmpeg selection logic
> 
> Give this one a try.
> 
> The eltopo problem looks like an upstream problem.

thanks i tested the latest ebuild and it compiled all fine
Comment 298 tman 2012-04-17 23:04:54 UTC
>>> Source unpacked in /var/tmp/portage/media-gfx/blender-9999/work
>>> Preparing source in /var/tmp/portage/media-gfx/blender-9999/work/blender-9999 ...
 * Applying blender-desktop.patch ...

 * Failed Patch: blender-desktop.patch !
 *  ( /usr/portage/local/local-overlay/media-gfx/blender/files/blender-desktop.patch )
 * 
 * Include in your bugreport the contents of:
 * 
 *   /var/tmp/portage/media-gfx/blender-9999/temp/blender-desktop.patch.out

 * ERROR: media-gfx/blender-9999 failed (prepare phase):
 *   Failed Patch: blender-desktop.patch!
 * 
 * Call stack:
 *     ebuild.sh, line   85:  Called src_prepare
 *   environment, line 2791:  Called epatch '/usr/portage/local/local-overlay/media-gfx/blender/files/blender-desktop.patch'
 *   environment, line 1459:  Called die
 * The specific snippet of code:
 *               die "Failed Patch: ${patchname}!";
 * 
 * If you need support, post the output of 'emerge --info =media-gfx/blender-9999',
Comment 299 AaronD 2012-04-18 09:41:39 UTC
Created attachment 309395 [details, diff]
blender-desktop.patch

I updated the blender-desktop.patch to fix the breakage that tman discovered.
Comment 300 Tim 2012-05-11 01:02:15 UTC
Looks like they changed the build stuff again. :\



Linking CXX executable ../../bin/blender
now run: "make install" to copy runtime files and scripts to /usr/share/blender/2.63
[100%] Built target blender
Install the project...
-- Install configuration: "Gentoo"
ACCESS DENIED  mkdir:        /usr/share/blender
CMake Error at source/creator/cmake_install.cmake:42 (FILE):
  file cannot create directory: /usr/share/blender/2.63.  Maybe need
  administrative privileges.
Call Stack (most recent call first):
  cmake_install.cmake:40 (INCLUDE)


make: *** [install] Error 1
 * ERROR: media-gfx/blender-9999 failed (install phase):
 *   emake failed
 * 
 * If you need support, post the output of `emerge --info '=media-gfx/blender-9999'`,
 * the complete build log and the output of `emerge -pqv '=media-gfx/blender-9999'`.
 * This ebuild is from an overlay named 'local-blender-9999': '/usr/local/portage/'
 * The complete build log is located at '/var/tmp/portage/media-gfx/blender-9999/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/media-gfx/blender-9999/temp/environment'.
 * Working directory: '/var/tmp/portage/media-gfx/blender-9999/work/blender-9999_build'
 * S: '/var/tmp/portage/media-gfx/blender-9999/work/blender-9999'
--------------------------- ACCESS VIOLATION SUMMARY ---------------------------
LOG FILE "/var/log/sandbox/sandbox-7373.log"

VERSION 1.0
FORMAT: F - Function called
FORMAT: S - Access Status
FORMAT: P - Path as passed to function
FORMAT: A - Absolute Path (not canonical)
FORMAT: R - Canonical Path
FORMAT: C - Command Line

F: mkdir
S: deny
P: /usr/share/blender
A: /usr/share/blender
R: /usr/share/blender
C: /usr/bin/cmake -P cmake_install.cmake 
--------------------------------------------------------------------------------


Looks like the install stage is trying to go directly to the system directories rather than the image.  Thoughts anyone?
Comment 301 Tim 2012-05-11 23:39:42 UTC
Turns out that a recent upgrade of sys-apps/portage might have been the culprit.

Downgrading from sys-apps/portage-2.1.10.58 to sys-apps/portage-2.1.10.57 allows blender to build.

I'm reluctant to point the whole finger at portage however.  Between the time blender stopped building for me, I did a <emerge -p @world> that completed successfully with no failures. (blender was removed from the system before the rebuild)

Thanks for reading,

Tim
Comment 302 Tim 2012-05-13 03:20:11 UTC
That should have been an <emerge -e @world>
Comment 303 Tim 2012-05-13 04:23:22 UTC
Same problem under sys-apps/portage-2.1.10.59.
Comment 304 Tim 2012-05-13 22:23:22 UTC
I guess no one else here is on ~arch (as opposed to arch)so you haven't run into some of the more stringent parsing done by newer versions of portage. :)

Anyway.  A couple of issues.  Newer versions of portage complain like this;

 * EAPI assignment in ebuild 'media-gfx/blender-9999::local-blender-9999'
 * does not conform with PMS section 7.3.1 (see bug #402167):
 * 	valid EAPI assignment must occur on or before line: 5
 * NOTE: This error will soon become unconditionally fatal in a future
 * version of Portage, but at this time, it can by made non-fatal by
 * setting FEATURES=-parse-eapi-ebuild-head in make.conf.

Moving the EAPI up one line above the inherit line silences the warning.

My build problem was solved by making the follow simple change.

-   -DCMAKE_INSTALL_PREFIX="${D}usr"
+   -DCMAKE_INSTALL_PREFIX="${D}/usr"


It should be noted that I don't really know what the h**l I'm doing, so if someone who does know what is going on in the ebuild has a few moments, perhaps they could take a moment to make the proper fixes.

I now return you to your regularily scheduled blendering.

Tim
Comment 305 AaronD 2012-05-14 18:33:22 UTC
Created attachment 311773 [details]
blender-9999 updated ebuild

I updated the ebuild to include Tim's changes.  I didn't see the problem until I did my world update yesterday and pulled in portage-2.1.10.59.

My research revealed that the EAPI declaration must go before the inherit line in the ebuild, so I swapped those two lines.  The install prefix probably should have been "/usr" instead of "usr" all along.  I think it was just luck that it worked until this point.

Thanks, Tim.
Comment 306 tman 2012-06-18 17:00:25 UTC
latest pulll form today cause problem and need a fix.

U    release/scripts/addons/space_view3d_materials_utils.py
U    release/scripts/addons/io_coat3D/coat.py
Updated external to revision 3503.


Fetching external item into 'release/scripts/addons_contrib':
U    release/scripts/addons_contrib/io_export_dxf/primitive_exporters/mesh_exporter.py
U    release/scripts/addons_contrib/io_export_dxf/__init__.py
Updated external to revision 3503.


Fetching external item into 'release/datafiles/locale':
External at revision 736.

At revision 48045.
 *    working copy: /usr/portage/distfiles/svn-src/blender/blender

 * subversion update start -->
 *      repository: https://svn.blender.org/svnroot/bf-extensions/contrib/py/scripts/addons
Updating '.':
U    io_export_dxf/primitive_exporters/mesh_exporter.py
U    io_export_dxf/__init__.py
Updated to revision 3503.
 *    working copy: /usr/portage/distfiles/svn-src/blender/addons

>>> Source unpacked in /var/tmp/portage/media-gfx/blender-9999/work
>>> Preparing source in /var/tmp/portage/media-gfx/blender-9999/work/blender-9999 ...
 * Applying blender-desktop.patch ...                                                                                                                                                                                                                                           [ ok ]
 * Applying blender-2.6-doxygen.patch ...                                                                                                                                                                                                                                       [ ok ]
 * Removing bundled Eigen2 ...
rm: cannot remove ‘extern/Eigen2’: No such file or directory
 * Applying blender-2.6-eigen.patch ...                                                                                                                                                                                                                                         [ ok ]
 * Applying blender-libav.patch ...

 * Failed Patch: blender-libav.patch !
 *  ( /usr/portage/local/local-overlay/media-gfx/blender/files/blender-libav.patch )
 * 
 * Include in your bugreport the contents of:
 * 
 *   /var/tmp/portage/media-gfx/blender-9999/temp/blender-libav.patch.out

 * ERROR: media-gfx/blender-9999 failed (prepare phase):
 *   Failed Patch: blender-libav.patch!
 * 
 * Call stack:
 *     ebuild.sh, line   85:  Called src_prepare
 *   environment, line 2921:  Called epatch '/usr/portage/local/local-overlay/media-gfx/blender/files/blender-libav.patch'
 *   environment, line 1535:  Called die
 * The specific snippet of code:
 *               die "Failed Patch: ${patchname}!";
 * 
 * If you need support, post the output of `emerge --info '=media-gfx/blender-9999'`,
 * the complete build log and the output of `emerge -pqv '=media-gfx/blender-9999'`.
 * This ebuild is from a repository named 'lokal'
 * The complete build log is located at '/var/log/portage/media-gfx:blender-9999:20120618-165723.log'.
 * For convenience, a symlink to the build log is located at '/var/tmp/portage/media-gfx/blender-9999/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/media-gfx/blender-9999/temp/environment'.
 * Working directory: '/var/tmp/portage/media-gfx/blender-9999/work/blender-9999'
 * S: '/var/tmp/portage/media-gfx/blender-9999/work/blender-9999'
Comment 307 tman 2012-06-22 05:57:48 UTC
 USE:        amd64 collada contrib cuda dds elbeem elibc_glibc fftw game-engine intl jack jpeg2k kernel_linux libav linguas_de linguas_en multilib oceansim openal openexr openmp player redcode sdl sndfile sse userland_GNU
 * FEATURES:   preserve-libs sandbox
 * You have not chosen a CUDA kernel. It takes an extreamly long time
 * to compile all the CUDA kernels. Check http://www.nvidia.com/object/cuda_gpus.htm
 * for your gpu and enable the matching sm_?? use flag to save time.
 * subversion update start -->
 *      repository: https://svn.blender.org/svnroot/bf-blender/trunk/blender
 *    working copy: /usr/portage/distfiles/svn-src/blender/blender
 * subversion update start -->
 *      repository: https://svn.blender.org/svnroot/bf-extensions/contrib/py/scripts/addons
 *    working copy: /usr/portage/distfiles/svn-src/blender/addons
 * Applying blender-desktop.patch ...
 * Applying blender-2.6-doxygen.patch ...
 * Removing bundled Eigen2 ...
 * Applying blender-2.6-eigen.patch ...
 * Applying blender-libav.patch ...
 * Failed Patch: blender-libav.patch !
 *  ( /usr/portage/local/local-overlay/media-gfx/blender/files/blender-libav.patch )
 * 
 * Include in your bugreport the contents of:
 * 
 *   /var/tmp/portage/media-gfx/blender-9999/temp/blender-libav.patch.out
 * ERROR: media-gfx/blender-9999 failed (prepare phase):
 *   Failed Patch: blender-libav.patch!
 * 
 * Call stack:
 *     ebuild.sh, line   85:  Called src_prepare
 *   environment, line 2964:  Called epatch '/usr/portage/local/local-overlay/media-gfx/blender/files/blender-libav.patch'
 *   environment, line 1535:  Called die
 * The specific snippet of code:
 *               die "Failed Patch: ${patchname}!";
 * 
 * If you need support, post the output of `emerge --info '=media-gfx/blender-9999'`,
 * the complete build log and the output of `emerge -pqv '=media-gfx/blender-9999'`.
 * This ebuild is from a repository named 'lokal'
 * The complete build log is located at '/var/log/portage/media-gfx:blender-9999:20120622-075603.log'.
 * For convenience, a symlink to the build log is located at '/var/tmp/portage/media-gfx/blender-9999/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/media-gfx/blender-9999/temp/environment'.
 * Working directory: '/var/tmp/portage/media-gfx/blender-9999/work/blender-9999'
 * S: '/var/tmp/portage/media-gfx/blender-9999/work/blender-9999'
Comment 308 brothermechanic 2012-06-29 10:03:08 UTC
Please add -sm_30 use flag (for gtx6xx).
Thank you
Comment 309 AaronD 2012-07-01 22:09:46 UTC
Created attachment 316911 [details, diff]
blender-libav.patch update
Comment 310 AaronD 2012-07-01 22:13:28 UTC
Created attachment 316913 [details]
blender-9999 added sm_30 flag

I updated the libav patch and the ebuild.  The ebuild adds the sm_30 use flag and I also took the opportunity to remove the sm_10-_12 flags since those shader models are not supported upstream anymore.
Comment 311 tman 2012-07-29 05:01:48 UTC
why some one set it in obsolete-status if this ebuild is still in working process?

its a live ebuild
Comment 312 Tim 2012-07-31 14:04:22 UTC
(In reply to comment #311)
> why some one set it in obsolete-status if this ebuild is still in working
> process?
> 
> its a live ebuild

This has never been an official live-ebuild.  It is not in the portage tree. You run it out of your own personal overlay. If you look at something like mplayer there is an official live ebuild;  /usr/portage/media-video/mplayer/mplayer-9999.ebuild

I think that it might also be said that this "bug" has strayed a long way from it's original intent.  Have a look at comment 33.

If we would like an official live ebuild, someone will have to open a bug requesting one.

I see Diego E. Pettenò has added an ebuild for 2.63a.  Perhaps he considered that having the latest "release" version negated the need for any live ebuild. I also note that the ebuild doesn't have support for cuda or the various cuda cores. Someone will have to enter bugs to have that support added.
Comment 313 Tim 2012-11-06 23:59:32 UTC
So there is a new wrinkle in the CMakeLists.txt around line #500 if your looking at it with less.


# see "cmake --help-policy CMP0003"
# So library linking is more sane
...skipping...
                # find_package(PythonLibs)

                # Use our own instead, since wothout py is such a rare case,
                # require this package
                find_package(PythonLibsUnix REQUIRED)
        endif()


If I go to /var/tmp/portage/media-gfx/blender-9999/work/blender-9999 once the emerge fails and edit CMakeLists.txt and uncomment the line;

                find_package(PythonLibs)

and then comment out;

                 #find_package(PythonLibsUnix REQUIRED)

I can then go to my personal blender overlay directory and step through the rest of the build using the ebuild commands. Limited testing of the resulting build seems positive.

So far my own efforts at creating a patch and updating the ebuild have failed. :)  Perhaps someone with a little more knowledge would like to put something togeather for those of use who lack the necessary ebuild-fu. Maybe someone who knows enough about python to understand why the ebuild doesn't find PythonLibsUnix.py (it is in the source tree) and is looking in the system sites-packages directory could fix things properly.

Happy blendering folks,

Tim
Comment 314 Sebastian Parborg 2012-11-08 17:56:04 UTC
Created attachment 328834 [details]
workaround the pythonlibs dep check

This patch works for me. Just add it in with the other epatch commands in the ebuild.
Comment 315 Tim 2012-11-09 02:26:43 UTC
(In reply to comment #314)
> Created attachment 328834 [details]
> workaround the pythonlibs dep check
> 
> This patch works for me. Just add it in with the other epatch commands in
> the ebuild.


Thank you.  Worked fine here as well.